2010-02-12	<rlk@sourceforge.net>

	Files:	NEWS (1.423) (+5 -1)
		src/main/print-pcl.c (1.157) (+44 -1)
		src/xml/printers.xml (1.46) (+3 -3)

	Fix A4 margins for LJ 2100/2100M; support other printers w/o expanded margins

2010-02-09	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_100.xml (1.2) (+1 -1)

	Fix CD positioning.

2010-01-17	<rlk@sourceforge.net>

	Files:	NEWS (1.422) (+5 -2)
		src/xml/printers.xml (1.45) (+246 -246)

	Change a large number of laser printers to be large format

2010-01-17	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.36) (+29 -1)

	Add doc for -d (default value) option.

	Exit if malformed -d option.

	Make -d PrintingMode work.

2010-01-16	<rlk@sourceforge.net>

	Files:	src/testpattern/extended.sample (1.8) (+1 -1)

	Make extended sample use 16-bit output

2010-01-16	<rlk@sourceforge.net>

	Files:	test/unprint.c (1.45) (+17 -16)

	Print better debug information.

	Suppress all output if not desired.

2010-01-16	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inputslots/Makefile.am (1.8) (+2 -1)
		src/xml/escp2/inputslots/cd.xml (1.1) (added)
		src/xml/escp2/model/Makefile.am (1.18) (+3 -2)
		src/xml/escp2/model/model_100.xml (1.1) (added)
		src/xml/escp2/model/model_99.xml (1.2) (+0 -20)
		src/xml/printers.xml (1.44) (+2 -2)

	Add CD support for PX 1001, remove 360x720 and 720x1440 for WF1100

2010-01-04	<m0m@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.196) (+1 -0)
		src/main/print-olympus.c (1.95) (+2 -2)
		src/xml/printers.xml (1.43) (+2 -1)

	added Canon SELPHY CP530

2010-01-02	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/claria1400.xml (1.8) (+1056 -0)

	Add support for quadtone and hextone inksets for back light film.

2010-01-02	<rlk@sourceforge.net>

	Files:	NEWS (1.421) (+3 -1)

	Add support for EA5 envelope paper size.

2010-01-01	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.58) (+2 -2)

	Minor formatting cleanup.

2010-01-01	<rlk@sourceforge.net>

	Files:	NEWS (1.420) (+2 -1)
		src/xml/escp2/model/model_63.xml (1.10) (+2 -2)
		src/xml/escp2/model/model_84.xml (1.10) (+2 -2)

	Fix escputil output for R-series

2009-12-28	<rlk@sourceforge.net>

	Files:	NEWS (1.419) (+320 -238)

	Add Printer-Specific Issues section, and move exceptions and
	workarounds to before the overall changes from 5.0 to 5.2.

2009-12-28	<rlk@sourceforge.net>

	Files:	NEWS (1.418) (+2 -2)

	Minor update

2009-12-28	<rlk@sourceforge.net>

	Files:	NEWS (1.417) (+1 -1)

	Fix typo

2009-12-23	<rlk@sourceforge.net>

	Files:	NEWS (1.416) (+25 -3)

	Update with all changes since 5.2.4.

2009-12-23	<rlk@sourceforge.net>

	Files:	configure.ac (1.216) (+3 -3)

	Correctly bump version.

2009-12-23	<rlk@sourceforge.net>

	Files:	NEWS (1.415) (+3 -0)

	Fix escputil status output for Epson Artisan printers.

2009-12-23	<rlk@sourceforge.net>

	Files:	NEWS (1.414) (+60 -2)
		README (1.204) (+12 -12)
		configure.ac (1.215) (+3 -3)
		src/escputil/escputil.c (1.102) (+6 -3)
		src/foomatic/foomatic-printermap (1.195) (+50 -2)
		src/xml/escp2/model/Makefile.am (1.17) (+3 -2)
		src/xml/escp2/model/model_96.xml (1.6) (+3 -3)
		src/xml/escp2/model/model_99.xml (1.1) (added)
		src/xml/printers.xml (1.42) (+53 -5)

	Add a bunch more Epson printers.

	Fix the escputil output for Artisan printers.

2009-11-26	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.101) (+3 -1)

	Fix -C and -p options.

2009-11-15	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/claria.xml (1.7) (+118 -0)
		src/xml/escp2/media/claria.xml (1.10) (+1056 -0)

	Add quadtone and hextone inks to Claria group

2009-11-15	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.194) (+1 -0)

	Add Epson TX410.

2009-11-15	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.426) (+4 -4)

	Quality Enhancement wasn't actually doing anything due to a typo.

2009-11-08	<rlk@sourceforge.net>

	Files:	po/de.po (1.71) (+3363 -3753)

	Update German translation

2009-11-06	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.41) (+9 -9)

	Change all of the MP 5000 printers to be large format.

2009-11-06	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.40) (+5 -4)

	Add Epson TX410.

	Change Xerox WorkCentre 118 and Ricoh MP 5000/MP 5000B to large format
	(there are surely others that also need to change).

2009-10-12	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.193) (+1 -0)
		src/xml/printers.xml (1.39) (+3 -1)

	Add Epsox TX210.

2009-10-05	<rlk@sourceforge.net>

	Files:	include/gutenprint/printers.h (1.6) (+17 -2)
		src/cups/genppd.c (1.179) (+14 -6)
		src/main/printers.c (1.86) (+35 -1)
		src/xml/printers.xml (1.38) (+388 -388)

	Add device ID strings

2009-10-04	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.425) (+6 -3)

	Don't use QualityEnhancement if it isn't set.

2009-09-03	<rlk@sourceforge.net>

	Files:	src/main/print-ps.c (1.102) (+116 -4)

	Send PostScript code from PPD file to output stream.

2009-08-26	<rlk@sourceforge.net>

	Files:	src/main/xmlppd.c (1.4) (+42 -22)

	Handle PPD files where PageRegion or ImageableArea precedes PageSize.

2009-08-25	<rlk@sourceforge.net>

	Files:	src/xml/papers.xml (1.8) (+17 -1)

	Add EA5 envelope.

===============================================================================
Name: gutenprint-5_2_4

2009-08-01	<rlk@sourceforge.net>

	Files:	po/cs.po (1.56) (+5039 -3973)
		po/da.po (1.98) (+1677 -1579)
		po/de.po (1.70) (+5039 -3973)
		po/el.po (1.71) (+5038 -3973)
		po/en_GB.po (1.164) (+5340 -3978)
		po/es.po (1.69) (+5038 -3974)
		po/fr.po (1.97) (+5132 -4014)
		po/hu.po (1.28) (+5130 -4012)
		po/it.po (1.8) (+1719 -1598)
		po/ja.po (1.65) (+5039 -3973)
		po/nb.po (1.30) (+5038 -3972)
		po/nl.po (1.81) (+1712 -1594)
		po/pl.po (1.75) (+5027 -3972)
		po/pt.po (1.70) (+5039 -3973)
		po/ru.po (1.3) (+1588 -1540)
		po/sk.po (1.74) (+5038 -3974)
		po/sv.po (1.100) (+5127 -4015)
		po/zh_TW.po (1.30) (+5111 -4014)

	Gutenprint 5.2.4 release

2009-07-26	<rlk@sourceforge.net>

	Files:	NEWS (1.413) (+23 -10)
		README (1.203) (+20 -18)
		configure.ac (1.214) (+5 -5)

	Bump to 5.2.4.

2009-07-21	<rlk@sourceforge.net>

	Files:	src/main/escp2-papers.c (1.118) (+4 -1)
		src/main/print-escp2.c (1.424) (+6 -2)
		src/main/print-escp2.h (1.137) (+3 -2)
		src/xml/escp2/inputslots/r2400.xml (1.4) (+1 -0)

	Fix printing to manual sheet guide on R2400

2009-07-18	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.178) (+5 -5)

	Fix the translation of resolutions in global PPD files.

	Correct the data type of int parameters in the *ParamCustom declaration.

2009-07-12	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.423) (+7 -1)

	Export ChannelNames parameter so escputil can correctly print ink
	warnings.

2009-06-30	<rlk@sourceforge.net>

	Files:	po/da.po (1.97) (+5154 -4292)

	Update Danish translation

2009-06-30	<rlk@sourceforge.net>

	Files:	po/ru.po (1.2) (+1815 -1773)

	Updated Russian translation

2009-06-24	<rlk@sourceforge.net>

	Files:	configure.ac (1.213) (+3 -3)
		po/ru.po (1.1) (added)

	Add Russian translation

2009-06-22	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.94) (+5 -1)

	Add comment explaining laminate pattern.

2009-06-22	<rlk@sourceforge.net>

	Files:	po/it.po (1.7) (+11 -5)

	Update Italian translation

2009-06-22	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.177) (+3 -3)

	Hide the fine adjustment option, not the primary option.

2009-06-21	<rlk@sourceforge.net>

	Files:	po/it.po (1.6) (+5542 -4410)

	Update Italian translation

2009-06-20	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.422) (+2 -1)

	Flag string for not a printf string, per Marco Poletti.

2009-06-20	<faust3@sourceforge.net>

	Files:	NEWS (1.412) (+1 -0)
		src/foomatic/foomatic-printermap (1.192) (+1 -0)
		src/xml/printers.xml (1.37) (+2 -1)

	According to https://bugs.launchpad.net/bugs/389014
	the PIXMA iX4000 can be used with the iX5000 driver

2009-06-14	<rlk@sourceforge.net>

	Files:	po/nl.po (1.80) (+5157 -4316)

	Updated Dutch translation

2009-06-14	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatterny.y (1.39) (+9 -38)

	Allow arbitrary number of string arguments to message command.

2009-06-14	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatterny.y (1.38) (+3 -3)

	Rename Output to Print to avoid possible confusion.

2009-06-14	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatterny.y (1.37) (+1 -2)

	Remove unused token declaration.

2009-06-14	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatterny.y (1.36) (+3 -9)

	A few minor simplifications.

2009-06-14	<rlk@sourceforge.net>

	Files:	src/testpattern/testpattern.c (1.57) (+5 -2)
		src/testpattern/testpatternl.l (1.25) (+3 -10)
		src/testpattern/testpatterny.y (1.35) (+29 -41)

	Eliminate bison warnings.

	Allow mode specification without bit depth.

	Print out number of passing cases as well as failures and skipped.

===============================================================================
Name: gutenprint-5_2_4_rc1

2009-06-14	<rlk@sourceforge.net>

	Files:	NEWS (1.411) (+3 -3)
		README (1.202) (+13 -13)
		configure.ac (1.212) (+4 -4)

	Prep for 5.2.4-rc1

2009-06-08	<rlk@sourceforge.net>

	Files:	test/run-weavetest (1.30) (+1 -1)

	Remove some particularly long-running cases that are not likely to be
	used in real life.

2009-06-08	<rlk@sourceforge.net>

	Files:	NEWS (1.410) (+44 -3)
		README (1.201) (+11 -11)
		src/main/print-escp2.c (1.421) (+3 -3)
		src/testpattern/run-testpattern-2.in (1.35) (+8 -5)
		src/testpattern/testpattern.c (1.56) (+44 -12)
		test/run-weavetest (1.29) (+1 -1)

	Testpattern shouldn't fail if it provides a combination of arguments that
	fails validation during automatic run.

	Epson driver should be more consistent about accepting RawChannels
	argument.

	Testpattern generator should reset page count for each argument.

	Weave pattern test generator should test additional cases.

	Update top level doc for release.

2009-06-07	<rlk@sourceforge.net>

	Files:	configure.ac (1.211) (+16 -14)
		scripts/autogen.sh (1.37) (+1 -1)
		src/main/bit-ops.c (1.14) (+179 -168)

	Minor code cleanup in bit-ops.c

	Don't include --enable-compiler-warnings in autogen.sh (no longer needed)

	Bump version, make warning about missing devel package more obvious.

2009-06-07	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.57) (+36 -35)
		src/cups/genppd.c (1.176) (+5 -4)

	Improve command names for genppd speedup

2009-06-03	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatternl.l (1.24) (+2 -2)

	Accept double-quoted strings with zero characters

2009-06-02	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatternl.l (1.23) (+5 -2)
		src/testpattern/testpatterny.y (1.34) (+49 -46)

	Fix compatibility with Bison 2.4

2009-05-30	<rlk@sourceforge.net>

	Files:	src/xml/Makefile.am (1.5) (+2 -2)
		src/xml/escp2/Makefile.am (1.9) (+3 -1)
		src/xml/escp2/inks/Makefile.am (1.9) (+2 -1)
		src/xml/escp2/inputslots/Makefile.am (1.7) (+2 -1)
		src/xml/escp2/media/Makefile.am (1.13) (+2 -1)
		src/xml/escp2/mediasizes/Makefile.am (1.4) (+2 -1)
		src/xml/escp2/model/Makefile.am (1.16) (+2 -1)
		src/xml/escp2/qualitypresets/Makefile.am (1.4) (+2 -1)
		src/xml/escp2/weaves/Makefile.am (1.3) (+2 -1)

	dist-hook needs xml-stamp to be created

2009-05-24	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.191) (+1 -0)
		src/xml/printers.xml (1.36) (+2 -1)

	Add Epson DX4000

2009-05-24	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.175) (+16 -6)

	Fix calls to putenv, which must use permanent memory.

2009-05-24	<rlk@sourceforge.net>

	Files:	src/main/print-weave.c (1.75) (+2 -2)

	Fix printf warning

2009-05-24	<rlk@sourceforge.net>

	Files:	scripts/mkchlog (1.18) (+8 -2)

	Fix error with reporting date, time, and author.

2009-05-23	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_96.xml (1.5) (+1 -1)

	Send job start sequence for Artisan printers per recommendation.

2009-05-23	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.34) (+51 -1)

	Add help

2009-05-20	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/f360_ultrachrome_k3v.xml (1.3) (+149 -149)

	Fix Print Methods based on manual.

2009-05-17	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/f360_ultrachrome_k3v.xml (1.5) (+3 -3)

	Retune light inks on R2880.

2009-05-17	<rlk@sourceforge.net>

	Files:	include/gutenprint/bit-ops.h (1.4) (+84 -1)
		src/cups/cups-genppdupdate.in (1.56) (+36 -5)
		src/cups/genppd.c (1.174) (+21 -0)
		src/main/bit-ops.c (1.13) (+259 -482)
		src/main/print-escp2.c (1.420) (+16 -2)
		src/main/print-escp2.h (1.136) (+3 -2)
		src/main/print-weave.c (1.74) (+8 -40)
		src/xml/escp2/inks/f360_ultrachrome_k3v.xml (1.4) (+2 -2)

	Speed up cups-genppdupdate by reusing server binary

2009-04-21	<m0m@sourceforge.net>

	Files:	src/main/print-olympus.c (1.93) (+2 -2)

	fixed memory leak in dyesub_print_row()

	    dnp-ds40
	        Color+300x300..............................................==5555== Invalid read of size 2
	    ==5555==    at 0x476427: dyesub_print (print-olympus.c:2485)
	    ==5555==    by 0x404450: main (in /home/rlk/sandbox/print-5.1/src/testpattern/testpattern)
	    ==5555==  Address 0x6c56ea8 is 0 bytes after a block of size 11,520 alloc'd
	    ==5555==    at 0x4C256AE: malloc (in /usr/lib64/valgrind/amd64-linux/vgpreload_memcheck.so)
	    ==5555==    by 0x413209: stp_malloc (print-util.c:427)
	    ==5555==    by 0x475A95: dyesub_print (print-olympus.c:2447)
	    ==5555==    by 0x404450: main (in /home/rlk/sandbox/print-5.1/src/testpattern/testpattern)

2009-04-14	<rlk@sourceforge.net>

	Files:	src/xml/papers.xml (1.7) (+3 -3)

	Fix definition of L photo paper.

2009-04-11	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inputslots/r2880.xml (1.2) (+1 -0)
		src/xml/escp2/model/model_98.xml (1.4) (+1 -1)

	Fix CD definition for R2880

2009-04-11	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.55) (+3 -34)

	Back out unintended change

2009-04-11	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.54) (+35 -4)
		src/cups/genppd.c (1.173) (+14 -13)
		src/cups/i18n.c (1.8) (+4 -4)
		src/cups/i18n.h (1.3) (+4 -4)

	Fix memory leaks

2009-04-11	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.172) (+5 -5)
		src/cups/i18n.c (1.7) (+5 -3)
		src/cups/i18n.h (1.2) (+3 -3)

	Fix memory leaks

2009-04-11	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.92) (+7 -7)

	Fix up declaration syntax

2009-04-11	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.119) (+3 -2)

	2661138 Parallel build breaks for cups/ppd

2009-04-08	<rlk@sourceforge.net>

	Files:	scripts/mkchlog (1.17) (+35 -8)

	Handle newer version of CVS.

2009-04-08	<rlk@sourceforge.net>

	Files:	scripts/mkchlog (1.16) (+12 -7)

	Remove spurious printout.

2009-04-08	<rlk@sourceforge.net>

	Files:	scripts/mkchlog (1.15) (+41 -13)

	Allow use of RCS filename.

	Simplify print logic a bit.

2009-04-08	<rlk@sourceforge.net>

	Files:	scripts/mkchlog (1.14) (+17 -19)

	Print last file correctly.

2009-04-05	<rleigh@sourceforge.net>

	Files:	src/xml/printers.xml (1.35) (+2 -2)

	Correct typo in Epson Stylus Office TX300F name

2009-03-30	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/f360_ultrachrome_k3v.xml (1.3) (+2 -2)

	Revert black shades to previous.

2009-03-30	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/f360_ultrachrome_k3v.xml (1.2) (+195 -195)

	Tune photo black ink.

2009-03-30	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_98.xml (1.3) (+8 -8)

	Improve the density; fix some other parameters.

2009-03-29	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/f360_ultrachrome_k3v.xml (1.2) (+6 -6)

	Retune inks.  Photo black is tested; matte black is not.

2009-03-27	<tillkamppeter@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.190) (+61 -133)
		src/xml/printers.xml (1.34) (+62 -134)

	Syncronized model names of Ricoh and OEM printers with the names in the OpenPrinting database/Ricoh's PPDs.

2009-03-22	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.189) (+1 -0)
		src/xml/escp2/inputslots/Makefile.am (1.6) (+2 -1)
		src/xml/escp2/inputslots/r2880.xml (1.1) (added)
		src/xml/escp2/model/model_98.xml (1.2) (+14 -14)
		src/xml/printers.xml (1.33) (+2 -1)

	Partial tuning of R2880

2009-03-22	<rlk@sourceforge.net>

	Files:	README (1.200) (+57 -4)
		configure.ac (1.210) (+13 -3)

	Try to make it more clear that development packages often have to be
	installed to compile GIMP plugin or CUPS driver.

2009-03-22	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.188) (+1 -0)
		src/xml/escp2/inks/Makefile.am (1.8) (+2 -1)
		src/xml/escp2/inks/f360_ultrachrome_k3v.xml (1.1) (added)
		src/xml/escp2/media/Makefile.am (1.12) (+2 -1)
		src/xml/escp2/media/f360_ultrachrome_k3v.xml (1.1) (added)
		src/xml/escp2/model/Makefile.am (1.15) (+3 -2)
		src/xml/escp2/model/model_98.xml (1.1) (added)
		src/xml/printers.xml (1.32) (+2 -1)

	Preliminary support for Epson Stylus Photo R2880

2009-03-22	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.100) (+14 -14)

	Widen field for ink cartridge name for Stylus Photo R2880.

2009-03-16	<rlk@sourceforge.net>

	Files:	test/parse-escp2 (1.25) (+3 -1)

	Suppress (minor) undesired output.

2009-03-15	<rlk@sourceforge.net>

	Files:	scripts/mkchlog (1.13) (+6 -2)

	Add option to reverse output.

	Handle whitespace in filenames.

2009-03-15	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inputslots/artisan.xml (1.2) (+2 -2)

	Change names of trays to match what Epson calls them.

2009-03-15	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/Makefile.am (1.11) (+2 -1)

	Add new media definitions for Artisan printers.

2009-03-14	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/artisan.xml (1.1) (added)
		src/xml/escp2/model/model_96.xml (1.4) (+1 -1)

	Correct paper definitions for Artisan printers

2009-03-07	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.89) (+3 -1)
		src/main/print-escp2.c (1.419) (+139 -6)
		src/main/print-escp2.h (1.135) (+5 -4)
		src/xml/escp2/inks/c64.xml (1.7) (+36 -1)
		src/xml/escp2/inks/c80.xml (1.8) (+35 -0)
		src/xml/escp2/inks/c82.xml (1.8) (+35 -0)
		src/xml/escp2/inks/cx3650.xml (1.8) (+35 -0)
		src/xml/escp2/inks/f360.xml (1.8) (+35 -0)
		src/xml/escp2/inks/photo_gen0.xml (1.8) (+82 -0)
		src/xml/escp2/inks/photo_gen1.xml (1.8) (+82 -0)
		src/xml/escp2/inks/photo_gen2.xml (1.8) (+82 -0)
		src/xml/escp2/inks/photo_gen3.xml (1.8) (+82 -0)
		src/xml/escp2/inks/photo_gen3_4.xml (1.8) (+35 -0)
		src/xml/escp2/inks/pro_gen1.xml (1.8) (+82 -0)
		src/xml/escp2/inks/pro_gen2.xml (1.8) (+82 -0)
		src/xml/escp2/inks/standard.xml (1.8) (+35 -0)
		src/xml/escp2/inks/standard_gen0.xml (1.8) (+35 -0)
		src/xml/escp2/media/c64.xml (1.8) (+323 -0)
		src/xml/escp2/media/c80.xml (1.8) (+323 -0)
		src/xml/escp2/media/c82.xml (1.8) (+323 -0)
		src/xml/escp2/media/cx3650.xml (1.8) (+323 -0)
		src/xml/escp2/media/f360.xml (1.8) (+323 -0)
		src/xml/escp2/media/photo_gen0.xml (1.8) (+751 -105)
		src/xml/escp2/media/photo_gen1.xml (1.8) (+766 -120)
		src/xml/escp2/media/photo_gen2.xml (1.8) (+780 -134)
		src/xml/escp2/media/photo_gen3.xml (1.8) (+1152 -183)
		src/xml/escp2/media/photo_gen3_4.xml (1.8) (+778 -132)
		src/xml/escp2/media/pro_gen1.xml (1.8) (+788 -142)
		src/xml/escp2/media/pro_gen2.xml (1.8) (+746 -100)
		src/xml/escp2/media/standard.xml (1.8) (+323 -0)
		src/xml/escp2/media/standard_gen0.xml (1.8) (+323 -0)
		test/unprint.c (1.44) (+32 -13)

	Add MIS quadtone and six tone inksets.

2009-03-07	<rlk@sourceforge.net>

	Files:	src/main/print-weave.c (1.73) (+62 -6)

	Add more debugging in case of error.

2009-03-07	<rlk@sourceforge.net>

	Files:	scripts/autogen.sh (1.36) (+1 -1)

	Correctly check version for newer versions of libtool.  E. g.

	$ libtool --version
	ltmain.sh (GNU libtool) 2.2.6

	in addition to

	$ libtool --version
	ltmain.sh (GNU libtool) 1.5.26 (1.1220.2.492 2008/01/30 06:40:56)

2009-03-05	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.418) (+45 -5)

	Put quadtone ink parameters in PPD files, so that quadtone users can
	adjust ink settings.

2009-03-04	<m0m@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.187) (+2 -0)
		src/main/print-olympus.c (1.91) (+121 -2)
		src/xml/printers.xml (1.31) (+3 -1)

	applied DNP dyesub printer driver patch from jordi <jordif.starblitz@gmail.com>

2009-03-02	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/c80.xml (1.7) (+4 -4)
		src/xml/escp2/inks/c82.xml (1.7) (+4 -4)
		src/xml/escp2/inks/cx3650.xml (1.7) (+4 -4)
		src/xml/escp2/inks/f360.xml (1.7) (+4 -4)
		src/xml/escp2/inks/photo_gen0.xml (1.7) (+4 -4)
		src/xml/escp2/inks/photo_gen1.xml (1.7) (+4 -4)
		src/xml/escp2/inks/photo_gen2.xml (1.7) (+4 -4)
		src/xml/escp2/inks/photo_gen3.xml (1.7) (+4 -4)
		src/xml/escp2/inks/photo_gen3_4.xml (1.7) (+4 -4)
		src/xml/escp2/inks/pro_gen1.xml (1.7) (+4 -4)
		src/xml/escp2/inks/pro_gen2.xml (1.7) (+4 -4)
		src/xml/escp2/inks/standard.xml (1.7) (+4 -4)
		src/xml/escp2/inks/standard_gen0.xml (1.7) (+4 -4)

	Fix gray transition parameter names for quadtone inks

2009-03-01	<rlk@sourceforge.net>

	Files:	test/unprint.c (1.43) (+2 -2)

	Reorder quadtone inks to get correct constants.

2009-03-01	<rlk@sourceforge.net>

	Files:	src/main/channel.c (1.32) (+4 -4)

	Add appropriate newlines in debug output.

2009-01-21	<m0m@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.186) (+1 -0)
		src/main/print-olympus.c (1.90) (+48 -1)
		src/xml/printers.xml (1.30) (+2 -1)

	added support for Canon SELPHY CP-520
	patch submited by Simon Waid

2009-01-07	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_95.xml (1.2) (+1 -1)

	2473672 Print quality poor at paper borders, Epson DX4800

2009-01-05	<rlk@sourceforge.net>

	Files:	src/xml/papers.xml (1.6) (+11 -1)

	Add L-size paper with tear-off borders.

2009-01-04	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/cmykrb.xml (1.9) (+9 -9)
		src/xml/escp2/inks/cmykro.xml (1.7) (+10 -10)

	Change Gloss to Gloss Optimizer

2009-01-03	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.88) (+7 -1)
		src/main/print-escp2.c (1.417) (+59 -3)
		src/main/print-escp2.h (1.134) (+4 -2)
		src/xml/escp2/inks/artisan.xml (1.2) (+37 -37)
		src/xml/escp2/inks/b500.xml (1.5) (+15 -15)
		src/xml/escp2/inks/c120.xml (1.5) (+15 -15)
		src/xml/escp2/inks/c64.xml (1.6) (+19 -19)
		src/xml/escp2/inks/c80.xml (1.6) (+19 -19)
		src/xml/escp2/inks/c82.xml (1.6) (+19 -19)
		src/xml/escp2/inks/claria.xml (1.6) (+37 -37)
		src/xml/escp2/inks/cmy.xml (1.5) (+3 -3)
		src/xml/escp2/inks/cmykrb.xml (1.8) (+84 -84)
		src/xml/escp2/inks/cmykro.xml (1.6) (+84 -84)
		src/xml/escp2/inks/cx3650.xml (1.6) (+19 -19)
		src/xml/escp2/inks/defaultblack.xml (1.3) (+1 -1)
		src/xml/escp2/inks/f360.xml (1.6) (+19 -19)
		src/xml/escp2/inks/f360_photo.xml (1.6) (+37 -37)
		src/xml/escp2/inks/f360_photo7_japan.xml (1.6) (+66 -66)
		src/xml/escp2/inks/f360_ultrachrome.xml (1.6) (+127 -112)
		src/xml/escp2/inks/f360_ultrachrome_k3.xml (1.7) (+100 -82)
		src/xml/escp2/inks/nx100.xml (1.2) (+15 -15)
		src/xml/escp2/inks/photo_gen0.xml (1.6) (+42 -42)
		src/xml/escp2/inks/photo_gen1.xml (1.6) (+41 -41)
		src/xml/escp2/inks/photo_gen2.xml (1.6) (+42 -41)
		src/xml/escp2/inks/photo_gen3.xml (1.6) (+41 -41)
		src/xml/escp2/inks/photo_gen3_4.xml (1.6) (+19 -19)
		src/xml/escp2/inks/photo_gen4.xml (1.6) (+37 -37)
		src/xml/escp2/inks/photo_pigment.xml (1.6) (+37 -37)
		src/xml/escp2/inks/picturemate_4.xml (1.5) (+8 -8)
		src/xml/escp2/inks/picturemate_6.xml (1.7) (+20 -20)
		src/xml/escp2/inks/pro_gen1.xml (1.6) (+41 -41)
		src/xml/escp2/inks/pro_gen2.xml (1.6) (+41 -41)
		src/xml/escp2/inks/pro_pigment.xml (1.6) (+37 -37)
		src/xml/escp2/inks/pro_ultrachrome.xml (1.6) (+125 -110)
		src/xml/escp2/inks/pro_ultrachrome_k3.xml (1.8) (+100 -82)
		src/xml/escp2/inks/standard.xml (1.6) (+19 -19)
		src/xml/escp2/inks/standard_gen0.xml (1.6) (+19 -19)
		src/xml/escp2/inks/ultrachrome.xml (1.6) (+125 -110)
		src/xml/escp2/inks/wf40.xml (1.2) (+15 -15)
		src/xml/escp2/inks/wf500.xml (1.2) (+15 -15)
		src/xml/escp2/inks/x80.xml (1.5) (+15 -15)

	Add RawChannels parameter to enable fetching names of each channel

2009-01-03	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.33) (+6 -5)

	Combine raw channels and ink set, since we want to check all
	combinations.

	Be more selective about omitting raw channels.

2009-01-03	<rlk@sourceforge.net>

	Files:	src/testpattern/testpattern.c (1.55) (+4 -3)

	Make sure we free everything even if we can't print for some reason.

2009-01-03	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.185) (+2 -2)
		src/xml/printers.xml (1.29) (+3 -3)

	Correct names of P/TX 700/800 (700W, 800FW).

===============================================================================
Name: gutenprint-5_2_bp

2009-01-01	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_77.xml (1.10) (+15 -8)

	Try to fix PM-D600 (bug 1575384)

===============================================================================
Name: gutenprint-5_2_3

2008-12-22	<rlk@sourceforge.net>

	Files:	po/cs.po (1.55) (+3374 -3236)
		po/da.po (1.96) (+3376 -3234)
		po/de.po (1.69) (+3371 -3235)
		po/el.po (1.70) (+3374 -3236)
		po/en_GB.po (1.163) (+3376 -3234)
		po/es.po (1.68) (+3374 -3236)
		po/fr.po (1.96) (+3376 -3234)
		po/hu.po (1.27) (+3376 -3234)
		po/it.po (1.5) (+3376 -3234)
		po/ja.po (1.64) (+3374 -3236)
		po/nb.po (1.29) (+3375 -3235)
		po/nl.po (1.79) (+3376 -3234)
		po/pl.po (1.74) (+3374 -3236)
		po/pt.po (1.69) (+3374 -3236)
		po/sk.po (1.73) (+3374 -3236)
		po/sv.po (1.99) (+3375 -3235)
		po/zh_TW.po (1.29) (+3374 -3234)

	Gutenprint 5.2.3 release

2008-12-21	<rlk@sourceforge.net>

	Files:	src/escputil/d4lib.c (1.11) (+147 -25)
		src/escputil/d4lib.h (1.5) (+5 -1)
		src/escputil/escputil.c (1.99) (+63 -103)

	Fix escputil for NX100 (needs code review)

2008-12-21	<rlk@sourceforge.net>

	Files:	NEWS (1.409) (+4 -0)

	Add support for Canon MP220 and iP4600.

2008-12-21	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.49) (+1 -1)

	also enable the iP4600 specific paper list

2008-12-21	<faust3@sourceforge.net>

	Files:	src/main/canon-media.h (1.12) (+47 -24)

	Added an iP4600 paper list and also added another paper specific value for the P command
	patch by Richard Collins <the.hungarian at gmail.com>

2008-12-21	<faust3@sourceforge.net>

	Files:	src/main/canon-media.h (1.11) (+9 -0)
		src/main/canon-printers.h (1.48) (+1 -1)

	Added an iP4600 specific slot list
	patch by Richard Collins <the.hungarian at gmail.com>

2008-12-21	<faust3@sourceforge.net>

	Files:	test/pixma_parse.c (1.15) (+1 -1)

	Avoid division by zero when bpp is 0
	patch by Richard Collins <the.hungarian at gmail.com>

2008-12-21	<faust3@sourceforge.net>

	Files:	src/main/canon-inks.h (1.23) (+105 -0)

	Added support for a few more inksets that are required for better iP4600 support
	patch by
	Richard Collins <the.hungarian at gmail.com>

2008-12-21	<faust3@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.184) (+1 -0)
		src/main/canon-printers.h (1.47) (+56 -0)
		src/main/print-canon.c (1.230) (+9 -9)
		src/xml/printers.xml (1.28) (+2 -1)

	Initial support for the Canon PIXMA iP4600
	patch by Bernd Ernesti <veego at users.sourceforge.net>
	(#2447389)

2008-12-21	<faust3@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.183) (+1 -0)
		src/xml/printers.xml (1.27) (+2 -1)

	According to Alec de Zegher <alec at alecweb.be> the MP220 works with
	the MP180 driver.

2008-12-21	<rlk@sourceforge.net>

	Files:	NEWS (1.408) (+33 -21)
		README (1.199) (+13 -13)
		configure.ac (1.209) (+4 -4)

	Bump version

2008-12-20	<rlk@sourceforge.net>

	Files:	NEWS (1.407) (+7 -4)
		src/xml/escp2/media/Makefile.am (1.10) (+2 -1)
		src/xml/escp2/media/nx100.xml (1.1) (added)
		src/xml/escp2/model/model_94.xml (1.3) (+17 -17)

	Fix Epson NX100 and related printers

2008-12-17	<rlk@sourceforge.net>

	Files:	NEWS (1.406) (+3 -1)
		src/xml/printers.xml (1.26) (+1 -3)

	Epson has confirmed that S20 is equivalent to C79/C68.

2008-12-15	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.25) (+5 -3)

	Change driver for S20/T20 to C68 rather than NX100, based on report by
	Henning Paul.

2008-12-12	<rlk@sourceforge.net>

	Files:	NEWS (1.405) (+4 -4)

	Add a few more printers to the NX100 equivalence class.

2008-12-12	<rlk@sourceforge.net>

	Files:	NEWS (1.404) (+3 -3)
		README (1.198) (+13 -13)
		configure.ac (1.208) (+3 -3)

	Prep for snapshot release

2008-12-12	<rlk@sourceforge.net>

	Files:	NEWS (1.403) (+14 -6)
		src/foomatic/foomatic-printermap (1.182) (+13 -0)
		src/xml/escp2/model/model_94.xml (1.2) (+12 -45)
		src/xml/printers.xml (1.24) (+17 -4)

	Correct (on specification) support for the Epson NX100 and friends.

	Add support for the PM-A940 and PM-T960 based on the RX680.

2008-12-11	<rlk@sourceforge.net>

	Files:	NEWS (1.402) (+26 -0)

	Update release notes for next release.

2008-12-10	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inputslots/Makefile.am (1.5) (+2 -1)
		src/xml/escp2/inputslots/rx680.xml (1.1) (added)
		src/xml/escp2/model/Makefile.am (1.14) (+3 -2)
		src/xml/escp2/model/model_97.xml (1.1) (added)

	First cut at RX680

2008-12-10	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.16) (+4 -0)

	Try "whence" in addition to "type" to find pdftops.

2008-12-09	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inputslots/Makefile.am (1.4) (+2 -1)
		src/xml/escp2/inputslots/artisan.xml (1.1) (added)
		src/xml/escp2/model/model_96.xml (1.3) (+3 -3)

	Make duplex and print to CD work on Artisan printers

2008-12-07	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatterny.y (1.33) (+2 -1)
		src/xml/escp2/inks/Makefile.am (1.7) (+2 -1)
		src/xml/escp2/inks/artisan.xml (1.1) (added)
		src/xml/escp2/model/model_96.xml (1.2) (+26 -35)

	Initial tuning for Artisan printers

2008-12-05	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.98) (+14 -7)

	Fix some error handling and debug printout cases.

	Do not attempt to change the read/write mode via fcntl (on Solaris
	you're not supposed to pass those flags to fcntl).

2008-12-05	<easysw@sourceforge.net>

	Files:	src/cups/genppd.c (1.171) (+21 -21)

	In main() for the CUPS driver interface, force the locale to "C" (POSIX) before
	calling stp_init(), which calls setlocale() but probably shouldn't.

	Always localize dimension choices, and add a localizable string for it so
	we can use something other than "%.1f mm" as needed.

2008-11-22	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.416) (+1 -7)

	Remove spurious debug comment introduced by last commit.

2008-11-22	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.271) (+15 -3)
		src/main/print-escp2.c (1.415) (+44 -1)
		src/main/print-escp2.h (1.133) (+7 -2)
		src/xml/escp2/model/model_87.xml (1.15) (+3 -2)

	Allow extended margins with duplex printers when duplex not in use

2008-11-16	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.23) (+2 -2)

	CX4900 needs to be corrected also.

2008-11-15	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.15) (+1 -1)

	Use gunzip -f to avoid noise about uncompressed PPD files that already exist.

2008-11-15	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.14) (+3 -1)

	Correctly use cgpdftoraster, and uncompress PPD files since not all
	versions of CUPS can work with compressed PPDs.

===============================================================================
Name: gutenprint-5_2_2

2008-11-15	<rlk@sourceforge.net>

	Files:	NEWS (1.401) (+8 -2)
		src/foomatic/foomatic-printermap (1.181) (+3 -0)
		src/xml/escp2/model/Makefile.am (1.13) (+3 -2)
		src/xml/escp2/model/model_96.xml (1.1) (added)
		src/xml/printers.xml (1.22) (+10 -7)

	Fix definition of Artisan printers based on specs

2008-11-15	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.13) (+2 -2)

	Remove unnecessarily aggressive quoting.

2008-11-14	<rlk@sourceforge.net>

	Files:	po/it.po (1.4) (+2898 -2679)

	Update translation

2008-11-14	<rlk@sourceforge.net>

	Files:	po/it.po (1.3) (+2686 -2905)

	Fix translation from the translation service

2008-11-14	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.12) (+13 -5)
		src/testpattern/run-testpattern (1.25) (+10 -2)
		src/testpattern/run-testpattern-1 (1.11) (+10 -2)
		src/testpattern/run-testpattern-2.in (1.32) (+13 -2)
		test/run-testdither (1.14) (+10 -2)
		test/run-weavetest (1.28) (+10 -2)

	Fix tests for VPATH builds

2008-11-13	<rlk@sourceforge.net>

	Files:	po/cs.po (1.54) (+1869 -1857)
		po/da.po (1.95) (+1869 -1857)
		po/de.po (1.68) (+1869 -1857)
		po/el.po (1.69) (+1869 -1857)
		po/en_GB.po (1.162) (+1869 -1857)
		po/es.po (1.67) (+1869 -1857)
		po/fr.po (1.95) (+1869 -1857)
		po/hu.po (1.26) (+1869 -1857)
		po/it.po (1.2) (+2898 -2679)
		po/ja.po (1.63) (+1869 -1857)
		po/nb.po (1.28) (+1869 -1857)
		po/nl.po (1.78) (+1869 -1857)
		po/pl.po (1.73) (+1869 -1857)
		po/pt.po (1.68) (+1869 -1857)
		po/sk.po (1.72) (+1869 -1857)
		po/sv.po (1.98) (+1870 -1858)
		po/zh_TW.po (1.28) (+1869 -1857)

	Gutenprint 5.2.2 release

2008-11-11	<rlk@sourceforge.net>

	Files:	NEWS (1.400) (+25 -5)

	Update release notes.

2008-11-11	<rlk@sourceforge.net>

	Files:	configure.ac (1.207) (+3 -3)
		po/it.po (1.1) (added)

	Add Italian translation

2008-11-10	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/Makefile.am (1.12) (+2 -2)

	Correct new model file.

2008-11-10	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.180) (+1 -0)
		src/xml/escp2/model/Makefile.am (1.11) (+2 -1)
		src/xml/escp2/model/model_65.xml (1.13) (+4 -4)
		src/xml/escp2/model/model_95.xml (1.1) (added)
		src/xml/printers.xml (1.21) (+14 -13)

	Correct printer definition for a number of Epson MFP devices

2008-11-02	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_91.xml (1.8) (+6 -6)

	[ 2214593 ] Stylus Photo R1900 output unaligned

2008-11-02	<rlk@sourceforge.net>

	Files:	src/ghost/ijsgutenprint.c (1.22) (+2 -2)

	[ 2217057 ] obvious error in ijsgutenprint.c

2008-11-01	<rleigh@sourceforge.net>

	Files:	src/xml/Makefile.am (1.4) (+3 -3)

	src/xml/Makefile.am: Fix quoting issue in sed substitution
	Remove removed file from CLEANFILES

2008-10-29	<easysw@sourceforge.net>

	Files:	src/escputil/escputil.c (1.97) (+7 -7)
		src/main/channel.c (1.31) (+2 -2)
		src/main/curve.c (1.54) (+16 -16)
		src/main/escp2-channels.c (1.87) (+2 -2)
		src/main/print-lexmark.c (1.158) (+2 -2)
		src/main/print-weave.c (1.72) (+3 -3)
		src/main/sequence.c (1.27) (+4 -4)

	Fix 64-bit compile problems - %d doesn't work with size_t, so instead use
	%ld and casts to long.

2008-10-24	<rlk@sourceforge.net>

	Files:	NEWS (1.399) (+10 -111)
		README (1.197) (+7 -7)

	Advance version

2008-10-24	<rlk@sourceforge.net>

	Files:	configure.ac (1.206) (+3 -3)

	Bump version.

2008-10-24	<rleigh@sourceforge.net>

	Files:	Makefile.am (1.155) (+15 -15)
		include/gutenprintui2/Makefile.am (1.4) (+4 -3)
		src/foomatic/Makefile.am (1.52) (+4 -2)
		src/gutenprintui2/Makefile.am (1.8) (+4 -3)
		src/xml/Makefile.am (1.3) (+10 -8)
		src/xml/escp2/Makefile.am (1.8) (+11 -10)
		src/xml/escp2/inks/Makefile.am (1.6) (+6 -5)
		src/xml/escp2/inputslots/Makefile.am (1.3) (+6 -5)
		src/xml/escp2/media/Makefile.am (1.9) (+6 -5)
		src/xml/escp2/mediasizes/Makefile.am (1.3) (+6 -5)
		src/xml/escp2/model/Makefile.am (1.10) (+6 -5)
		src/xml/escp2/qualitypresets/Makefile.am (1.3) (+6 -5)
		src/xml/escp2/weaves/Makefile.am (1.2) (+6 -5)

	Fix VPATH build

	Correct use of srcdir and builddir in XML data directories.
	All Makefiles use temporary files when using shell I/O redirection to files,
	so make behaves idempotently on failure (the target is only created on
	success).

2008-10-24	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.20) (+1 -2)

	Remove duplicate entry.

===============================================================================
Name: gutenprint-5_2_1

2008-10-19	<rlk@sourceforge.net>

	Files:	po/cs.po (1.53) (+2747 -2447)
		po/da.po (1.94) (+2745 -2448)
		po/de.po (1.67) (+2738 -2447)
		po/el.po (1.68) (+2747 -2447)
		po/en_GB.po (1.161) (+2749 -2447)
		po/es.po (1.66) (+2747 -2447)
		po/fr.po (1.94) (+2749 -2447)
		po/hu.po (1.25) (+2749 -2447)
		po/ja.po (1.62) (+2747 -2447)
		po/nb.po (1.27) (+2749 -2447)
		po/nl.po (1.77) (+2745 -2448)
		po/pl.po (1.72) (+2747 -2447)
		po/pt.po (1.67) (+2747 -2447)
		po/sk.po (1.71) (+2747 -2447)
		po/sv.po (1.97) (+2750 -2448)
		po/zh_TW.po (1.27) (+2747 -2447)

	Gutenprint 5.2.1 release

2008-10-19	<rlk@sourceforge.net>

	Files:	NEWS (1.398) (+1 -1)
		configure.ac (1.205) (+4 -4)

	Fix release that didn't get bumped.

2008-10-19	<rlk@sourceforge.net>

	Files:	NEWS (1.397) (+2 -2)
		README (1.196) (+15 -15)
		configure.ac (1.204) (+4 -4)

	Prep for 5.2.1 release

2008-10-19	<rlk@sourceforge.net>

	Files:	po/da.po (1.93) (+1209 -1122)
		po/nl.po (1.76) (+1243 -1137)

	Update Danish, Dutch translation

2008-10-19	<rlk@sourceforge.net>

	Files:	NEWS (1.396) (+141 -19)
		doc/gutenprint-users-manual.odt (1.5) (+356 -472)
		doc/gutenprint-users-manual.pdf (1.5) (+3820 -2943)
		src/foomatic/foomatic-generator.in (1.66) (+5 -4)
		src/foomatic/foomatic-printermap (1.179) (+49 -0)
		src/foomatic/printers.c (1.13) (+3 -1)
		src/xml/escp2/inks/Makefile.am (1.5) (+4 -1)
		src/xml/escp2/inks/nx100.xml (1.1) (added)
		src/xml/escp2/inks/wf40.xml (1.1) (added)
		src/xml/escp2/inks/wf500.xml (1.1) (added)
		src/xml/escp2/media/Makefile.am (1.8) (+2 -1)
		src/xml/escp2/media/c120.xml (1.12) (+48 -0)
		src/xml/escp2/media/wf500.xml (1.1) (added)
		src/xml/escp2/model/Makefile.am (1.9) (+4 -2)
		src/xml/escp2/model/model_92.xml (1.2) (+108 -44)
		src/xml/escp2/model/model_93.xml (1.1) (added)
		src/xml/escp2/model/model_94.xml (1.1) (added)
		src/xml/escp2/qualitypresets/Makefile.am (1.2) (+3 -2)
		src/xml/escp2/qualitypresets/wf40.xml (1.1) (added)
		src/xml/printers.xml (1.19) (+51 -1)
		test/run-weavetest (1.27) (+3 -3)

	   1) Preliminary support for the following printers.  These printers
	      may be retuned for improved quality or performance in future
	      releases.

	      Epson inkjet printers:

		Epson PictureMate 215
		Epson PX 101
		Epson PX 201
		Epson PX 601F
		Epson Stylus CX9300F
		Epson Stylus CX9400F
		Epson Stylus CX9475F
		Epson Stylus DX9400F
		Epson Stylus NX200
		Epson Stylus NX400
		Epson Stylus Photo R290
		Epson Stylus Photo RX610
		Epson Stylus Photo RX690
		Epson Stylus Office B30
		Epson Stylus Office B33
		Epson Stylus Office B40W
		Epson Stylus Office T30
		Epson Stylus Office T33
		Epson Stylus Office T40W
		Epson Stylus Office BX300F
		Epson Stylus Office BX600FW
		Epson Stylus Office SX600FW
		Epson Stylus Office TX300F
		Epson Stylus Office TX600FW
		Epson Stylus SX200
		Epson Stylus SX205
		Epson Stylus SX400
		Epson Stylus SX405
		Epson Stylus TX200
		Epson Stylus TX400
		Epson ME Office 70
		Epson ME Office 80W
		Epson ME Office 700FW
		Epson WorkForce 30
		Epson WorkForce 40
		Epson WorkForce 500
		Epson WorkForce 600

	   2) Experimental support for the following printers.  These printers
	      may not function correctly, and may be retuned for improved
	      quality or performance in future releases.

	      Epson inkjet printers:

		Epson Artisan 700
		Epson Artisan 800
		Epson Stylus NX100
		Epson Stylus NX300
		Epson Stylus PX700FW
		Epson Stylus PX800FW
		Epson Stylus S20
		Epson Stylus SX100
		Epson Stylus SX105
		Epson Stylus T20
		Epson Stylus TX100
		Epson Stylus Photo TX700W
		Epson Stylus Photo TX800W

2008-10-12	<rlk@sourceforge.net>

	Files:	po/da.po (1.92) (+81 -183)
		po/nl.po (1.75) (+98 -237)

	Update Dutch and Danish translations

2008-10-11	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.178) (+1 -0)
		src/xml/printers.xml (1.18) (+2 -1)

	Add Epson DX9400F

2008-10-06	<rlk@sourceforge.net>

	Files:	Makefile.am (1.154) (+13 -1)

	Install ChangeLog, NEWS, AUTHORS, COPYING, and README into
	documentation.

===============================================================================
Name: gutenprint-5_2_0-rc1

2008-10-05	<rlk@sourceforge.net>

	Files:	NEWS (1.395) (+0 -4)

	CUPS progress messages on OS X do not appear to be fully fixed.

2008-10-04	<rlk@sourceforge.net>

	Files:	po/cs.po (1.52) (+1 -1)
		po/da.po (1.91) (+1 -1)
		po/de.po (1.66) (+1 -1)
		po/el.po (1.67) (+1 -1)
		po/en_GB.po (1.160) (+1 -1)
		po/es.po (1.65) (+1 -1)
		po/fr.po (1.93) (+1 -1)
		po/hu.po (1.24) (+1 -1)
		po/ja.po (1.61) (+1 -1)
		po/nb.po (1.26) (+1 -1)
		po/nl.po (1.74) (+1 -1)
		po/pl.po (1.71) (+1 -1)
		po/pt.po (1.66) (+1 -1)
		po/sk.po (1.70) (+1 -1)
		po/sv.po (1.96) (+2 -2)
		po/zh_TW.po (1.26) (+1 -1)

	Gutenprint 5.2.0-rc1 release

2008-10-04	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.136) (+7 -5)

	ATTR messages shouldn't be printed when suppress_messages is in
	effect.

2008-10-03	<easysw@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.135) (+5 -5)

	Sigh...  Need to pass message catalog to stp_i18n_printf(), and between the
	compiler not erroring out and the verbosity of the build I did not see the
	warning...

2008-10-03	<easysw@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.134) (+6 -6)

	Use stp_i18n_printf() for INFO: messages, otherwise they won't be localized.

2008-10-03	<rlk@sourceforge.net>

	Files:	NEWS (1.394) (+5 -1)

	Force stderr to be unbuffered to ensure status messages get reported
	on OS X.

2008-10-03	<easysw@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.133) (+9 -2)

	Don't buffer stderr so we get progress updates.

2008-09-29	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/Makefile.am (1.8) (+3 -2)

	Don't remove model_92 from the distribution even though it's currently
	not used; it will cause confusion at a later date.

2008-09-28	<rlk@sourceforge.net>

	Files:	NEWS (1.393) (+24 -2)
		src/xml/escp2/model/Makefile.am (1.7) (+2 -3)
		src/xml/printers.xml (1.17) (+4 -4)

	Fix colors at 720 DPI and below on more Epson printers

2008-09-28	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_65.xml (1.12) (+4 -12)

	Redo fix 2034454 Epson DX7400 colours wrong below 1440dpi

2008-09-25	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.170) (+365 -466)

	Revert to 5.2.0-beta4 version.

2008-09-22	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.53) (+3 -1)

	Function correctly if there is no driver_bin installed but one is
	specified on the command line.

2008-09-22	<easysw@sourceforge.net>

	Files:	src/cups/Makefile.am (1.118) (+4 -4)

	Get po files from srcdir...

2008-09-20	<rlk@sourceforge.net>

	Files:	NEWS (1.392) (+164 -10)
		README (1.195) (+7 -0)
		README.package (1.2) (+102 -23)

	Release note updates

2008-09-20	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.52) (+14 -4)

	Preserve original language in *StpLocale when updating a PPD file, to
	allow -loriginal to return to original language.

2008-09-20	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.169) (+466 -365)

	Accept driver syntax in genppd.

2008-09-17	<mbroughtn@sourceforge.net>

	Files:	man/cups-genppd.8.in (1.6) (+2 -2)

	Correct example.  Model lists now show Epson rather than EPSON printers.

2008-09-17	<rlk@sourceforge.net>

	Files:	NEWS (1.391) (+7 -0)
		doc/gutenprint-users-manual.odt (1.4) (+495 -479)
		doc/gutenprint-users-manual.pdf (1.4) (+2896 -2908)

	Miscellaneous updates

2008-09-13	<rlk@sourceforge.net>

	Files:	NEWS (1.390) (+1 -1)
		doc/gutenprint-users-manual.odt (1.3) (+744 -1064)
		doc/gutenprint-users-manual.pdf (1.3) (+3793 -4813)
		src/foomatic/foomatic-generator.in (1.65) (+41 -24)
		src/foomatic/printers.c (1.12) (+2 -1)

	Update manual and release notes.

2008-09-13	<rlk@sourceforge.net>

	Files:	NEWS (1.389) (+849 -1152)

	Start prep for 5.2 release.

2008-09-13	<rlk@sourceforge.net>

	Files:	configure.ac (1.203) (+3 -3)

	Bump version

2008-09-09	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.16) (+3 -3)

	Fix the DX8400/DX8450 in addition to the CX8400.

2008-09-03	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_91.xml (1.7) (+1 -1)

	Fix CD position for R1900.

2008-08-20	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.132) (+12 -9)

	More correct way of specifying page dimensions.

2008-08-20	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.11) (+3 -1)

	Add -o option to specify command line options.

2008-08-20	<rlk@sourceforge.net>

	Files:	src/main/channel.c (1.30) (+14 -8)

	Only retrieve the cyan, magenta, and yellow balances once rather than
	each time through the loop.

2008-08-20	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.10) (+40 -7)

	Add -m argument to generate MD5 checksums.

	Add -O argument to generate output.

	Add -n argument to optionally not create PPD files.

2008-08-20	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.131) (+15 -3)

	[ 2058858 ] HP 870 truncates legal page

	Print Gutenprint error messages as errors rather than as debug2's.

	Fix is to explicitly set the page height and width in addition to the
	page size.  This is an undocumented API wart that we should fix at
	some point.

===============================================================================
Name: gutenprint-5_2_0-beta4

2008-08-18	<rlk@sourceforge.net>

	Files:	po/cs.po (1.51) (+2922 -2899)
		po/da.po (1.90) (+3065 -2945)
		po/de.po (1.65) (+2933 -2910)
		po/el.po (1.66) (+2923 -2900)
		po/en_GB.po (1.159) (+2914 -2878)
		po/es.po (1.64) (+2922 -2899)
		po/fr.po (1.92) (+2927 -2889)
		po/hu.po (1.23) (+2927 -2889)
		po/ja.po (1.60) (+2922 -2899)
		po/nb.po (1.25) (+2924 -2900)
		po/nl.po (1.73) (+3099 -2960)
		po/pl.po (1.70) (+2923 -2900)
		po/pt.po (1.65) (+2923 -2900)
		po/sk.po (1.69) (+2922 -2899)
		po/sv.po (1.95) (+2928 -2890)
		po/zh_TW.po (1.25) (+2919 -2898)

	Gutenprint 5.2.0-beta4 release

2008-08-18	<rlk@sourceforge.net>

	Files:	NEWS (1.388) (+6 -0)
		src/main/print-ps.c (1.101) (+58 -21)
		src/main/xmlppd.c (1.3) (+17 -0)

	[ 1973668 ] Print preview does not correctly handle absence of PPD

2008-08-16	<rlk@sourceforge.net>

	Files:	NEWS (1.387) (+40 -39)
		README (1.194) (+2 -2)
		src/foomatic/foomatic-printermap (1.177) (+1 -0)
		src/xml/printers.xml (1.15) (+2 -1)

	Add Epson CX5500.

	Drop support for OS X 10.2.

2008-08-16	<rlk@sourceforge.net>

	Files:	src/cups/i18n.c (1.6) (+3 -3)

	Fix minor typo.

2008-08-16	<easysw@sourceforge.net>

	Files:	src/cups/i18n.c (1.5) (+12 -8)

	Clean up fuzzy translation check, since "fuzzy" doesn't have to be the
	first flag on the comment line.  Still need to decide if this is the right
	thing to do or change the msgmerge options to not add fuzzies in the first
	place...

2008-08-16	<rlk@sourceforge.net>

	Files:	src/cups/i18n.c (1.4) (+10 -4)

	Don't translate fuzzy translations.

2008-08-16	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.117) (+2 -2)

	Fix syntax error.

2008-08-16	<easysw@sourceforge.net>

	Files:	src/cups/Makefile.am (1.116) (+1 -4)

	Drop old reference to cups_bundledir...

2008-08-15	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.115) (+4 -4)

	Distribute i18n.h.

2008-08-14	<tillkamppeter@sourceforge.net>

	Files:	src/xml/printers.xml (1.14) (+16 -16)

	Replaced more "Okidata" by "Oki", to assure that also CUPS Raster PPDs use "Oki" as manufacturer name.

2008-08-14	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.9) (+2 -0)

	Build PPD files before running.

2008-08-14	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.176) (+15 -15)

	Change Okidata to Oki per Till.

2008-08-14	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.114) (+19 -9)
		src/cups/cups-genppdupdate.in (1.51) (+7 -2)

	Correctly install PPD files when required

2008-08-14	<easysw@sourceforge.net>

	Files:	src/cups/genppd.c (1.168) (+6 -3)

	Re-commit LanguageEncoding fix (Robert is just too fast for me... :)

2008-08-14	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.89) (+4 -1)

	Comment out duplicate paper size for Sony UPDP10.

2008-08-14	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.167) (+4 -3)

	Ensure that we don't accidentally get a duplicate resolution

2008-08-14	<rlk@sourceforge.net>

	Files:	configure.ac (1.202) (+3 -2)
		src/cups/Makefile.am (1.113) (+4 -4)

	Check correctly for libiconv

2008-08-14	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/f360_ultrachrome_k3.xml (1.9) (+0 -63)

	Remove duplicate definitions of Watercolor paper

2008-08-13	<easysw@sourceforge.net>

	Files:	src/cups/Makefile.am (1.112) (+4 -4)
		src/cups/genppd.c (1.166) (+22 -22)
		src/cups/i18n.c (1.3) (+4 -10)

	Fix localization issues.

2008-08-13	<rlk@sourceforge.net>

	Files:	NEWS (1.386) (+3 -3)

	Update note about how translations are done.

2008-08-13	<rlk@sourceforge.net>

	Files:	src/cups/i18n.c (1.2) (+10 -3)

	Add strlcpy function implementation.

2008-08-13	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/Makefile.am (1.6) (+3 -2)

	Add model 92 to the Makefile.

2008-08-13	<easysw@sourceforge.net>

	Files:	configure.ac (1.201) (+2 -24)
		include/gutenprint/gutenprint-intl-internal.h (1.4) (+9 -24)
		include/gutenprint/gutenprint-intl.h (1.5) (+13 -29)
		m4/stp_cups.m4 (1.11) (+0 -8)
		po/Makevars (1.4) (+0 -12)
		src/cups/Makefile.am (1.111) (+28 -72)
		src/cups/genppd.c (1.165) (+70 -180)
		src/cups/i18n.c (1.1) (added)
		src/cups/i18n.h (1.1) (added)
		src/cups/po2strings.c (1.3) (removed)
		src/cups/rastertoprinter.c (1.130) (+39 -44)
		src/main/Makefile.am (1.103) (+1 -2)
		src/main/intl.c (1.12) (removed)

	Revamp PPD and CUPS raster driver localization code to use our own loader
	and remove the old bits.

2008-08-13	<rlk@sourceforge.net>

	Files:	README (1.193) (+6 -5)

	Update configuration output block.

2008-08-13	<rlk@sourceforge.net>

	Files:	README (1.192) (+88 -42)

	Add some more info about CUPS driver.

2008-08-13	<rlk@sourceforge.net>

	Files:	README (1.191) (+0 -5)

	Remove reference to CUPS back ends

2008-08-13	<rlk@sourceforge.net>

	Files:	Makefile.am (1.153) (+2 -2)

	Distribute README.package for packagers.

2008-08-13	<rlk@sourceforge.net>

	Files:	NEWS (1.385) (+3 -2)

	Minor updates.

2008-08-13	<rlk@sourceforge.net>

	Files:	README (1.190) (+10 -23)

	Remove most references to Gimp-Print 4.2.

2008-08-12	<rlk@sourceforge.net>

	Files:	NEWS (1.384) (+32 -13)

	Note recent quality improvements on Epson printers.

2008-08-12	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_64.xml (1.11) (+2 -2)
		src/xml/escp2/model/model_67.xml (1.10) (+2 -2)
		src/xml/escp2/model/model_68.xml (1.10) (+2 -2)
		src/xml/escp2/model/model_70.xml (1.11) (+1 -1)
		src/xml/escp2/model/model_71.xml (1.10) (+1 -1)
		src/xml/escp2/model/model_81.xml (1.11) (+1 -0)
		src/xml/escp2/model/model_82.xml (1.12) (+1 -0)
		src/xml/escp2/model/model_85.xml (1.11) (+1 -0)
		src/xml/escp2/model/model_91.xml (1.6) (+1 -0)

	Improve borderless printing, particularly at high resolutions

2008-08-12	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.13) (+5 -5)

	Place printers in a more reasonable order in the file.

2008-08-10	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_91.xml (1.5) (+0 -1)

	Fix borderless printing on R1900.

2008-08-10	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_81.xml (1.10) (+0 -1)
		src/xml/escp2/model/model_82.xml (1.11) (+0 -1)

	Fix borderless printers on Claria printers

2008-08-06	<rlk@sourceforge.net>

	Files:	src/main/print-pcl.c (1.156) (+1 -7)

	Remove duplicate Resolution entry.

2008-08-06	<faust3@sourceforge.net>

	Files:	src/main/print-canon.c (1.229) (+29 -1)

	added support for the Quality option (although it currently is unused)

2008-08-06	<faust3@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.175) (+1 -0)
		src/xml/printers.xml (1.12) (+2 -1)

	added MP160, it seems to be similar to the MP150 and MP170 printer

2008-08-05	<rlk@sourceforge.net>

	Files:	NEWS (1.383) (+4 -0)
		src/xml/escp2/model/model_65.xml (1.11) (+12 -4)
		src/xml/escp2/model/model_92.xml (1.1) (added)
		src/xml/printers.xml (1.11) (+4 -4)

	2034454 Epson DX7400 colours wrong below 1440dpi

2008-08-05	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_65.xml (1.10) (+4 -12)

	2034454 Epson DX7400 colours wrong below 1440 dpi

	(really below 720 DPI)

2008-08-02	<rleigh@sourceforge.net>

	Files:	test/xml-curve.c (1.7) (+2 -2)

	[test] Fix debug code in xml-curve.c

2008-08-01	<rlk@sourceforge.net>

	Files:	po/nl.po (1.72) (+115 -242)

	Updated Dutch translation

2008-08-01	<rleigh@sourceforge.net>

	Files:	po/en_GB.po (1.158) (+891 -1626)

	[po] Update British English translation.

2008-07-31	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.50) (+2 -2)

	Fix an unitialized string error.

2008-07-31	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.164) (+23 -21)

	Some corrections per Till.

2008-07-31	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.163) (+70 -7)

	Add support for OpenPrinting PPD extensions Quick Presets and Widget
	Hinting.

2008-07-30	<rlk@sourceforge.net>

	Files:	configure.ac (1.200) (+15 -3)

	Add uname -a output to configure output.

2008-07-30	<rlk@sourceforge.net>

	Files:	configure.ac (1.199) (+14 -14)

	Move the OS X NLS stuff before the other CUPS  stuff.

2008-07-30	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.110) (+2 -2)

	Avoid race condition when building PPD files with make -j.

2008-07-29	<rlk@sourceforge.net>

	Files:	NEWS (1.382) (+7 -0)
		configure.ac (1.198) (+27 -9)
		src/cups/Makefile.am (1.109) (+8 -1)

	Set --enable-translated-cups-ppds to a reasonable default based on USE_NLS.

	Add --enable-globalized-cups-ppds option.

2008-07-29	<rlk@sourceforge.net>

	Files:	doc/README.maintaining (1.27) (+20 -18)

	Minor reorganization to place all requirements at the top.

2008-07-28	<rlk@sourceforge.net>

	Files:	doc/README.maintaining (1.26) (+8 -7)

	Add a few more required packages.

2008-07-28	<rlk@sourceforge.net>

	Files:	src/xml/papers.xml (1.5) (+13 -1)

	Add comments alerting people not to stick margins on papers listed
	here.

2008-07-28	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-generator.in (1.64) (+3 -4)

	Ensure that all printers get a meaningful setting for VeryHigh quality.

2008-07-28	<rlk@sourceforge.net>

	Files:	NEWS (1.381) (+5 -6)

	Minor wording fix.

2008-07-28	<rlk@sourceforge.net>

	Files:	po/da.po (1.89) (+89 -215)

	Updated Danish translation

2008-07-27	<rlk@sourceforge.net>

	Files:	NEWS (1.380) (+18 -13)

	Additional minor updates

2008-07-27	<rlk@sourceforge.net>

	Files:	NEWS (1.379) (+74 -30)

	Various updates in preparation for 5.2.0-beta4.

2008-07-27	<rlk@sourceforge.net>

	Files:	src/main/print-pcl.c (1.155) (+100 -46)

	Add quality presets to PCL driver.

2008-07-27	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.49) (+9 -5)
		src/cups/genppd.c (1.162) (+6 -7)

	Always honor -l option to cups-genppdupdate, even if Gutenprint 5.2 is
	in use (provides an out in the case of broken applications).

	Allow -lC.

	Allow -loriginal to preserve original language of PPD files, again with
	Gutenprint 5.2.

2008-07-27	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.108) (+7 -7)
		src/cups/cups-genppdupdate.in (1.48) (+2 -7)

	CUPS 1.1 still needs discrete PPD files

2008-07-27	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.107) (+24 -10)
		src/cups/cups-genppdupdate.in (1.47) (+44 -13)
		src/cups/genppd.c (1.161) (+51 -40)
		src/cups/test-ppds (1.5) (+9 -1)

	Create separate targets for global PPDs, discrete translated PPDs,
	non-translated PPDs, and global PPDs with numbers "localized".  The
	latter is for testing purposes, to work around bugs in cupstestppd.

	Add -N option to genppd to optionally localize numbers, for testing
	purposes.

	Treat absence of any -L argument to genppd as an indication to create
	globalized PPDs; -L C generates non-translated PPD files.

	Add -l option to cups-genppdupdate to specify the language for PPD
	files.  For Gutenprint 5.2 and above, this is ignored as globalized
	PPD files are corrected, so this is for downgrade purposes (at present).

	Do not actually run test-ppds as part of automated testing, due to
	problems with cupstestppd.

	Add code to filter out spurious errors and warnings in test-ppds.

2008-07-26	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_87.xml (1.14) (+1 -1)

	Use unidirectional by default at 720 HQ/1440x720 and better; it
	generates noticeably smoother output.

2008-07-26	<rlk@sourceforge.net>

	Files:	src/main/escp2-driver.c (1.54) (+3 -2)

	Fix nozzle start problem with split channel printers that in some
	cases would reduce quality (introduced post-beta3, so no regression).

2008-07-26	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.160) (+71 -19)

	Translate group names.

2008-07-26	<rlk@sourceforge.net>

	Files:	po/cs.po (1.50) (+4669 -3781)
		po/da.po (1.88) (+4382 -3397)
		po/de.po (1.64) (+4243 -3357)
		po/el.po (1.65) (+4213 -3326)
		po/en_GB.po (1.157) (+4428 -3529)
		po/es.po (1.63) (+5348 -4460)
		po/fr.po (1.91) (+4429 -3529)
		po/hu.po (1.22) (+4348 -3445)
		po/ja.po (1.59) (+5337 -4449)
		po/nb.po (1.24) (+4415 -3536)
		po/nl.po (1.71) (+4414 -3410)
		po/pl.po (1.69) (+4289 -3402)
		po/pt.po (1.64) (+4913 -4025)
		po/sk.po (1.68) (+5380 -4492)
		po/sv.po (1.94) (+4193 -3306)
		po/zh_TW.po (1.24) (+4248 -3364)

	20080726 translation snapshot

2008-07-26	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.129) (+8 -5)

	Only set explicit width/height if named page size isn't present or is
	invalid.

2008-07-26	<rlk@sourceforge.net>

	Files:	NEWS (1.378) (+4 -0)

	Note fix of PictureMate PPD problem.

2008-07-26	<rlk@sourceforge.net>

	Files:	NEWS (1.377) (+26 -29)

	No actual beta4 release yet.

2008-07-26	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.414) (+69 -4)

	Select an appropriate paper size in stp_media_size().  Fixes custom
	page sizes in PPD files for PictureMate printers.

2008-07-26	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.8) (+20 -0)

	Improve test performance by not unnecessarily running pdftops (which
	is very slow on at least some systems).

2008-07-26	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.159) (+9 -2)

	Translators: please keep messages short.

2008-07-25	<easysw@sourceforge.net>

	Files:	src/cups/genppd.c (1.158) (+10 -2)

	Don't localize numbers...

2008-07-24	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.157) (+20 -3)
		src/main/intl.c (1.11) (+16 -2)

	Fix (hopefully for real) PPD globalization.

2008-07-24	<easysw@sourceforge.net>

	Files:	src/main/intl.c (1.10) (+7 -3)

	Possible fix for 10.4.8 crash - don't localize if CFProcessPath isn't set.

2008-07-24	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.106) (+2 -2)
		src/cups/genppd.c (1.156) (+131 -149)
		src/cups/rastertoprinter.c (1.128) (+5 -10)

	Successfully translate prebuilt PPD files.

	Correctly generate translations.

2008-07-24	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.105) (+7 -2)
		src/main/print-canon.c (1.228) (+5 -5)
		src/main/print-escp2.c (1.413) (+19 -19)
		src/main/print-lexmark.c (1.157) (+6 -6)
		src/main/print-pcl.c (1.154) (+7 -7)
		src/xml/escp2/inks/c64.xml (1.5) (+4 -4)
		src/xml/escp2/inks/c80.xml (1.5) (+4 -4)
		src/xml/escp2/inks/c82.xml (1.5) (+4 -4)
		src/xml/escp2/inks/claria.xml (1.5) (+8 -8)
		src/xml/escp2/inks/cx3650.xml (1.5) (+4 -4)
		src/xml/escp2/inks/f360.xml (1.5) (+4 -4)
		src/xml/escp2/inks/f360_photo.xml (1.5) (+8 -8)
		src/xml/escp2/inks/f360_photo7_japan.xml (1.5) (+20 -20)
		src/xml/escp2/inks/f360_ultrachrome.xml (1.5) (+32 -32)
		src/xml/escp2/inks/f360_ultrachrome_k3.xml (1.6) (+42 -42)
		src/xml/escp2/inks/photo_gen0.xml (1.5) (+12 -12)
		src/xml/escp2/inks/photo_gen1.xml (1.5) (+12 -12)
		src/xml/escp2/inks/photo_gen2.xml (1.5) (+12 -12)
		src/xml/escp2/inks/photo_gen3.xml (1.5) (+12 -12)
		src/xml/escp2/inks/photo_gen3_4.xml (1.5) (+4 -4)
		src/xml/escp2/inks/photo_gen4.xml (1.5) (+8 -8)
		src/xml/escp2/inks/photo_pigment.xml (1.5) (+8 -8)
		src/xml/escp2/inks/pro_gen1.xml (1.5) (+12 -12)
		src/xml/escp2/inks/pro_gen2.xml (1.5) (+12 -12)
		src/xml/escp2/inks/pro_pigment.xml (1.5) (+8 -8)
		src/xml/escp2/inks/pro_ultrachrome.xml (1.5) (+32 -32)
		src/xml/escp2/inks/pro_ultrachrome_k3.xml (1.7) (+42 -42)
		src/xml/escp2/inks/standard.xml (1.5) (+4 -4)
		src/xml/escp2/inks/standard_gen0.xml (1.5) (+4 -4)
		src/xml/escp2/inks/ultrachrome.xml (1.5) (+32 -32)

	Change "ChannelTransition" to "ChannelTrans" to reduce length of option
	names and because these options have different meaning than in 5.0.

	Take a cut at generating globalized PPD files correctly.

2008-07-23	<easysw@sourceforge.net>

	Files:	src/cups/genppd.c (1.155) (+179 -120)
		src/cups/rastertoprinter.c (1.127) (+11 -6)

	Map StpLightMagentaTransition to StpLtMagentaTransition to avoid getting
	keywords longer than 40 characters.

	Localize Resolution options and fix localization of numeric options.

2008-07-22	<easysw@sourceforge.net>

	Files:	src/cups/Makefile.am (1.104) (+2 -2)
		src/cups/genppd.c (1.154) (+4 -10)

	Fix typos in genppd and uninstall changes.

2008-07-21	<easysw@sourceforge.net>

	Files:	po/Makevars (1.3) (+3 -0)
		src/cups/Makefile.am (1.103) (+12 -35)
		src/cups/genppd.c (1.153) (+68 -4)

	Fix uninstall rules.

	Add localizations of numeric and custom options.

2008-07-21	<easysw@sourceforge.net>

	Files:	src/main/print-olympus.c (1.88) (+2 -2)

	Fix invalid paper size text (colon can't be bare in UI text since genppd
	doesn't do quoting of colons...)

2008-07-21	<easysw@sourceforge.net>

	Files:	po/.cvsignore (1.11) (+1 -0)
		scripts/.cvsignore (1.5) (+1 -0)

	Ignore other generated files.

2008-07-21	<rlk@sourceforge.net>

	Files:	src/cups/test-ppds (1.4) (+4 -3)

	Don't remove and make PPD files if command line argument is passed
	(makes it easier to use manually).

2008-07-21	<rlk@sourceforge.net>

	Files:	src/main/print-vars.c (1.89) (+4 -4)

	Fix potential null pointer dereference

2008-07-20	<easysw@sourceforge.net>

	Files:	src/main/intl.c (1.9) (+1 -7)

	Remove bogus setbuf() call.

2008-07-20	<easysw@sourceforge.net>

	Files:	NEWS (1.376) (+17 -0)
		src/cups/Info.plist.in (1.3) (+8 -0)
		src/cups/Makefile.am (1.102) (+2 -2)
		src/cups/genppd.c (1.152) (+6 -6)
		src/cups/po2strings.c (1.2) (+148 -28)

	Add information to NEWS file.

	Add additional info to Info.plist file.

	Use iconv to convert .po charset to UTF-8, then to UTF-16BE.

	Fix cupsLanguages and language check to match.

2008-07-20	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.101) (+4 -2)

	Need to distribute po2strings.c

2008-07-20	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.151) (+4 -4)

	Avoid failure if language is not set.

2008-07-20	<easysw@sourceforge.net>

	Files:	src/cups/.cvsignore (1.12) (+1 -0)
		src/cups/Info.plist.in (1.2) (+2 -2)

	Fix typo...

2008-07-20	<easysw@sourceforge.net>

	Files:	configure.ac (1.197) (+3 -2)
		src/cups/Info.plist (1.2) (removed)
		src/cups/Info.plist.in (1.1) (added)
		src/main/intl.c (1.8) (+9 -4)

	Create Info.plist with proper Gutenprint version numbers.

2008-07-20	<rlk@sourceforge.net>

	Files:	src/main/print-pcl.c (1.153) (+9 -8)

	Don't smash floating point default value when describing parameters.

2008-07-20	<easysw@sourceforge.net>

	Files:	src/cups/genppd.c (1.150) (+316 -45)

	Add support for generating globalized PPD files.

2008-07-20	<easysw@sourceforge.net>

	Files:	src/main/mxml-file.c (1.10) (+3 -3)

	Fix potential NULL dereference.

2008-07-20	<easysw@sourceforge.net>

	Files:	src/main/intl.c (1.7) (+3 -1)

	Fix compiler warning.

2008-07-20	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.126) (+3 -2)

	Need errno.h to use errno.

2008-07-19	<easysw@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.125) (+103 -100)

	Tweak CUPS raster driver messages based on feedback from Robert.

2008-07-19	<easysw@sourceforge.net>

	Files:	src/cups/.cvsignore (1.11) (+7 -6)
		src/cups/rastertoprinter.c (1.124) (+165 -167)

	Localize INFO, ERROR, and WARNING messages in CUPS raster driver, and make
	several of them more user-friendly and without the "Gutenprint" prefix.

	Update DEBUG messages to use a consistent "Gutenprint:" prefix.

	Update .cvsignore file to account for current executable names.

2008-07-19	<rlk@sourceforge.net>

	Files:	NEWS (1.375) (+6 -0)
		src/xml/escp2/media/c120.xml (1.11) (+144 -0)
		src/xml/escp2/model/model_85.xml (1.10) (+37 -4)

	Add enhanced resolutions for C120 to reduce banding

2008-07-19	<rlk@sourceforge.net>

	Files:	NEWS (1.374) (+3 -0)

	Note CX8300/CX8400 fix.

2008-07-19	<rlk@sourceforge.net>

	Files:	src/xml/printers.xml (1.10) (+3 -3)

	Change CX8400 and CX8300 definitions to work correctly based on report.

2008-07-19	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/b500.xml (1.12) (+61 -61)

	Adjust B500 parameters per latest manual.

2008-07-19	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_87.xml (1.13) (+1 -1)

	Raise the limit for auto-bidirectional on B300.

2008-07-19	<easysw@sourceforge.net>

	Files:	configure.ac (1.196) (+3 -3)
		include/gutenprint/gutenprint-intl-internal.h (1.3) (+6 -4)
		include/gutenprint/gutenprint-intl.h (1.4) (+18 -18)
		src/main/intl.c (1.6) (+10 -8)

	Fix build system to support --disable-nls on Mac OS X.

2008-07-18	<rlk@sourceforge.net>

	Files:	src/main/print-raw.c (1.41) (+5 -1)

	Call stp_image_init() correctly.

2008-07-18	<rlk@sourceforge.net>

	Files:	src/main/escp2-driver.c (1.53) (+2 -2)

	Fix crash with CMY mode, black and white, and low resolution.

2008-07-18	<rlk@sourceforge.net>

	Files:	NEWS (1.373) (+5 -0)
		src/main/escp2-driver.c (1.52) (+52 -38)
		src/xml/escp2/media/b500.xml (1.11) (+68 -5)
		src/xml/escp2/model/model_87.xml (1.12) (+35 -2)

	Add HQ/enhanced resolutions to B-500 to match Epson OEM driver

2008-07-18	<rlk@sourceforge.net>

	Files:	test/run-weavetest (1.26) (+1 -1)

	Add 358 nozzles for B500.

2008-07-18	<rlk@sourceforge.net>

	Files:	test/unprint.c (1.42) (+34 -23)

	Separate split channel inks to enable inspection of each sub-channel.

2008-07-17	<rlk@sourceforge.net>

	Files:	test/parse-escp2 (1.24) (+11 -2)

	Handle ESC(d command (appears to be nop).

2008-07-17	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.412) (+15 -16)

	Ensure that stp_image_init() and stp_image_conclude() are paired up.

2008-07-17	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.31) (+1 -0)

	Make sure to set error status if subprocess dies from a signal.

2008-07-17	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.30) (+15 -13)

	Weed out printers before running testpattern if -S mode is used (makes
	valgrind a lot faster).

	Exit if subprocess dies from signal in -S mode.

2008-07-16	<rlk@sourceforge.net>

	Files:	src/testpattern/testpattern.c (1.54) (+47 -2)

	Check to make sure stp_image_t calls are at least minimally valid.

2008-07-16	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.87) (+14 -9)

	Avoid overflow of nputc buffer.

2008-07-16	<easysw@sourceforge.net>

	Files:	src/main/intl.c (1.5) (+5 -3)

	Fix crash when unable to get localized string.

2008-07-16	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.29) (+31 -14)

	Add -S option allowing running each printer through a separate
	testpattern process.

	Allow 2 -R options to run *only* the minimum resolution.

2008-07-16	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.270) (+7 -7)

	Fix fencepost causing double initialization/small memory leak

2008-07-16	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.86) (+10 -7)

	Ensure that image data is freed (avoid memory leak on Olympus P440).

2008-07-16	<rlk@sourceforge.net>

	Files:	src/testpattern/testpattern.c (1.53) (+2 -2)

	Correctly initialize global.

2008-07-14	<easysw@sourceforge.net>

	Files:	configure.ac (1.195) (+8 -2)

	Add --with-archflags configure option to add compiler/linker flags after
	all autoconf tests are done.

2008-07-14	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.28) (+4 -4)

	Use callgrind rather than cachegrind so kcachegrind works

2008-07-14	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.269) (+33 -8)
		src/main/print-weave.c (1.71) (+37 -23)

	Improve weave setup performance by using qsort rather than bubble sort

2008-07-13	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.85) (+19 -3)

	Performance improvement for Olympus P200.

2008-07-13	<rlk@sourceforge.net>

	Files:	include/gutenprint/util.h (1.7) (+3 -2)
		src/main/escp2-driver.c (1.51) (+7 -5)
		src/main/print-escp2-data.c (1.268) (+1 -3)
		src/main/print-escp2.c (1.411) (+13 -6)
		src/main/print-papers.c (1.41) (+1 -26)
		src/main/print-pcl.c (1.152) (+5 -8)
		src/main/print-weave.c (1.70) (+48 -53)

	Add debug option to turn off compression.

	Remove some dead code.

	Minor code cleanup.

2008-07-13	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.149) (+2 -6)

	Remove some dead code.

2008-07-13	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.148) (+14 -7)

	Need to limit X resolution also to avoid confusing MS Office.

2008-07-12	<easysw@sourceforge.net>

	Files:	src/cups/Makefile.am (1.100) (+2 -2)

	Don't fail due to missing locale dir.

2008-07-12	<rlk@sourceforge.net>

	Files:	src/main/print-vars.c (1.88) (+11 -1)

	Fail if we try to fill a param string with no text or category.

2008-07-12	<rlk@sourceforge.net>

	Files:	src/main/print-vars.c (1.87) (+2 -2)

	Don't attempt to translate a null help string.

2008-07-12	<easysw@sourceforge.net>

	Files:	src/main/intl.c (1.4) (+4 -1)

	Protect against NULL translation text.

2008-07-12	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.7) (+7 -3)

	Add -V (verbose) option.

2008-07-12	<rlk@sourceforge.net>

	Files:	include/gutenprint/paper.h (1.4) (+3 -3)

	Fix Doxygen comment

2008-07-12	<rlk@sourceforge.net>

	Files:	configure.ac (1.194) (+3 -3)

	Fix up incorrect test.

2008-07-12	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.410) (+48 -47)

	Only display densities and hue maps for appropriate inks

2008-07-12	<rlk@sourceforge.net>

	Files:	NEWS (1.372) (+23 -1)

	Additional accumulated changes

2008-07-11	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.46) (+20 -5)
		src/cups/genppd.c (1.147) (+19 -19)

	Avoid use of vertical resolutions greater than 720 DPI when listing
	XXXxYYYdpi resolutions in PPD files, to cater to certain broken
	applications.

2008-07-11	<rlk@sourceforge.net>

	Files:	src/main/intl.c (1.3) (+2 -2)

	Add comment at #elif defined(ENABLE_NLS) for clarity.

2008-07-11	<rlk@sourceforge.net>

	Files:	configure.ac (1.193) (+10 -8)

	Don't print out "bundle" message on non-OS X systems (where it's
	meaningless).

2008-07-11	<rlk@sourceforge.net>

	Files:	configure.ac (1.192) (+5 -3)
		src/cups/Makefile.am (1.99) (+7 -2)

	Conditionalize special OS X CUPS install code.

2008-07-11	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.409) (+13 -2)
		src/main/print-escp2.h (1.132) (+3 -2)
		src/xml/escp2/model/model_87.xml (1.11) (+1 -0)

	Improve print quality at bottom of page on B-500 type printers.
	Tested with both non-duplex (where it helps) and duplex (where it
	must be disabled).

2008-07-11	<rlk@sourceforge.net>

	Files:	src/main/escp2-driver.c (1.50) (+7 -6)

	Don't send a unidirectional/bidirectional command if bidirectional
	upper limit is set to -1.

2008-07-11	<rlk@sourceforge.net>

	Files:	src/main/print-weave.c (1.69) (+3 -3)

	Print out a fe more debugging parameters.

2008-07-09	<rlk@sourceforge.net>

	Files:	src/gutenprintui2/panel.c (1.18) (+104 -20)

	Offer integer options

2008-07-09	<rlk@sourceforge.net>

	Files:	src/main/print-color.c (1.140) (+2 -2)

	Make color correction be a basic parameter.

2008-07-08	<easysw@sourceforge.net>

	Files:	configure.ac (1.191) (+4 -3)
		src/main/print-util.c (1.116) (+2 -2)

	Rename --with-nickname=foo to --with-cups-nickname=foo.

	stp_set_codeset depended on gettext.

2008-07-08	<rlk@sourceforge.net>

	Files:	test/unprint.c (1.41) (+4 -1)

	Handle additional inks on B-300.

2008-07-08	<rlk@sourceforge.net>

	Files:	src/main/intl.c (1.2) (+2 -1)

	Use of strcmp requires string.h.

2008-07-08	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.408) (+8 -5)

	Allow use of quadtone inks with color mode; switch to black and white
	dynamically.

2008-07-08	<easysw@sourceforge.net>

	Files:	configure.ac (1.190) (+20 -4)
		include/gutenprint/gutenprint-intl-internal.h (1.2) (+15 -2)
		include/gutenprint/gutenprint-intl.h (1.3) (+16 -2)
		m4/stp_cups.m4 (1.10) (+8 -0)
		po/Makevars (1.2) (+9 -0)
		src/cups/Info.plist (1.1) (added)
		src/cups/Makefile.am (1.98) (+57 -2)
		src/cups/genppd.c (1.146) (+22 -106)
		src/cups/po2strings.c (1.1) (added)
		src/cups/rastertoprinter.c (1.123) (+3 -3)
		src/main/Makefile.am (1.102) (+2 -1)
		src/main/intl.c (1.1) (added)

	configure.ac:
	    - Filter out trailing "svn" from cups version numbers.
	    - Use CoreFoundation for localization.
	    - Add --with-nickname configure option to override default
	      "CUPS+Gutenprint" suffix.

	m4/stp_cups.m4:
	    - Add cups_bundledir definition.

	po/Makevars:
	    - Add dummy Mac OS X po install targets.

	src/cups/Info.plist:
	    - Added (bundle information file)

	src/cups/Makefile.am:
	    - Add install targets so we can symlink into a bundle.
	    - Add .strings install to install-data-local target.

	src/cups/genppd.c:
	    - Move bulk of set_language() to main/intl.c.
	    - Drop default language suffix from URI, and do not enumerate all
	      of the languages we support - we'll be doing globalized PPDs.
	      (still support the suffix if provided by the user)
	    - Update copyrights to this year and my name instead of ESP.
	    - Use driver long name instead of Ghostscript for Product.
	    - Only list one PSVersion.

	src/cups/rastertoprinter.c:
	    - Update copyright to this year and my name instead of ESP.

	src/cups/po2strings.c:
	    - Added to convert .po files to .strings.

	src/main/Makefile.am:
	    - Added intl.c to libgutenprint sources.

	src/main/intl.c:
	    - Added with stp_gettext and stp_setlocale functions.

2008-07-07	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/b500.xml (1.4) (+21 -15)
		src/xml/escp2/inks/c120.xml (1.4) (+9 -3)
		src/xml/escp2/inks/c64.xml (1.4) (+6 -0)
		src/xml/escp2/inks/c80.xml (1.4) (+6 -0)
		src/xml/escp2/inks/c82.xml (1.4) (+6 -0)
		src/xml/escp2/inks/claria.xml (1.4) (+12 -0)
		src/xml/escp2/inks/cmy.xml (1.4) (+3 -0)
		src/xml/escp2/inks/cx3650.xml (1.4) (+6 -0)
		src/xml/escp2/inks/f360.xml (1.4) (+6 -0)
		src/xml/escp2/inks/f360_photo.xml (1.4) (+12 -0)
		src/xml/escp2/inks/f360_photo7_japan.xml (1.4) (+18 -0)
		src/xml/escp2/inks/f360_ultrachrome.xml (1.4) (+748 -733)
		src/xml/escp2/inks/f360_ultrachrome_k3.xml (1.5) (+18 -0)
		src/xml/escp2/inks/photo_gen0.xml (1.4) (+12 -0)
		src/xml/escp2/inks/photo_gen1.xml (1.4) (+12 -0)
		src/xml/escp2/inks/photo_gen2.xml (1.4) (+12 -0)
		src/xml/escp2/inks/photo_gen3.xml (1.4) (+12 -0)
		src/xml/escp2/inks/photo_gen3_4.xml (1.4) (+6 -0)
		src/xml/escp2/inks/photo_gen4.xml (1.4) (+12 -0)
		src/xml/escp2/inks/photo_pigment.xml (1.4) (+12 -0)
		src/xml/escp2/inks/picturemate_4.xml (1.4) (+3 -0)
		src/xml/escp2/inks/pro_gen1.xml (1.4) (+12 -0)
		src/xml/escp2/inks/pro_gen2.xml (1.4) (+12 -0)
		src/xml/escp2/inks/pro_pigment.xml (1.4) (+12 -0)
		src/xml/escp2/inks/pro_ultrachrome.xml (1.4) (+15 -0)
		src/xml/escp2/inks/pro_ultrachrome_k3.xml (1.6) (+18 -0)
		src/xml/escp2/inks/standard.xml (1.4) (+6 -0)
		src/xml/escp2/inks/standard_gen0.xml (1.4) (+6 -0)
		src/xml/escp2/inks/ultrachrome.xml (1.4) (+15 -0)
		src/xml/escp2/inks/x80.xml (1.4) (+6 -0)
		src/xml/escp2/media/b500.xml (1.10) (+113 -900)
		src/xml/escp2/media/c120.xml (1.10) (+89 -612)
		src/xml/escp2/media/c64.xml (1.7) (+149 -1365)
		src/xml/escp2/media/c80.xml (1.7) (+149 -1365)
		src/xml/escp2/media/c82.xml (1.7) (+149 -1365)
		src/xml/escp2/media/claria.xml (1.9) (+104 -792)
		src/xml/escp2/media/claria1400.xml (1.7) (+104 -792)
		src/xml/escp2/media/cmy.xml (1.7) (+91 -680)
		src/xml/escp2/media/cx3650.xml (1.7) (+149 -1365)
		src/xml/escp2/media/f360.xml (1.7) (+149 -1365)
		src/xml/escp2/media/f360_photo.xml (1.7) (+128 -681)
		src/xml/escp2/media/f360_photo7_japan.xml (1.7) (+128 -681)
		src/xml/escp2/media/f360_ultrachrome.xml (1.7) (+211 -1475)
		src/xml/escp2/media/f360_ultrachrome_k3.xml (1.8) (+220 -1517)
		src/xml/escp2/media/photo_gen0.xml (1.7) (+148 -1364)
		src/xml/escp2/media/photo_gen1.xml (1.7) (+149 -1365)
		src/xml/escp2/media/photo_gen2.xml (1.7) (+149 -1365)
		src/xml/escp2/media/photo_gen3.xml (1.7) (+149 -1365)
		src/xml/escp2/media/photo_gen3_4.xml (1.7) (+149 -1365)
		src/xml/escp2/media/photo_gen4.xml (1.8) (+92 -648)
		src/xml/escp2/media/photo_pigment.xml (1.7) (+149 -782)
		src/xml/escp2/media/picturemate_4.xml (1.7) (+42 -70)
		src/xml/escp2/media/picturemate_6.xml (1.7) (+42 -70)
		src/xml/escp2/media/pro_gen1.xml (1.7) (+153 -1368)
		src/xml/escp2/media/pro_gen2.xml (1.7) (+154 -1369)
		src/xml/escp2/media/pro_pigment.xml (1.7) (+159 -794)
		src/xml/escp2/media/pro_ultrachrome.xml (1.8) (+213 -1477)
		src/xml/escp2/media/pro_ultrachrome_k3.xml (1.2) (+215 -1478)
		src/xml/escp2/media/standard.xml (1.7) (+149 -1365)
		src/xml/escp2/media/standard_gen0.xml (1.7) (+148 -1364)
		src/xml/escp2/media/ultrachrome.xml (1.7) (+211 -1475)
		src/xml/escp2/media/x80.xml (1.7) (+92 -681)

	Use references to curves.

2008-07-07	<rlk@sourceforge.net>

	Files:	NEWS (1.371) (+9 -6)

	Update

2008-07-07	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.45) (+3 -3)

	Correctly split the locale from teh region.

2008-07-07	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.27) (+1 -1)

	Don't filter out "none" (default) value for options.

2008-07-07	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.407) (+5 -2)

	Try harder to find a usable ink type.

2008-07-07	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.26) (+12 -5)

	Add option to use minimum resolution where possible (for speed)

2008-07-06	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.25) (+4 -4)

	Don't smash the special option list.

2008-07-06	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/cmykrb.xml (1.7) (+20 -20)
		src/xml/escp2/inks/cmykro.xml (1.5) (+97 -269)
		src/xml/escp2/inks/picturemate_6.xml (1.6) (+5 -5)
		src/xml/escp2/media/cmykro.xml (1.4) (+202 -1448)
		src/xml/escp2/media/r800.xml (1.2) (+188 -1434)
		src/xml/escp2/model/model_91.xml (1.4) (+22 -15)

	Preliminary tuning for R1900

2008-07-06	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.86) (+5 -5)
		src/main/print-vars.c (1.86) (+55 -26)
		src/xml/escp2/inks/cmykrb.xml (1.6) (+73 -240)
		src/xml/escp2/media/cmykrb.xml (1.8) (+198 -1444)

	Allow driver data to refer to curves rather than embedding them

2008-07-06	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.267) (+4 -2)

	Match stp_xml_init with stp_xml_exit.

2008-07-06	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.24) (+72 -24)

	Allow cross product of options.

2008-07-06	<rlk@sourceforge.net>

	Files:	include/gutenprint/xml.h (1.4) (+8 -3)
		src/main/escp2-channels.c (1.85) (+31 -12)
		src/main/escp2-papers.c (1.117) (+6 -6)
		src/main/escp2-resolutions.c (1.51) (+2 -2)
		src/main/print-vars.c (1.85) (+77 -39)

	Allow references to parameters rather than only inline values

2008-07-05	<rlk@sourceforge.net>

	Files:	src/main/escp2-papers.c (1.116) (+7 -1)
		src/main/print-escp2-data.c (1.266) (+6 -3)
		src/xml/escp2/media/Makefile.am (1.7) (+2 -1)
		src/xml/escp2/media/pro_ultrachrome.xml (1.7) (+21 -41)
		src/xml/escp2/media/pro_ultrachrome_k3.xml (1.1) (added)
		src/xml/escp2/model/model_88.xml (1.6) (+1 -1)
		src/xml/escp2/model/model_89.xml (1.5) (+1 -1)
		src/xml/escp2/model/model_90.xml (1.5) (+1 -1)

	Fix media definitions for x880 printers.

	Change assert to printf/abort to print better information.

	Check that media and ink specifications match (that check found the
	problem with the x880).

2008-07-05	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/cmykro.xml (1.4) (+3 -3)

	Fix R1900 ink names.

2008-07-05	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/cmykro.xml (1.3) (+45 -45)

	R1900 apparently doesn't need head offset.

2008-07-05	<rlk@sourceforge.net>

	Files:	include/gutenprint/paper.h (1.3) (+24 -8)
		src/cups/rastertoprinter.c (1.122) (+13 -6)
		src/ghost/ijsgutenprint.c (1.21) (+2 -2)
		src/main/print-papers.c (1.40) (+32 -2)
		src/xml/escp2/inks/cmykrb.xml (1.5) (+260 -160)
		src/xml/escp2/inks/cmykro.xml (1.2) (+260 -160)
		src/xml/escp2/inks/picturemate_6.xml (1.5) (+65 -128)
		src/xml/escp2/media/Makefile.am (1.6) (+2 -1)
		src/xml/escp2/media/b500.xml (1.9) (+604 -308)
		src/xml/escp2/media/c120.xml (1.9) (+408 -204)
		src/xml/escp2/media/c64.xml (1.6) (+912 -456)
		src/xml/escp2/media/c80.xml (1.6) (+912 -456)
		src/xml/escp2/media/c82.xml (1.6) (+912 -456)
		src/xml/escp2/media/claria.xml (1.8) (+528 -286)
		src/xml/escp2/media/claria1400.xml (1.6) (+528 -286)
		src/xml/escp2/media/cmy.xml (1.6) (+456 -228)
		src/xml/escp2/media/cmykrb.xml (1.7) (+960 -440)
		src/xml/escp2/media/cmykro.xml (1.3) (+960 -440)
		src/xml/escp2/media/cx3650.xml (1.6) (+912 -456)
		src/xml/escp2/media/f360.xml (1.6) (+912 -456)
		src/xml/escp2/media/f360_photo.xml (1.6) (+456 -228)
		src/xml/escp2/media/f360_photo7_japan.xml (1.6) (+456 -228)
		src/xml/escp2/media/f360_ultrachrome.xml (1.6) (+984 -574)
		src/xml/escp2/media/f360_ultrachrome_k3.xml (1.7) (+1008 -588)
		src/xml/escp2/media/photo_gen0.xml (1.6) (+912 -456)
		src/xml/escp2/media/photo_gen1.xml (1.6) (+912 -456)
		src/xml/escp2/media/photo_gen2.xml (1.6) (+912 -456)
		src/xml/escp2/media/photo_gen3.xml (1.6) (+912 -475)
		src/xml/escp2/media/photo_gen3_4.xml (1.6) (+912 -475)
		src/xml/escp2/media/photo_gen4.xml (1.7) (+432 -234)
		src/xml/escp2/media/photo_pigment.xml (1.6) (+504 -294)
		src/xml/escp2/media/picturemate_4.xml (1.6) (+48 -22)
		src/xml/escp2/media/picturemate_6.xml (1.6) (+48 -22)
		src/xml/escp2/media/pro_gen1.xml (1.6) (+912 -456)
		src/xml/escp2/media/pro_gen2.xml (1.6) (+912 -456)
		src/xml/escp2/media/pro_pigment.xml (1.6) (+504 -294)
		src/xml/escp2/media/pro_ultrachrome.xml (1.6) (+984 -574)
		src/xml/escp2/media/r800.xml (1.1) (added)
		src/xml/escp2/media/standard.xml (1.6) (+912 -456)
		src/xml/escp2/media/standard_gen0.xml (1.6) (+912 -456)
		src/xml/escp2/media/ultrachrome.xml (1.6) (+984 -574)
		src/xml/escp2/media/x80.xml (1.6) (+456 -228)
		src/xml/escp2/model/model_64.xml (1.10) (+1 -2)
		test/unprint.c (1.40) (+20 -14)

	R800 does not take new paper handling commands (R1800 apparently does).

	Clean up formatting of curves in XML files.

	Add function to find paper size precisely by size and make ijsgutenprint
	use it.

	CUPS driver handles explicit paper size that it can't find (e. g.
	someone edited the PPD file) by treating it as a custom size.

	Unprinter handles orange ink.

	Remove incorrect hue curves on CMY/CMYK inks.

2008-07-05	<rlk@sourceforge.net>

	Files:	test/parse-escp2 (1.23) (+1 -1)

	Fix off by one in printing remote commands.

2008-07-05	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.96) (+20 -19)

	Add orange ink for R1900.

2008-07-05	<rlk@sourceforge.net>

	Files:	Makefile.am (1.152) (+2 -2)
		scripts/mkchlog (1.12) (+49 -25)

	Generalize mkchlog and ignore certain directories

2008-07-04	<rlk@sourceforge.net>

	Files:	include/gutenprint/vars.h (1.7) (+3 -1)
		src/escputil/d4lib.c (1.10) (+0 -1)
		src/gimp2/print-gutenprint.c (1.2) (+3 -2)
		src/gutenprintui2/plist.c (1.18) (+2 -3)
		src/main/dither-main.c (1.61) (+3 -3)
		src/main/escp2-driver.c (1.49) (+1 -5)
		src/main/generic-options.c (1.11) (+6 -6)
		src/main/print-canon.c (1.227) (+17 -17)
		src/main/print-escp2.c (1.406) (+73 -73)
		src/main/print-lexmark.c (1.156) (+10 -12)
		src/main/print-olympus.c (1.84) (+9 -9)
		src/main/print-pcl.c (1.151) (+11 -11)
		src/main/print-ps.c (1.100) (+4 -4)
		src/main/print-raw.c (1.40) (+3 -3)

	Fix some Solaris compiler warnings

2008-07-04	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.6) (+10 -4)

	Handle the absence of pstoraster, which is not a standard part of
	CUPS.

	Don't assume /bin/sh

	Fix a bash-ism.

2008-07-04	<rlk@sourceforge.net>

	Files:	configure.ac (1.189) (+2 -3)

	Remove src/resolutions makefile

2008-07-04	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.174) (+1 -0)
		src/xml/escp2/media/cmykro.xml (1.2) (+223 -221)
		src/xml/escp2/model/model_91.xml (1.3) (+2 -2)
		src/xml/printers.xml (1.9) (+2 -1)

	Change definitions to match R1900 manual.

	Add PX-G5300 as alias for R1900.

2008-07-04	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_87.xml (1.10) (+44 -44)

	Rearrange to match layout of other files.

2008-07-03	<rlk@sourceforge.net>

	Files:	src/main/escp2-resolutions.c (1.50) (+204 -195)
		src/main/print-escp2-data.c (1.265) (+13 -19)
		src/main/print-escp2.h (1.131) (+5 -2)
		src/xml/escp2/Makefile.am (1.7) (+1 -4)
		src/xml/escp2/model/model_0.xml (1.8) (+68 -5)
		src/xml/escp2/model/model_1.xml (1.8) (+87 -5)
		src/xml/escp2/model/model_10.xml (1.9) (+85 -5)
		src/xml/escp2/model/model_11.xml (1.9) (+85 -5)
		src/xml/escp2/model/model_12.xml (1.9) (+86 -5)
		src/xml/escp2/model/model_13.xml (1.9) (+86 -5)
		src/xml/escp2/model/model_14.xml (1.9) (+86 -5)
		src/xml/escp2/model/model_15.xml (1.9) (+86 -5)
		src/xml/escp2/model/model_16.xml (1.9) (+88 -5)
		src/xml/escp2/model/model_17.xml (1.9) (+88 -5)
		src/xml/escp2/model/model_18.xml (1.9) (+85 -5)
		src/xml/escp2/model/model_19.xml (1.9) (+88 -5)
		src/xml/escp2/model/model_2.xml (1.8) (+87 -5)
		src/xml/escp2/model/model_20.xml (1.9) (+96 -5)
		src/xml/escp2/model/model_21.xml (1.9) (+78 -5)
		src/xml/escp2/model/model_22.xml (1.9) (+88 -5)
		src/xml/escp2/model/model_23.xml (1.9) (+88 -5)
		src/xml/escp2/model/model_24.xml (1.8) (+84 -5)
		src/xml/escp2/model/model_25.xml (1.9) (+96 -5)
		src/xml/escp2/model/model_26.xml (1.9) (+80 -5)
		src/xml/escp2/model/model_27.xml (1.8) (+72 -5)
		src/xml/escp2/model/model_28.xml (1.8) (+70 -6)
		src/xml/escp2/model/model_29.xml (1.8) (+70 -6)
		src/xml/escp2/model/model_3.xml (1.8) (+93 -5)
		src/xml/escp2/model/model_30.xml (1.8) (+70 -6)
		src/xml/escp2/model/model_31.xml (1.8) (+70 -6)
		src/xml/escp2/model/model_32.xml (1.9) (+94 -5)
		src/xml/escp2/model/model_33.xml (1.9) (+94 -5)
		src/xml/escp2/model/model_34.xml (1.9) (+92 -5)
		src/xml/escp2/model/model_35.xml (1.9) (+94 -5)
		src/xml/escp2/model/model_36.xml (1.9) (+94 -5)
		src/xml/escp2/model/model_37.xml (1.9) (+94 -5)
		src/xml/escp2/model/model_38.xml (1.9) (+86 -5)
		src/xml/escp2/model/model_39.xml (1.8) (+68 -5)
		src/xml/escp2/model/model_4.xml (1.8) (+84 -5)
		src/xml/escp2/model/model_40.xml (1.8) (+70 -6)
		src/xml/escp2/model/model_41.xml (1.8) (+77 -6)
		src/xml/escp2/model/model_42.xml (1.9) (+78 -5)
		src/xml/escp2/model/model_43.xml (1.9) (+86 -5)
		src/xml/escp2/model/model_44.xml (1.9) (+82 -5)
		src/xml/escp2/model/model_45.xml (1.8) (+68 -5)
		src/xml/escp2/model/model_46.xml (1.9) (+63 -5)
		src/xml/escp2/model/model_47.xml (1.9) (+73 -5)
		src/xml/escp2/model/model_48.xml (1.10) (+71 -6)
		src/xml/escp2/model/model_49.xml (1.10) (+71 -6)
		src/xml/escp2/model/model_5.xml (1.8) (+84 -5)
		src/xml/escp2/model/model_50.xml (1.9) (+90 -5)
		src/xml/escp2/model/model_51.xml (1.9) (+90 -5)
		src/xml/escp2/model/model_52.xml (1.9) (+90 -5)
		src/xml/escp2/model/model_53.xml (1.9) (+63 -5)
		src/xml/escp2/model/model_54.xml (1.9) (+96 -5)
		src/xml/escp2/model/model_55.xml (1.9) (+82 -5)
		src/xml/escp2/model/model_56.xml (1.9) (+86 -5)
		src/xml/escp2/model/model_57.xml (1.9) (+60 -5)
		src/xml/escp2/model/model_58.xml (1.9) (+60 -5)
		src/xml/escp2/model/model_59.xml (1.9) (+86 -5)
		src/xml/escp2/model/model_6.xml (1.8) (+84 -5)
		src/xml/escp2/model/model_60.xml (1.9) (+82 -5)
		src/xml/escp2/model/model_61.xml (1.9) (+92 -5)
		src/xml/escp2/model/model_62.xml (1.9) (+94 -5)
		src/xml/escp2/model/model_63.xml (1.9) (+84 -5)
		src/xml/escp2/model/model_64.xml (1.9) (+100 -6)
		src/xml/escp2/model/model_65.xml (1.9) (+92 -5)
		src/xml/escp2/model/model_66.xml (1.9) (+92 -5)
		src/xml/escp2/model/model_67.xml (1.9) (+100 -6)
		src/xml/escp2/model/model_68.xml (1.9) (+99 -5)
		src/xml/escp2/model/model_69.xml (1.9) (+90 -5)
		src/xml/escp2/model/model_7.xml (1.8) (+93 -5)
		src/xml/escp2/model/model_70.xml (1.10) (+100 -6)
		src/xml/escp2/model/model_71.xml (1.9) (+97 -6)
		src/xml/escp2/model/model_72.xml (1.9) (+92 -5)
		src/xml/escp2/model/model_73.xml (1.9) (+55 -5)
		src/xml/escp2/model/model_74.xml (1.9) (+92 -5)
		src/xml/escp2/model/model_75.xml (1.9) (+81 -5)
		src/xml/escp2/model/model_76.xml (1.10) (+82 -6)
		src/xml/escp2/model/model_77.xml (1.9) (+84 -5)
		src/xml/escp2/model/model_78.xml (1.9) (+94 -5)
		src/xml/escp2/model/model_79.xml (1.9) (+82 -5)
		src/xml/escp2/model/model_8.xml (1.8) (+93 -5)
		src/xml/escp2/model/model_80.xml (1.9) (+90 -5)
		src/xml/escp2/model/model_81.xml (1.9) (+114 -6)
		src/xml/escp2/model/model_82.xml (1.10) (+134 -6)
		src/xml/escp2/model/model_83.xml (1.9) (+92 -5)
		src/xml/escp2/model/model_84.xml (1.9) (+84 -5)
		src/xml/escp2/model/model_85.xml (1.9) (+99 -6)
		src/xml/escp2/model/model_86.xml (1.9) (+55 -5)
		src/xml/escp2/model/model_87.xml (1.9) (+92 -7)
		src/xml/escp2/model/model_88.xml (1.5) (+71 -6)
		src/xml/escp2/model/model_89.xml (1.4) (+71 -6)
		src/xml/escp2/model/model_9.xml (1.8) (+85 -5)
		src/xml/escp2/model/model_90.xml (1.4) (+71 -6)
		src/xml/escp2/model/model_91.xml (1.2) (+100 -6)

	Embed resolution data inside model files.

	Change "href" to "src".

2008-07-02	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.173) (+1 -0)
		src/main/escp2-channels.c (1.84) (+3 -3)
		src/main/print-escp2.c (1.405) (+21 -3)
		src/main/print-escp2.h (1.130) (+3 -3)
		src/xml/escp2/inks/Makefile.am (1.4) (+2 -1)
		src/xml/escp2/inks/cmykrb.xml (1.4) (+4 -4)
		src/xml/escp2/inks/cmykro.xml (1.1) (added)
		src/xml/escp2/inks/picturemate_6.xml (1.4) (+1 -1)
		src/xml/escp2/media/Makefile.am (1.5) (+2 -1)
		src/xml/escp2/media/cmykro.xml (1.1) (added)
		src/xml/escp2/model/Makefile.am (1.5) (+3 -2)
		src/xml/escp2/model/model_91.xml (1.1) (added)
		src/xml/printers.xml (1.8) (+2 -1)

	Add nominal support for R1900 (CMYKRO and CMYRO not enabled yet)

2008-06-29	<rlk@sourceforge.net>

	Files:	NEWS (1.370) (+45 -20)
		README (1.189) (+12 -51)
		README.package (1.1) (added)

	Update documentation for next release

2008-06-29	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/b500.xml (1.3) (+121 -165)
		src/xml/escp2/inks/c120.xml (1.3) (+109 -149)
		src/xml/escp2/inks/c64.xml (1.3) (+138 -144)
		src/xml/escp2/inks/c80.xml (1.3) (+139 -144)
		src/xml/escp2/inks/c82.xml (1.3) (+139 -144)
		src/xml/escp2/inks/claria.xml (1.3) (+246 -255)
		src/xml/escp2/inks/cmy.xml (1.3) (+25 -26)
		src/xml/escp2/inks/cmykrb.xml (1.3) (+702 -832)
		src/xml/escp2/inks/cx3650.xml (1.3) (+138 -144)
		src/xml/escp2/inks/defaultblack.xml (1.2) (+12 -12)
		src/xml/escp2/inks/f360.xml (1.3) (+139 -144)
		src/xml/escp2/inks/f360_photo.xml (1.3) (+246 -255)
		src/xml/escp2/inks/f360_photo7_japan.xml (1.3) (+374 -386)
		src/xml/escp2/inks/f360_ultrachrome.xml (1.3) (+723 -750)
		src/xml/escp2/inks/f360_ultrachrome_k3.xml (1.4) (+543 -556)
		src/xml/escp2/inks/photo_gen0.xml (1.3) (+279 -288)
		src/xml/escp2/inks/photo_gen1.xml (1.3) (+279 -288)
		src/xml/escp2/inks/photo_gen2.xml (1.3) (+268 -278)
		src/xml/escp2/inks/photo_gen3.xml (1.3) (+279 -288)
		src/xml/escp2/inks/photo_gen3_4.xml (1.3) (+139 -144)
		src/xml/escp2/inks/photo_gen4.xml (1.3) (+246 -255)
		src/xml/escp2/inks/photo_pigment.xml (1.3) (+246 -255)
		src/xml/escp2/inks/picturemate_4.xml (1.3) (+54 -104)
		src/xml/escp2/inks/picturemate_6.xml (1.3) (+252 -256)
		src/xml/escp2/inks/pro_gen1.xml (1.3) (+279 -288)
		src/xml/escp2/inks/pro_gen2.xml (1.3) (+279 -288)
		src/xml/escp2/inks/pro_pigment.xml (1.3) (+246 -255)
		src/xml/escp2/inks/pro_ultrachrome.xml (1.3) (+729 -756)
		src/xml/escp2/inks/pro_ultrachrome_k3.xml (1.5) (+543 -556)
		src/xml/escp2/inks/standard.xml (1.3) (+139 -144)
		src/xml/escp2/inks/standard_gen0.xml (1.3) (+139 -144)
		src/xml/escp2/inks/ultrachrome.xml (1.3) (+733 -760)
		src/xml/escp2/inks/x80.xml (1.3) (+101 -106)
		src/xml/escp2/inputslots/b500.xml (1.3) (+8 -8)
		src/xml/escp2/inputslots/cd_cutter_roll_feed.xml (1.3) (+23 -23)
		src/xml/escp2/inputslots/cd_roll_feed.xml (1.3) (+18 -18)
		src/xml/escp2/inputslots/cutter_roll_feed.xml (1.3) (+14 -14)
		src/xml/escp2/inputslots/pro_roll_feed.xml (1.3) (+7 -6)
		src/xml/escp2/inputslots/r1800.xml (1.3) (+22 -22)
		src/xml/escp2/inputslots/r2400.xml (1.3) (+17 -17)
		src/xml/escp2/inputslots/rx700.xml (1.3) (+17 -17)
		src/xml/escp2/inputslots/spro5000.xml (1.3) (+11 -11)
		src/xml/escp2/inputslots/standard_roll_feed.xml (1.3) (+10 -10)
		src/xml/escp2/media/b500.xml (1.8) (+1173 -1173)
		src/xml/escp2/media/c120.xml (1.8) (+1157 -1157)
		src/xml/escp2/media/c64.xml (1.5) (+1444 -1444)
		src/xml/escp2/media/c80.xml (1.5) (+1444 -1444)
		src/xml/escp2/media/c82.xml (1.5) (+1444 -1444)
		src/xml/escp2/media/claria.xml (1.7) (+1592 -1592)
		src/xml/escp2/media/claria1400.xml (1.5) (+1592 -1592)
		src/xml/escp2/media/cmy.xml (1.5) (+703 -703)
		src/xml/escp2/media/cmykrb.xml (1.6) (+2087 -2087)
		src/xml/escp2/media/cx3650.xml (1.5) (+1444 -1444)
		src/xml/escp2/media/f360.xml (1.5) (+1444 -1444)
		src/xml/escp2/media/f360_photo.xml (1.5) (+722 -722)
		src/xml/escp2/media/f360_photo7_japan.xml (1.5) (+722 -722)
		src/xml/escp2/media/f360_ultrachrome.xml (1.5) (+1647 -1647)
		src/xml/escp2/media/f360_ultrachrome_k3.xml (1.6) (+2301 -2301)
		src/xml/escp2/media/photo_gen0.xml (1.5) (+1425 -1425)
		src/xml/escp2/media/photo_gen1.xml (1.5) (+1444 -1444)
		src/xml/escp2/media/photo_gen2.xml (1.5) (+1444 -1444)
		src/xml/escp2/media/photo_gen3.xml (1.5) (+1463 -1463)
		src/xml/escp2/media/photo_gen3_4.xml (1.5) (+1463 -1463)
		src/xml/escp2/media/photo_gen4.xml (1.6) (+1245 -1245)
		src/xml/escp2/media/photo_pigment.xml (1.5) (+840 -840)
		src/xml/escp2/media/picturemate_4.xml (1.5) (+74 -74)
		src/xml/escp2/media/picturemate_6.xml (1.5) (+74 -74)
		src/xml/escp2/media/pro_gen1.xml (1.5) (+1463 -1463)
		src/xml/escp2/media/pro_gen2.xml (1.5) (+1501 -1501)
		src/xml/escp2/media/pro_pigment.xml (1.5) (+903 -903)
		src/xml/escp2/media/pro_ultrachrome.xml (1.5) (+1709 -1709)
		src/xml/escp2/media/standard.xml (1.5) (+1444 -1444)
		src/xml/escp2/media/standard_gen0.xml (1.5) (+1425 -1425)
		src/xml/escp2/media/ultrachrome.xml (1.5) (+1647 -1647)
		src/xml/escp2/media/x80.xml (1.5) (+722 -722)
		src/xml/escp2/mediasizes/standard.xml (1.2) (+93 -93)
		src/xml/escp2/model/model_0.xml (1.7) (+38 -38)
		src/xml/escp2/model/model_1.xml (1.7) (+37 -37)
		src/xml/escp2/model/model_10.xml (1.8) (+41 -41)
		src/xml/escp2/model/model_11.xml (1.8) (+40 -40)
		src/xml/escp2/model/model_12.xml (1.8) (+53 -53)
		src/xml/escp2/model/model_13.xml (1.8) (+56 -56)
		src/xml/escp2/model/model_14.xml (1.8) (+45 -45)
		src/xml/escp2/model/model_15.xml (1.8) (+45 -45)
		src/xml/escp2/model/model_16.xml (1.8) (+56 -56)
		src/xml/escp2/model/model_17.xml (1.8) (+56 -56)
		src/xml/escp2/model/model_18.xml (1.8) (+43 -43)
		src/xml/escp2/model/model_19.xml (1.8) (+56 -56)
		src/xml/escp2/model/model_2.xml (1.7) (+37 -37)
		src/xml/escp2/model/model_20.xml (1.8) (+45 -45)
		src/xml/escp2/model/model_21.xml (1.8) (+59 -59)
		src/xml/escp2/model/model_22.xml (1.8) (+47 -47)
		src/xml/escp2/model/model_23.xml (1.8) (+47 -47)
		src/xml/escp2/model/model_24.xml (1.7) (+39 -39)
		src/xml/escp2/model/model_25.xml (1.8) (+56 -56)
		src/xml/escp2/model/model_26.xml (1.8) (+57 -57)
		src/xml/escp2/model/model_27.xml (1.7) (+40 -40)
		src/xml/escp2/model/model_28.xml (1.7) (+41 -41)
		src/xml/escp2/model/model_29.xml (1.7) (+41 -41)
		src/xml/escp2/model/model_3.xml (1.7) (+38 -38)
		src/xml/escp2/model/model_30.xml (1.7) (+41 -41)
		src/xml/escp2/model/model_31.xml (1.7) (+41 -41)
		src/xml/escp2/model/model_32.xml (1.8) (+56 -56)
		src/xml/escp2/model/model_33.xml (1.8) (+56 -56)
		src/xml/escp2/model/model_34.xml (1.8) (+57 -57)
		src/xml/escp2/model/model_35.xml (1.8) (+50 -50)
		src/xml/escp2/model/model_36.xml (1.8) (+50 -50)
		src/xml/escp2/model/model_37.xml (1.8) (+50 -50)
		src/xml/escp2/model/model_38.xml (1.8) (+59 -59)
		src/xml/escp2/model/model_39.xml (1.7) (+37 -37)
		src/xml/escp2/model/model_4.xml (1.7) (+38 -38)
		src/xml/escp2/model/model_40.xml (1.7) (+41 -41)
		src/xml/escp2/model/model_41.xml (1.7) (+41 -41)
		src/xml/escp2/model/model_42.xml (1.8) (+58 -58)
		src/xml/escp2/model/model_43.xml (1.8) (+58 -58)
		src/xml/escp2/model/model_44.xml (1.8) (+57 -57)
		src/xml/escp2/model/model_45.xml (1.7) (+37 -37)
		src/xml/escp2/model/model_46.xml (1.8) (+59 -59)
		src/xml/escp2/model/model_47.xml (1.8) (+58 -58)
		src/xml/escp2/model/model_48.xml (1.9) (+49 -49)
		src/xml/escp2/model/model_49.xml (1.9) (+49 -49)
		src/xml/escp2/model/model_5.xml (1.7) (+38 -38)
		src/xml/escp2/model/model_50.xml (1.8) (+50 -50)
		src/xml/escp2/model/model_51.xml (1.8) (+50 -50)
		src/xml/escp2/model/model_52.xml (1.8) (+56 -56)
		src/xml/escp2/model/model_53.xml (1.8) (+58 -58)
		src/xml/escp2/model/model_54.xml (1.8) (+45 -45)
		src/xml/escp2/model/model_55.xml (1.8) (+57 -57)
		src/xml/escp2/model/model_56.xml (1.8) (+57 -57)
		src/xml/escp2/model/model_57.xml (1.8) (+63 -63)
		src/xml/escp2/model/model_58.xml (1.8) (+49 -49)
		src/xml/escp2/model/model_59.xml (1.8) (+58 -58)
		src/xml/escp2/model/model_6.xml (1.7) (+38 -38)
		src/xml/escp2/model/model_60.xml (1.8) (+61 -61)
		src/xml/escp2/model/model_61.xml (1.8) (+61 -61)
		src/xml/escp2/model/model_62.xml (1.8) (+52 -52)
		src/xml/escp2/model/model_63.xml (1.8) (+52 -52)
		src/xml/escp2/model/model_64.xml (1.8) (+56 -56)
		src/xml/escp2/model/model_65.xml (1.8) (+48 -48)
		src/xml/escp2/model/model_66.xml (1.8) (+61 -61)
		src/xml/escp2/model/model_67.xml (1.8) (+56 -56)
		src/xml/escp2/model/model_68.xml (1.8) (+55 -55)
		src/xml/escp2/model/model_69.xml (1.8) (+61 -61)
		src/xml/escp2/model/model_7.xml (1.7) (+40 -40)
		src/xml/escp2/model/model_70.xml (1.9) (+53 -53)
		src/xml/escp2/model/model_71.xml (1.8) (+56 -56)
		src/xml/escp2/model/model_72.xml (1.8) (+59 -59)
		src/xml/escp2/model/model_73.xml (1.8) (+49 -49)
		src/xml/escp2/model/model_74.xml (1.8) (+47 -47)
		src/xml/escp2/model/model_75.xml (1.8) (+47 -47)
		src/xml/escp2/model/model_76.xml (1.9) (+49 -49)
		src/xml/escp2/model/model_77.xml (1.8) (+51 -51)
		src/xml/escp2/model/model_78.xml (1.8) (+50 -50)
		src/xml/escp2/model/model_79.xml (1.8) (+61 -61)
		src/xml/escp2/model/model_8.xml (1.7) (+39 -39)
		src/xml/escp2/model/model_80.xml (1.8) (+61 -61)
		src/xml/escp2/model/model_81.xml (1.8) (+54 -54)
		src/xml/escp2/model/model_82.xml (1.9) (+54 -54)
		src/xml/escp2/model/model_83.xml (1.8) (+50 -50)
		src/xml/escp2/model/model_84.xml (1.8) (+52 -52)
		src/xml/escp2/model/model_85.xml (1.8) (+63 -63)
		src/xml/escp2/model/model_86.xml (1.8) (+47 -47)
		src/xml/escp2/model/model_87.xml (1.8) (+48 -48)
		src/xml/escp2/model/model_88.xml (1.4) (+51 -51)
		src/xml/escp2/model/model_89.xml (1.3) (+51 -51)
		src/xml/escp2/model/model_9.xml (1.7) (+40 -40)
		src/xml/escp2/model/model_90.xml (1.3) (+51 -51)
		src/xml/escp2/qualitypresets/p1_5.xml (1.2) (+45 -45)
		src/xml/escp2/qualitypresets/picturemate.xml (1.2) (+35 -35)
		src/xml/escp2/qualitypresets/standard.xml (1.2) (+45 -45)
		src/xml/escp2/qualitypresets/v2880.xml (1.2) (+46 -46)
		src/xml/escp2/weaves/pro7000.xml (1.2) (+5 -5)
		src/xml/escp2/weaves/pro7500.xml (1.2) (+6 -6)
		src/xml/escp2/weaves/pro7600.xml (1.2) (+7 -7)
		src/xml/escp2/weaves/standard.xml (1.2) (+2 -2)

	Clean up indentation/formatting of all XML files.

	Fix ink definitions for 4-color PictureMate printers.

2008-06-29	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/f360_ultrachrome_k3.xml (1.3) (+2 -0)
		src/xml/escp2/inks/pro_ultrachrome_k3.xml (1.4) (+2 -0)

	Dark inks do need transition parameters

2008-06-29	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.23) (+1 -2)

	Don't forcibly default color correction to raw.

2008-06-29	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.22) (+49 -52)

	Add option to place md5 output in a single file.

2008-06-29	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_88.xml (1.3) (+4 -2)
		src/xml/escp2/model/model_89.xml (1.2) (+4 -2)
		src/xml/escp2/model/model_90.xml (1.2) (+4 -2)

	x880 printers have 8 inks

2008-06-29	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/pro_ultrachrome_k3.xml (1.3) (+1 -1)

	Correct name of ink set.

2008-06-29	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/pro_ultrachrome_k3.xml (1.2) (+2 -2)

	Light light black is apparently 0x20, not 0x30, on these printers.

2008-06-29	<rlk@sourceforge.net>

	Files:	src/xml/escp2/inks/Makefile.am (1.3) (+2 -1)
		src/xml/escp2/inks/pro_ultrachrome_k3.xml (1.1) (added)
		src/xml/escp2/model/Makefile.am (1.4) (+4 -2)
		src/xml/escp2/model/model_88.xml (1.2) (+1 -1)
		src/xml/escp2/model/model_89.xml (1.1) (added)
		src/xml/escp2/model/model_90.xml (1.1) (added)
		src/xml/printers.xml (1.7) (+3 -3)

	7880, 9880, and 11880 are 8-color Ultrachrome K3 printers

2008-06-28	<rlk@sourceforge.net>

	Files:	src/main/escp2-papers.c (1.115) (+17 -1)
		src/main/print-escp2-data.c (1.264) (+9 -1)
		src/main/print-papers.c (1.39) (+3 -3)
		src/main/print-vars.c (1.84) (+9 -1)

	Protect reading XML files against locale issues

2008-06-28	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.121) (+39 -14)
		src/cups/test-rastertogutenprint.in (1.5) (+71 -8)

	Use the actual page size name as passed to CUPS rather than trying
	to find a best fit, which doesn't always do what is intended.  If the
	user specified a custom page size, that's what CUPS should honor.

2008-06-28	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.172) (+6 -1)
		src/xml/escp2/model/Makefile.am (1.3) (+3 -2)
		src/xml/escp2/model/model_88.xml (1.1) (added)
		src/xml/papers.xml (1.4) (+19 -1)
		src/xml/printers.xml (1.6) (+6 -1)

	Add Epson 11880; add definitions for 7800, 7880, 9800, 9880

2008-06-28	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.263) (+2 -2)
		src/main/print-escp2.c (1.404) (+7 -1)

	Fix logic for enlarging capability database

2008-06-28	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.21) (+7 -4)
		src/testpattern/testpattern.c (1.52) (+15 -6)
		src/testpattern/testpattern.h (1.19) (+2 -1)

	Add -q option to suppress progress output

2008-06-28	<rlk@sourceforge.net>

	Files:	src/xml/papers.xml (1.3) (+34 -7)
		src/xml/printers.xml (1.5) (+27 -7)

	Add copyright notices and comments

2008-06-28	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.83) (+390 -3106)
		src/main/escp2-driver.c (1.48) (+2 -2)
		src/main/print-escp2-data.c (1.262) (+24 -368)
		src/main/print-escp2.c (1.403) (+111 -136)
		src/main/print-escp2.h (1.129) (+23 -36)
		src/xml/escp2/inks/Makefile.am (1.2) (+2 -1)
		src/xml/escp2/inks/b500.xml (1.2) (+79 -70)
		src/xml/escp2/inks/c120.xml (1.2) (+63 -54)
		src/xml/escp2/inks/c64.xml (1.2) (+60 -51)
		src/xml/escp2/inks/c80.xml (1.2) (+60 -51)
		src/xml/escp2/inks/c82.xml (1.2) (+60 -51)
		src/xml/escp2/inks/claria.xml (1.2) (+103 -115)
		src/xml/escp2/inks/cmy.xml (1.2) (+12 -6)
		src/xml/escp2/inks/cmykrb.xml (1.2) (+217 -171)
		src/xml/escp2/inks/cx3650.xml (1.2) (+60 -51)
		src/xml/escp2/inks/defaultblack.xml (1.1) (added)
		src/xml/escp2/inks/f360.xml (1.2) (+60 -51)
		src/xml/escp2/inks/f360_photo.xml (1.2) (+102 -102)
		src/xml/escp2/inks/f360_photo7_japan.xml (1.2) (+173 -179)
		src/xml/escp2/inks/f360_ultrachrome.xml (1.2) (+318 -328)
		src/xml/escp2/inks/f360_ultrachrome_k3.xml (1.2) (+282 -294)
		src/xml/escp2/inks/photo_gen0.xml (1.2) (+126 -115)
		src/xml/escp2/inks/photo_gen1.xml (1.2) (+126 -115)
		src/xml/escp2/inks/photo_gen2.xml (1.2) (+126 -115)
		src/xml/escp2/inks/photo_gen3.xml (1.2) (+126 -115)
		src/xml/escp2/inks/photo_gen3_4.xml (1.2) (+60 -51)
		src/xml/escp2/inks/photo_gen4.xml (1.2) (+102 -126)
		src/xml/escp2/inks/photo_pigment.xml (1.2) (+102 -94)
		src/xml/escp2/inks/picturemate_4.xml (1.2) (+28 -16)
		src/xml/escp2/inks/picturemate_6.xml (1.2) (+64 -40)
		src/xml/escp2/inks/pro_gen1.xml (1.2) (+126 -115)
		src/xml/escp2/inks/pro_gen2.xml (1.2) (+126 -115)
		src/xml/escp2/inks/pro_pigment.xml (1.2) (+102 -94)
		src/xml/escp2/inks/pro_ultrachrome.xml (1.2) (+318 -300)
		src/xml/escp2/inks/standard.xml (1.2) (+60 -51)
		src/xml/escp2/inks/standard_gen0.xml (1.2) (+60 -51)
		src/xml/escp2/inks/ultrachrome.xml (1.2) (+318 -300)
		src/xml/escp2/inks/x80.xml (1.2) (+36 -30)

	Convert remaining (ink channel) data to XML

2008-06-28	<rlk@sourceforge.net>

	Files:	NEWS (1.369) (+2 -2)

	Bump version.

2008-06-28	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.20) (+75 -37)

	Add RawChannels to list of parameters being tested.

	Add -r option to turn off testing all resolutions.

2008-06-27	<rlk@sourceforge.net>

	Files:	src/main/escp2-papers.c (1.114) (+43 -34)
		src/main/escp2-resolutions.c (1.49) (+19 -10)
		src/main/print-escp2-data.c (1.261) (+72 -7)
		src/main/print-escp2.c (1.402) (+48 -113)
		src/main/print-escp2.h (1.128) (+8 -5)

	Encapsulate model IDs differently

2008-06-27	<rlk@sourceforge.net>

	Files:	test/parse-escp2 (1.22) (+4 -4)

	Correct handling of old-style printers.

2008-06-27	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.171) (+1 -0)
		src/xml/printers.xml (1.4) (+2 -1)

	Support B-308

2008-06-22	<rlk@sourceforge.net>

	Files:	po/POTFILES.in (1.24) (+0 -1)

	Remove escp2-inks.c

2008-06-22	<rlk@sourceforge.net>

	Files:	src/main/Makefile.am (1.101) (+1 -2)
		src/main/escp2-driver.c (1.47) (+9 -9)
		src/main/escp2-inks.c (1.65) (removed)
		src/main/escp2-resolutions.c (1.48) (+114 -519)
		src/main/print-escp2-data.c (1.260) (+91 -473)
		src/main/print-escp2.c (1.401) (+179 -214)
		src/main/print-escp2.h (1.127) (+69 -119)

	Convert resolution data to XML.

2008-06-21	<rlk@sourceforge.net>

	Files:	configure.ac (1.188) (+4 -2)
		src/main/print-escp2-data.c (1.259) (+1 -3)
		src/xml/escp2/Makefile.am (1.6) (+7 -1)
		src/xml/escp2/inks/.cvsignore (1.1) (added)
		src/xml/escp2/inks/Makefile.am (1.1) (added)
		src/xml/escp2/inks/b500.xml (1.1) (added)
		src/xml/escp2/inks/c120.xml (1.1) (added)
		src/xml/escp2/inks/c64.xml (1.1) (added)
		src/xml/escp2/inks/c80.xml (1.1) (added)
		src/xml/escp2/inks/c82.xml (1.1) (added)
		src/xml/escp2/inks/claria.xml (1.1) (added)
		src/xml/escp2/inks/cmy.xml (1.1) (added)
		src/xml/escp2/inks/cmykrb.xml (1.1) (added)
		src/xml/escp2/inks/cx3650.xml (1.1) (added)
		src/xml/escp2/inks/f360.xml (1.1) (added)
		src/xml/escp2/inks/f360_photo.xml (1.1) (added)
		src/xml/escp2/inks/f360_photo7_japan.xml (1.1) (added)
		src/xml/escp2/inks/f360_ultrachrome.xml (1.1) (added)
		src/xml/escp2/inks/f360_ultrachrome_k3.xml (1.1) (added)
		src/xml/escp2/inks/photo_gen0.xml (1.1) (added)
		src/xml/escp2/inks/photo_gen1.xml (1.1) (added)
		src/xml/escp2/inks/photo_gen2.xml (1.1) (added)
		src/xml/escp2/inks/photo_gen3.xml (1.1) (added)
		src/xml/escp2/inks/photo_gen3_4.xml (1.1) (added)
		src/xml/escp2/inks/photo_gen4.xml (1.1) (added)
		src/xml/escp2/inks/photo_pigment.xml (1.1) (added)
		src/xml/escp2/inks/picturemate_4.xml (1.1) (added)
		src/xml/escp2/inks/picturemate_6.xml (1.1) (added)
		src/xml/escp2/inks/pro_gen1.xml (1.1) (added)
		src/xml/escp2/inks/pro_gen2.xml (1.1) (added)
		src/xml/escp2/inks/pro_pigment.xml (1.1) (added)
		src/xml/escp2/inks/pro_ultrachrome.xml (1.1) (added)
		src/xml/escp2/inks/standard.xml (1.1) (added)
		src/xml/escp2/inks/standard_gen0.xml (1.1) (added)
		src/xml/escp2/inks/ultrachrome.xml (1.1) (added)
		src/xml/escp2/inks/x80.xml (1.1) (added)
		src/xml/escp2/model/model_0.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_1.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_10.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_11.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_12.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_13.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_14.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_15.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_16.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_17.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_18.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_19.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_2.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_20.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_21.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_22.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_23.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_24.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_25.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_26.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_27.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_28.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_29.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_3.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_30.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_31.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_32.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_33.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_34.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_35.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_36.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_37.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_38.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_39.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_4.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_40.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_41.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_42.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_43.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_44.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_45.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_46.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_47.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_48.xml (1.8) (+2 -0)
		src/xml/escp2/model/model_49.xml (1.8) (+2 -0)
		src/xml/escp2/model/model_5.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_50.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_51.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_52.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_53.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_54.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_55.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_56.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_57.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_58.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_59.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_6.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_60.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_61.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_62.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_63.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_64.xml (1.7) (+3 -1)
		src/xml/escp2/model/model_65.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_66.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_67.xml (1.7) (+3 -1)
		src/xml/escp2/model/model_68.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_69.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_7.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_70.xml (1.8) (+3 -1)
		src/xml/escp2/model/model_71.xml (1.7) (+3 -1)
		src/xml/escp2/model/model_72.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_73.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_74.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_75.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_76.xml (1.8) (+3 -1)
		src/xml/escp2/model/model_77.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_78.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_79.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_8.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_80.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_81.xml (1.7) (+3 -1)
		src/xml/escp2/model/model_82.xml (1.8) (+4 -2)
		src/xml/escp2/model/model_83.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_84.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_85.xml (1.7) (+3 -1)
		src/xml/escp2/model/model_86.xml (1.7) (+2 -0)
		src/xml/escp2/model/model_87.xml (1.7) (+3 -1)
		src/xml/escp2/model/model_9.xml (1.6) (+2 -0)

	Add data for resolutions and channel definitions.  More code needs
	to be written.

	Fix media definition for Stylus Photo 1400.

2008-06-21	<rlk@sourceforge.net>

	Files:	README (1.188) (+7 -5)
		scripts/autogen.sh (1.35) (+17 -8)

	A few fixes from Matt Broughton.

2008-06-21	<rlk@sourceforge.net>

	Files:	src/xml/escp2/model/model_48.xml (1.7) (+8 -5)
		src/xml/escp2/model/model_49.xml (1.7) (+8 -5)

	Add borderless support to Stylus Pro 7600/9600

2008-06-20	<rlk@sourceforge.net>

	Files:	configure.ac (1.187) (+4 -2)
		src/main/escp2-driver.c (1.46) (+8 -7)
		src/main/escp2-resolutions.c (1.47) (+161 -166)
		src/main/print-escp2-data.c (1.258) (+97 -96)
		src/main/print-escp2.c (1.400) (+5 -7)
		src/main/print-escp2.h (1.126) (+20 -22)
		src/testpattern/run-testpattern-2.in (1.19) (+23 -8)
		src/xml/escp2/Makefile.am (1.5) (+14 -5)
		src/xml/escp2/model/model_0.xml (1.5) (+1 -0)
		src/xml/escp2/model/model_1.xml (1.5) (+1 -0)
		src/xml/escp2/model/model_10.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_11.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_12.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_13.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_14.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_15.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_16.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_17.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_18.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_19.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_2.xml (1.5) (+1 -0)
		src/xml/escp2/model/model_20.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_21.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_22.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_23.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_24.xml (1.5) (+1 -0)
		src/xml/escp2/model/model_25.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_26.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_27.xml (1.5) (+1 -0)
		src/xml/escp2/model/model_28.xml (1.5) (+2 -0)
		src/xml/escp2/model/model_29.xml (1.5) (+2 -0)
		src/xml/escp2/model/model_3.xml (1.5) (+1 -0)
		src/xml/escp2/model/model_30.xml (1.5) (+2 -0)
		src/xml/escp2/model/model_31.xml (1.5) (+2 -0)
		src/xml/escp2/model/model_32.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_33.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_34.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_35.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_36.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_37.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_38.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_39.xml (1.5) (+1 -0)
		src/xml/escp2/model/model_4.xml (1.5) (+1 -0)
		src/xml/escp2/model/model_40.xml (1.5) (+2 -0)
		src/xml/escp2/model/model_41.xml (1.5) (+2 -0)
		src/xml/escp2/model/model_42.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_43.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_44.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_45.xml (1.5) (+1 -0)
		src/xml/escp2/model/model_46.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_47.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_48.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_49.xml (1.6) (+2 -0)
		src/xml/escp2/model/model_5.xml (1.5) (+1 -0)
		src/xml/escp2/model/model_50.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_51.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_52.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_53.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_54.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_55.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_56.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_57.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_58.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_59.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_6.xml (1.5) (+1 -0)
		src/xml/escp2/model/model_60.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_61.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_62.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_63.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_64.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_65.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_66.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_67.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_68.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_69.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_7.xml (1.5) (+1 -0)
		src/xml/escp2/model/model_70.xml (1.7) (+1 -0)
		src/xml/escp2/model/model_71.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_72.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_73.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_74.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_75.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_76.xml (1.7) (+1 -0)
		src/xml/escp2/model/model_77.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_78.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_79.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_8.xml (1.5) (+1 -0)
		src/xml/escp2/model/model_80.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_81.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_82.xml (1.7) (+1 -0)
		src/xml/escp2/model/model_83.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_84.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_85.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_86.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_87.xml (1.6) (+1 -0)
		src/xml/escp2/model/model_9.xml (1.5) (+1 -0)
		src/xml/escp2/qualitypresets/.cvsignore (1.1) (added)
		src/xml/escp2/qualitypresets/Makefile.am (1.1) (added)
		src/xml/escp2/qualitypresets/p1_5.xml (1.1) (added)
		src/xml/escp2/qualitypresets/picturemate.xml (1.1) (added)
		src/xml/escp2/qualitypresets/standard.xml (1.1) (added)
		src/xml/escp2/qualitypresets/v2880.xml (1.1) (added)
		src/xml/escp2/weaves/.cvsignore (1.1) (added)
		src/xml/escp2/weaves/Makefile.am (1.1) (added)
		src/xml/escp2/weaves/pro7000.xml (1.1) (added)
		src/xml/escp2/weaves/pro7500.xml (1.1) (added)
		src/xml/escp2/weaves/pro7600.xml (1.1) (added)
		src/xml/escp2/weaves/standard.xml (1.1) (added)

	Convert quality presets and printer weave settings to XML.

2008-06-18	<rlk@sourceforge.net>

	Files:	po/da.po (1.87) (+597 -987)

	Update Danish translation

2008-06-17	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.44) (+2 -1)

	We do need to use Fcntl.

2008-06-16	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.82) (+1 -216)
		src/main/print-escp2-data.c (1.257) (+104 -89)
		src/main/print-escp2.c (1.399) (+15 -102)
		src/main/print-escp2.h (1.125) (+4 -11)
		src/xml/escp2/model/model_0.xml (1.4) (+6 -0)
		src/xml/escp2/model/model_1.xml (1.4) (+6 -0)
		src/xml/escp2/model/model_10.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_11.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_12.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_13.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_14.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_15.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_16.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_17.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_18.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_19.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_2.xml (1.4) (+6 -0)
		src/xml/escp2/model/model_20.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_21.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_22.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_23.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_24.xml (1.4) (+6 -0)
		src/xml/escp2/model/model_25.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_26.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_27.xml (1.4) (+8 -0)
		src/xml/escp2/model/model_28.xml (1.4) (+8 -0)
		src/xml/escp2/model/model_29.xml (1.4) (+8 -0)
		src/xml/escp2/model/model_3.xml (1.4) (+6 -0)
		src/xml/escp2/model/model_30.xml (1.4) (+8 -0)
		src/xml/escp2/model/model_31.xml (1.4) (+8 -0)
		src/xml/escp2/model/model_32.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_33.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_34.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_35.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_36.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_37.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_38.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_39.xml (1.4) (+6 -0)
		src/xml/escp2/model/model_4.xml (1.4) (+6 -0)
		src/xml/escp2/model/model_40.xml (1.4) (+8 -0)
		src/xml/escp2/model/model_41.xml (1.4) (+8 -0)
		src/xml/escp2/model/model_42.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_43.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_44.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_45.xml (1.4) (+6 -0)
		src/xml/escp2/model/model_46.xml (1.5) (+9 -0)
		src/xml/escp2/model/model_47.xml (1.5) (+9 -0)
		src/xml/escp2/model/model_48.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_49.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_5.xml (1.4) (+6 -0)
		src/xml/escp2/model/model_50.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_51.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_52.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_53.xml (1.5) (+9 -0)
		src/xml/escp2/model/model_54.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_55.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_56.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_57.xml (1.5) (+9 -0)
		src/xml/escp2/model/model_58.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_59.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_6.xml (1.4) (+6 -0)
		src/xml/escp2/model/model_60.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_61.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_62.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_63.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_64.xml (1.5) (+10 -0)
		src/xml/escp2/model/model_65.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_66.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_67.xml (1.5) (+10 -0)
		src/xml/escp2/model/model_68.xml (1.5) (+10 -0)
		src/xml/escp2/model/model_69.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_7.xml (1.4) (+8 -0)
		src/xml/escp2/model/model_70.xml (1.6) (+8 -0)
		src/xml/escp2/model/model_71.xml (1.5) (+10 -0)
		src/xml/escp2/model/model_72.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_73.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_74.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_75.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_76.xml (1.6) (+6 -0)
		src/xml/escp2/model/model_77.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_78.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_79.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_8.xml (1.4) (+8 -0)
		src/xml/escp2/model/model_80.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_81.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_82.xml (1.6) (+8 -0)
		src/xml/escp2/model/model_83.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_84.xml (1.5) (+8 -0)
		src/xml/escp2/model/model_85.xml (1.5) (+7 -0)
		src/xml/escp2/model/model_86.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_87.xml (1.5) (+6 -0)
		src/xml/escp2/model/model_9.xml (1.4) (+8 -0)

	Convert channel names to XML

2008-06-16	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.145) (+3 -3)

	Remove safety check for output order, which is really implemented in
	CUPS.

2008-06-16	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.43) (+1 -4)

	Remove unneeded 'use' statements.

2008-06-15	<rlk@sourceforge.net>

	Files:	test/parse-escp2 (1.21) (+200 -179)

	Fix a few problems.

	Improve performance.

2008-06-15	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.256) (+338 -969)
		src/main/print-escp2.c (1.398) (+2 -86)
		src/main/print-escp2.h (1.124) (+19 -15)
		src/xml/.cvsignore (1.2) (+3 -0)
		src/xml/escp2/model/model_0.xml (1.3) (+27 -0)
		src/xml/escp2/model/model_1.xml (1.3) (+26 -0)
		src/xml/escp2/model/model_10.xml (1.4) (+29 -0)
		src/xml/escp2/model/model_11.xml (1.4) (+28 -0)
		src/xml/escp2/model/model_12.xml (1.4) (+41 -0)
		src/xml/escp2/model/model_13.xml (1.4) (+42 -0)
		src/xml/escp2/model/model_14.xml (1.4) (+29 -0)
		src/xml/escp2/model/model_15.xml (1.4) (+29 -0)
		src/xml/escp2/model/model_16.xml (1.4) (+42 -0)
		src/xml/escp2/model/model_17.xml (1.4) (+42 -0)
		src/xml/escp2/model/model_18.xml (1.4) (+29 -0)
		src/xml/escp2/model/model_19.xml (1.4) (+42 -0)
		src/xml/escp2/model/model_2.xml (1.3) (+26 -0)
		src/xml/escp2/model/model_20.xml (1.4) (+29 -0)
		src/xml/escp2/model/model_21.xml (1.4) (+45 -0)
		src/xml/escp2/model/model_22.xml (1.4) (+31 -0)
		src/xml/escp2/model/model_23.xml (1.4) (+31 -0)
		src/xml/escp2/model/model_24.xml (1.3) (+28 -0)
		src/xml/escp2/model/model_25.xml (1.4) (+42 -0)
		src/xml/escp2/model/model_26.xml (1.4) (+41 -0)
		src/xml/escp2/model/model_27.xml (1.3) (+27 -0)
		src/xml/escp2/model/model_28.xml (1.3) (+27 -0)
		src/xml/escp2/model/model_29.xml (1.3) (+27 -0)
		src/xml/escp2/model/model_3.xml (1.3) (+27 -0)
		src/xml/escp2/model/model_30.xml (1.3) (+27 -0)
		src/xml/escp2/model/model_31.xml (1.3) (+27 -0)
		src/xml/escp2/model/model_32.xml (1.4) (+42 -0)
		src/xml/escp2/model/model_33.xml (1.4) (+42 -0)
		src/xml/escp2/model/model_34.xml (1.4) (+43 -0)
		src/xml/escp2/model/model_35.xml (1.4) (+33 -0)
		src/xml/escp2/model/model_36.xml (1.4) (+33 -0)
		src/xml/escp2/model/model_37.xml (1.4) (+33 -0)
		src/xml/escp2/model/model_38.xml (1.4) (+45 -0)
		src/xml/escp2/model/model_39.xml (1.3) (+26 -0)
		src/xml/escp2/model/model_4.xml (1.3) (+27 -0)
		src/xml/escp2/model/model_40.xml (1.3) (+27 -0)
		src/xml/escp2/model/model_41.xml (1.3) (+27 -0)
		src/xml/escp2/model/model_42.xml (1.4) (+44 -0)
		src/xml/escp2/model/model_43.xml (1.4) (+44 -0)
		src/xml/escp2/model/model_44.xml (1.4) (+43 -0)
		src/xml/escp2/model/model_45.xml (1.3) (+26 -0)
		src/xml/escp2/model/model_46.xml (1.4) (+41 -0)
		src/xml/escp2/model/model_47.xml (1.4) (+41 -0)
		src/xml/escp2/model/model_48.xml (1.4) (+30 -0)
		src/xml/escp2/model/model_49.xml (1.4) (+30 -0)
		src/xml/escp2/model/model_5.xml (1.3) (+27 -0)
		src/xml/escp2/model/model_50.xml (1.4) (+33 -0)
		src/xml/escp2/model/model_51.xml (1.4) (+33 -0)
		src/xml/escp2/model/model_52.xml (1.4) (+42 -0)
		src/xml/escp2/model/model_53.xml (1.4) (+40 -0)
		src/xml/escp2/model/model_54.xml (1.4) (+29 -0)
		src/xml/escp2/model/model_55.xml (1.4) (+43 -0)
		src/xml/escp2/model/model_56.xml (1.4) (+43 -0)
		src/xml/escp2/model/model_57.xml (1.4) (+45 -0)
		src/xml/escp2/model/model_58.xml (1.4) (+32 -0)
		src/xml/escp2/model/model_59.xml (1.4) (+44 -0)
		src/xml/escp2/model/model_6.xml (1.3) (+27 -0)
		src/xml/escp2/model/model_60.xml (1.4) (+46 -0)
		src/xml/escp2/model/model_61.xml (1.4) (+46 -0)
		src/xml/escp2/model/model_62.xml (1.4) (+35 -0)
		src/xml/escp2/model/model_63.xml (1.4) (+35 -0)
		src/xml/escp2/model/model_64.xml (1.4) (+36 -0)
		src/xml/escp2/model/model_65.xml (1.4) (+34 -0)
		src/xml/escp2/model/model_66.xml (1.4) (+46 -0)
		src/xml/escp2/model/model_67.xml (1.4) (+36 -0)
		src/xml/escp2/model/model_68.xml (1.4) (+36 -0)
		src/xml/escp2/model/model_69.xml (1.4) (+46 -0)
		src/xml/escp2/model/model_7.xml (1.3) (+27 -0)
		src/xml/escp2/model/model_70.xml (1.5) (+35 -0)
		src/xml/escp2/model/model_71.xml (1.4) (+36 -0)
		src/xml/escp2/model/model_72.xml (1.4) (+45 -0)
		src/xml/escp2/model/model_73.xml (1.4) (+33 -0)
		src/xml/escp2/model/model_74.xml (1.4) (+32 -0)
		src/xml/escp2/model/model_75.xml (1.4) (+33 -0)
		src/xml/escp2/model/model_76.xml (1.5) (+33 -0)
		src/xml/escp2/model/model_77.xml (1.4) (+34 -0)
		src/xml/escp2/model/model_78.xml (1.4) (+33 -0)
		src/xml/escp2/model/model_79.xml (1.4) (+46 -0)
		src/xml/escp2/model/model_8.xml (1.3) (+26 -0)
		src/xml/escp2/model/model_80.xml (1.4) (+46 -0)
		src/xml/escp2/model/model_81.xml (1.4) (+36 -0)
		src/xml/escp2/model/model_82.xml (1.5) (+36 -0)
		src/xml/escp2/model/model_83.xml (1.4) (+35 -0)
		src/xml/escp2/model/model_84.xml (1.4) (+35 -0)
		src/xml/escp2/model/model_85.xml (1.4) (+46 -0)
		src/xml/escp2/model/model_86.xml (1.4) (+33 -0)
		src/xml/escp2/model/model_87.xml (1.4) (+33 -0)
		src/xml/escp2/model/model_9.xml (1.3) (+27 -0)

	Convert basic scalar data to XML

2008-06-15	<rlk@sourceforge.net>

	Files:	configure.ac (1.186) (+4 -4)

	Bump version.

2008-06-15	<rlk@sourceforge.net>

	Files:	src/main/sequence.c (1.26) (+2 -2)

	Avoid trivial infinite loop in certain cases of malformed sequence.

2008-06-14	<rlk@sourceforge.net>

	Files:	po/nl.po (1.70) (+606 -1018)

	Updated Dutch translation

===============================================================================
Name: gutenprint-5_2_0-beta3

2008-06-14	<rlk@sourceforge.net>

	Files:	po/cs.po (1.49) (+6109 -3313)
		po/da.po (1.86) (+6602 -3614)
		po/de.po (1.63) (+7005 -4220)
		po/el.po (1.64) (+5675 -2880)
		po/en_GB.po (1.156) (+6602 -3617)
		po/es.po (1.62) (+7028 -4230)
		po/fr.po (1.90) (+6624 -3639)
		po/hu.po (1.21) (+6645 -3607)
		po/ja.po (1.58) (+7043 -4245)
		po/nb.po (1.23) (+6506 -3708)
		po/nl.po (1.69) (+6704 -3624)
		po/pl.po (1.68) (+6471 -3678)
		po/pt.po (1.63) (+6997 -4199)
		po/sk.po (1.67) (+7355 -4557)
		po/sv.po (1.93) (+6520 -3535)
		po/zh_TW.po (1.23) (+7024 -4166)

	Gutenprint 5.2.0-beta3 release

2008-06-14	<rlk@sourceforge.net>

	Files:	src/Makefile.am (1.22) (+2 -2)

	Need to build src/main before src/xml to allow extract-strings to be built.

2008-06-14	<rlk@sourceforge.net>

	Files:	src/xml/extract-strings.c (1.2) (+2 -1)

	Return correct exit status.

2008-06-11	<rlk@sourceforge.net>

	Files:	NEWS (1.368) (+45 -4)
		README (1.187) (+3 -3)
		configure.ac (1.185) (+7 -7)

	Prep for beta3 release

2008-06-11	<rlk@sourceforge.net>

	Files:	src/main/mxml-file.c (1.9) (+4 -3)

	Fix trivial bug in stp_mxmlLoadFromFile.

2008-06-11	<rlk@sourceforge.net>

	Files:	src/main/escp2-driver.c (1.45) (+40 -32)

	Change ordering of remote commands to match Epson recommendations.

2008-06-11	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/c120.xml (1.7) (+73 -73)

	Further attempts to improve print speed/quality.

2008-06-11	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/c120.xml (1.6) (+10 -10)

	Improve print speed.

2008-06-10	<rlk@sourceforge.net>

	Files:	src/xml/Makefile.am (1.2) (+13 -11)
		src/xml/escp2/Makefile.am (1.4) (+7 -2)
		src/xml/escp2/inputslots/Makefile.am (1.2) (+4 -2)
		src/xml/escp2/inputslots/b500.xml (1.2) (+2 -2)
		src/xml/escp2/inputslots/cd_cutter_roll_feed.xml (1.2) (+5 -5)
		src/xml/escp2/inputslots/cd_roll_feed.xml (1.2) (+4 -4)
		src/xml/escp2/inputslots/cutter_roll_feed.xml (1.2) (+3 -3)
		src/xml/escp2/inputslots/pro_roll_feed.xml (1.2) (+2 -2)
		src/xml/escp2/inputslots/r1800.xml (1.2) (+5 -5)
		src/xml/escp2/inputslots/r2400.xml (1.2) (+4 -4)
		src/xml/escp2/inputslots/rx700.xml (1.2) (+4 -4)
		src/xml/escp2/inputslots/spro5000.xml (1.2) (+4 -4)
		src/xml/escp2/inputslots/standard_roll_feed.xml (1.2) (+2 -2)
		src/xml/escp2/media/Makefile.am (1.4) (+4 -2)
		src/xml/escp2/media/b500.xml (1.7) (+50 -50)
		src/xml/escp2/media/c120.xml (1.5) (+34 -34)
		src/xml/escp2/media/c64.xml (1.4) (+57 -57)
		src/xml/escp2/media/c80.xml (1.4) (+57 -57)
		src/xml/escp2/media/c82.xml (1.4) (+57 -57)
		src/xml/escp2/media/claria.xml (1.6) (+44 -44)
		src/xml/escp2/media/claria1400.xml (1.4) (+44 -44)
		src/xml/escp2/media/cmy.xml (1.4) (+38 -38)
		src/xml/escp2/media/cmykrb.xml (1.5) (+60 -60)
		src/xml/escp2/media/cx3650.xml (1.4) (+57 -57)
		src/xml/escp2/media/f360.xml (1.4) (+57 -57)
		src/xml/escp2/media/f360_photo.xml (1.4) (+38 -38)
		src/xml/escp2/media/f360_photo7_japan.xml (1.4) (+38 -38)
		src/xml/escp2/media/f360_ultrachrome.xml (1.4) (+63 -63)
		src/xml/escp2/media/f360_ultrachrome_k3.xml (1.5) (+66 -66)
		src/xml/escp2/media/photo_gen0.xml (1.4) (+57 -57)
		src/xml/escp2/media/photo_gen1.xml (1.4) (+57 -57)
		src/xml/escp2/media/photo_gen2.xml (1.4) (+57 -57)
		src/xml/escp2/media/photo_gen3.xml (1.4) (+57 -57)
		src/xml/escp2/media/photo_gen3_4.xml (1.4) (+57 -57)
		src/xml/escp2/media/photo_gen4.xml (1.5) (+36 -36)
		src/xml/escp2/media/photo_pigment.xml (1.4) (+42 -42)
		src/xml/escp2/media/picturemate_4.xml (1.4) (+4 -4)
		src/xml/escp2/media/picturemate_6.xml (1.4) (+4 -4)
		src/xml/escp2/media/pro_gen1.xml (1.4) (+57 -57)
		src/xml/escp2/media/pro_gen2.xml (1.4) (+57 -57)
		src/xml/escp2/media/pro_pigment.xml (1.4) (+42 -42)
		src/xml/escp2/media/pro_ultrachrome.xml (1.4) (+63 -63)
		src/xml/escp2/media/standard.xml (1.4) (+57 -57)
		src/xml/escp2/media/standard_gen0.xml (1.4) (+57 -57)
		src/xml/escp2/media/ultrachrome.xml (1.4) (+63 -63)
		src/xml/escp2/media/x80.xml (1.4) (+38 -38)
		src/xml/escp2/mediasizes/Makefile.am (1.2) (+4 -2)
		src/xml/escp2/model/Makefile.am (1.2) (+4 -2)
		src/xml/extract-strings.c (1.1) (added)
		src/xml/papers.xml (1.2) (+165 -165)
		src/xml/printers.xml (1.3) (+1366 -1356)

	Create xmli18n-tmp.h correctly

2008-06-09	<rlk@sourceforge.net>

	Files:	configure.ac (1.184) (+3 -2)
		src/foomatic/foomatic-printermap (1.170) (+4 -1)
		src/main/escp2-driver.c (1.44) (+12 -13)
		src/main/escp2-papers.c (1.113) (+66 -1)
		src/main/print-escp2-data.c (1.255) (+10 -10)
		src/main/print-escp2.c (1.397) (+16 -7)
		src/main/print-escp2.h (1.123) (+18 -11)
		src/testpattern/run-testpattern-2.in (1.18) (+1 -1)
		src/xml/escp2/Makefile.am (1.3) (+4 -3)
		src/xml/escp2/mediasizes/.cvsignore (1.1) (added)
		src/xml/escp2/mediasizes/Makefile.am (1.1) (added)
		src/xml/escp2/mediasizes/standard.xml (1.1) (added)
		src/xml/escp2/model/model_10.xml (1.3) (+1 -0)
		src/xml/escp2/model/model_11.xml (1.3) (+1 -0)
		src/xml/escp2/model/model_12.xml (1.3) (+1 -0)
		src/xml/escp2/model/model_13.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_14.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_15.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_16.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_17.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_18.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_19.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_20.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_21.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_22.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_23.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_25.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_26.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_32.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_33.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_34.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_35.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_36.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_37.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_38.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_42.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_43.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_44.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_46.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_47.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_48.xml (1.3) (+1 -1)
		src/xml/escp2/model/model_49.xml (1.3) (+1 -1)
		src/xml/escp2/model/model_50.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_51.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_52.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_53.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_54.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_55.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_56.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_57.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_58.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_59.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_60.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_61.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_62.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_63.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_64.xml (1.3) (+3 -1)
		src/xml/escp2/model/model_65.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_66.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_67.xml (1.3) (+3 -1)
		src/xml/escp2/model/model_68.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_69.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_70.xml (1.4) (+4 -2)
		src/xml/escp2/model/model_71.xml (1.3) (+4 -2)
		src/xml/escp2/model/model_72.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_73.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_74.xml (1.3) (+3 -2)
		src/xml/escp2/model/model_75.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_76.xml (1.4) (+4 -2)
		src/xml/escp2/model/model_77.xml (1.3) (+3 -2)
		src/xml/escp2/model/model_78.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_79.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_80.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_81.xml (1.3) (+4 -2)
		src/xml/escp2/model/model_82.xml (1.4) (+4 -2)
		src/xml/escp2/model/model_83.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_84.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_85.xml (1.3) (+4 -2)
		src/xml/escp2/model/model_86.xml (1.3) (+2 -1)
		src/xml/escp2/model/model_87.xml (1.3) (+3 -1)
		src/xml/printers.xml (1.2) (+4 -1)

	Add media size data.

	Convert initialization sequences to XML.

	Add some additional checks to run-testpattern-2.

2008-06-08	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.254) (+177 -353)
		src/main/print-escp2.c (1.396) (+37 -32)
		src/main/print-escp2.h (1.122) (+7 -8)

	Simplify loading

2008-06-08	<rlk@sourceforge.net>

	Files:	configure.ac (1.183) (+3 -2)
		include/gutenprint/mxml.h (1.2) (+6 -2)
		src/main/escp2-driver.c (1.43) (+8 -8)
		src/main/escp2-papers.c (1.112) (+398 -453)
		src/main/mxml-file.c (1.8) (+46 -2)
		src/main/print-escp2-data.c (1.253) (+177 -328)
		src/main/print-escp2.c (1.395) (+151 -414)
		src/main/print-escp2.h (1.121) (+29 -20)
		src/main/xml.c (1.42) (+8 -4)
		src/xml/escp2/Makefile.am (1.2) (+3 -2)
		src/xml/escp2/inputslots/.cvsignore (1.1) (added)
		src/xml/escp2/inputslots/Makefile.am (1.1) (added)
		src/xml/escp2/inputslots/b500.xml (1.1) (added)
		src/xml/escp2/inputslots/cd_cutter_roll_feed.xml (1.1) (added)
		src/xml/escp2/inputslots/cd_roll_feed.xml (1.1) (added)
		src/xml/escp2/inputslots/cutter_roll_feed.xml (1.1) (added)
		src/xml/escp2/inputslots/default.xml (1.1) (added)
		src/xml/escp2/inputslots/pro_roll_feed.xml (1.1) (added)
		src/xml/escp2/inputslots/r1800.xml (1.1) (added)
		src/xml/escp2/inputslots/r2400.xml (1.1) (added)
		src/xml/escp2/inputslots/rx700.xml (1.1) (added)
		src/xml/escp2/inputslots/spro5000.xml (1.1) (added)
		src/xml/escp2/inputslots/standard_roll_feed.xml (1.1) (added)
		src/xml/escp2/media/b500.xml (1.6) (+2 -2)
		src/xml/escp2/media/c120.xml (1.4) (+2 -2)
		src/xml/escp2/media/c64.xml (1.3) (+2 -2)
		src/xml/escp2/media/c80.xml (1.3) (+2 -2)
		src/xml/escp2/media/c82.xml (1.3) (+2 -2)
		src/xml/escp2/media/claria.xml (1.5) (+2 -2)
		src/xml/escp2/media/claria1400.xml (1.3) (+2 -2)
		src/xml/escp2/media/cmy.xml (1.3) (+2 -2)
		src/xml/escp2/media/cmykrb.xml (1.4) (+2 -2)
		src/xml/escp2/media/cx3650.xml (1.3) (+2 -2)
		src/xml/escp2/media/f360.xml (1.3) (+2 -2)
		src/xml/escp2/media/f360_photo.xml (1.3) (+2 -2)
		src/xml/escp2/media/f360_photo7_japan.xml (1.3) (+2 -2)
		src/xml/escp2/media/f360_ultrachrome.xml (1.3) (+2 -2)
		src/xml/escp2/media/f360_ultrachrome_k3.xml (1.4) (+2 -2)
		src/xml/escp2/media/photo_gen0.xml (1.3) (+2 -2)
		src/xml/escp2/media/photo_gen1.xml (1.3) (+2 -2)
		src/xml/escp2/media/photo_gen2.xml (1.3) (+2 -2)
		src/xml/escp2/media/photo_gen3.xml (1.3) (+2 -2)
		src/xml/escp2/media/photo_gen3_4.xml (1.3) (+2 -2)
		src/xml/escp2/media/photo_gen4.xml (1.4) (+2 -2)
		src/xml/escp2/media/photo_pigment.xml (1.3) (+2 -2)
		src/xml/escp2/media/picturemate_4.xml (1.3) (+2 -2)
		src/xml/escp2/media/picturemate_6.xml (1.3) (+2 -2)
		src/xml/escp2/media/pro_gen1.xml (1.3) (+2 -2)
		src/xml/escp2/media/pro_gen2.xml (1.3) (+2 -2)
		src/xml/escp2/media/pro_pigment.xml (1.3) (+2 -2)
		src/xml/escp2/media/pro_ultrachrome.xml (1.3) (+2 -2)
		src/xml/escp2/media/standard.xml (1.3) (+2 -2)
		src/xml/escp2/media/standard_gen0.xml (1.3) (+2 -2)
		src/xml/escp2/media/ultrachrome.xml (1.3) (+2 -2)
		src/xml/escp2/media/x80.xml (1.3) (+2 -2)
		src/xml/escp2/model/model_0.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_1.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_10.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_11.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_12.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_13.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_14.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_15.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_16.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_17.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_18.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_19.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_2.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_20.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_21.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_22.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_23.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_24.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_25.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_26.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_27.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_28.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_29.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_3.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_30.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_31.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_32.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_33.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_34.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_35.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_36.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_37.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_38.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_39.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_4.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_40.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_41.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_42.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_43.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_44.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_45.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_46.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_47.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_48.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_49.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_5.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_50.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_51.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_52.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_53.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_54.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_55.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_56.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_57.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_58.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_59.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_6.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_60.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_61.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_62.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_63.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_64.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_65.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_66.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_67.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_68.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_69.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_7.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_70.xml (1.3) (+7 -1)
		src/xml/escp2/model/model_71.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_72.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_73.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_74.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_75.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_76.xml (1.3) (+7 -1)
		src/xml/escp2/model/model_77.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_78.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_79.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_8.xml (1.2) (+4 -1)
		src/xml/escp2/model/model_80.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_81.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_82.xml (1.3) (+7 -1)
		src/xml/escp2/model/model_83.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_84.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_85.xml (1.2) (+7 -1)
		src/xml/escp2/model/model_86.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_87.xml (1.2) (+6 -1)
		src/xml/escp2/model/model_9.xml (1.2) (+4 -1)

	Convert input slots to use XML.

	Place top level tags in "escp2" namespace.

	Convert init/deinit strings to XML.

	Use href for referencing paper and input slot XML files.

	Add mxml call to load from a named file (save having to open/close files
	and all that).

	Fix small memory leak in Epson driver on start/end job calls.

2008-06-08	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.17) (+16 -6)
		src/testpattern/testpattern.c (1.51) (+34 -12)
		src/testpattern/testpattern.h (1.18) (+5 -2)
		src/testpattern/testpatternl.l (1.22) (+3 -1)
		src/testpattern/testpatterny.y (1.32) (+15 -2)

	Correctly handle multi-page jobs

2008-06-07	<rlk@sourceforge.net>

	Files:	src/testpattern/printer_options.c (1.5) (+9 -7)
		src/testpattern/run-testpattern-2.in (1.16) (+33 -12)
		src/testpattern/testpattern.c (1.50) (+13 -1)
		src/testpattern/testpatternl.l (1.21) (+2 -1)
		src/testpattern/testpatterny.y (1.31) (+12 -2)

	Test full bleed.

	Allow boolean parameters.

	Set non-string parameters correctly in test pattern generator.

2008-06-03	<rlk@sourceforge.net>

	Files:	include/gutenprint/printers.h (1.5) (+12 -4)
		src/main/printers.c (1.85) (+53 -18)
		src/testpattern/run-testpattern-2.in (1.15) (+2 -1)
		src/testpattern/testpattern.c (1.49) (+11 -1)

	Add stp_set_printer_defaults_soft to allow setting defaults for only
	unset parameters.

	Test input slots, color correction algorithms, and image types.

2008-06-03	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.81) (+9 -32)
		src/main/print-escp2-data.c (1.252) (+3 -3)
		src/main/print-escp2.c (1.394) (+134 -41)
		src/xml/escp2/media/b500.xml (1.5) (+2 -0)
		src/xml/escp2/media/c120.xml (1.3) (+692 -971)
		src/xml/escp2/media/claria.xml (1.4) (+0 -36)
		src/xml/escp2/media/claria1400.xml (1.2) (+0 -37)
		src/xml/escp2/media/cmykrb.xml (1.3) (+649 -141)
		src/xml/escp2/media/f360_ultrachrome_k3.xml (1.3) (+757 -121)
		src/xml/escp2/media/photo_gen4.xml (1.3) (+567 -773)

	Create definitions for C120, R800, R2400, and RX700.

	Remove quadtone support for C120.

	Fix some definitiosn for other printers.

	Fix parameter definitions for dry times.

	Extract all parameters from XML files (still needs to be tested!)

2008-06-03	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.251) (+3 -3)

	PM-D600 and PM-A650 should not use SN 01 command.

2008-06-02	<rlk@sourceforge.net>

	Files:	doc/gutenprint.dox.in (1.6) (+47 -10)
		doc/gutenprintui2.dox.in (1.4) (+299 -83)

	Update Doxygen input files to 1.5.3

2008-06-02	<rlk@sourceforge.net>

	Files:	include/gutenprint/vars.h (1.6) (+2 -2)

	Fix documentation comment.

2008-06-01	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/Makefile.am (1.3) (+2 -1)
		src/xml/escp2/media/b500.xml (1.4) (+452 -0)
		src/xml/escp2/media/claria.xml (1.3) (+925 -27)
		src/xml/escp2/media/claria1400.xml (1.1) (added)
		src/xml/escp2/model/model_82.xml (1.2) (+1 -1)

	Add additional paper types for B500.

	Add print method data for Claria printers.

	Separate Stylus Photo 1400 (it has slightly different media handling).

2008-06-01	<rlk@sourceforge.net>

	Files:	src/xml/escp2/media/b500.xml (1.3) (+48 -48)
		src/xml/escp2/media/c120.xml (1.2) (+1425 -1425)
		src/xml/escp2/media/c64.xml (1.2) (+1425 -1425)
		src/xml/escp2/media/c80.xml (1.2) (+1425 -1425)
		src/xml/escp2/media/c82.xml (1.2) (+1425 -1425)
		src/xml/escp2/media/claria.xml (1.2) (+722 -722)
		src/xml/escp2/media/cmy.xml (1.2) (+703 -703)
		src/xml/escp2/media/cmykrb.xml (1.2) (+1533 -1533)
		src/xml/escp2/media/cx3650.xml (1.2) (+1425 -1425)
		src/xml/escp2/media/f360.xml (1.2) (+1425 -1425)
		src/xml/escp2/media/f360_photo.xml (1.2) (+703 -703)
		src/xml/escp2/media/f360_photo7_japan.xml (1.2) (+703 -703)
		src/xml/escp2/media/f360_ultrachrome.xml (1.2) (+1627 -1627)
		src/xml/escp2/media/f360_ultrachrome_k3.xml (1.2) (+1627 -1627)
		src/xml/escp2/media/photo_gen0.xml (1.2) (+1425 -1425)
		src/xml/escp2/media/photo_gen1.xml (1.2) (+1425 -1425)
		src/xml/escp2/media/photo_gen2.xml (1.2) (+1425 -1425)
		src/xml/escp2/media/photo_gen3.xml (1.2) (+1444 -1444)
		src/xml/escp2/media/photo_gen3_4.xml (1.2) (+1444 -1444)
		src/xml/escp2/media/photo_gen4.xml (1.2) (+1444 -1444)
		src/xml/escp2/media/photo_pigment.xml (1.2) (+819 -819)
		src/xml/escp2/media/picturemate_4.xml (1.2) (+72 -72)
		src/xml/escp2/media/picturemate_6.xml (1.2) (+72 -72)
		src/xml/escp2/media/pro_gen1.xml (1.2) (+1425 -1425)
		src/xml/escp2/media/pro_gen2.xml (1.2) (+1425 -1425)
		src/xml/escp2/media/pro_pigment.xml (1.2) (+819 -819)
		src/xml/escp2/media/pro_ultrachrome.xml (1.2) (+1629 -1629)
		src/xml/escp2/media/standard.xml (1.2) (+1425 -1425)
		src/xml/escp2/media/standard_gen0.xml (1.2) (+1425 -1425)
		src/xml/escp2/media/ultrachrome.xml (1.2) (+1627 -1627)
		src/xml/escp2/media/x80.xml (1.2) (+703 -703)

	Fix names of HSL map parameters and clean up indentation

2008-06-01	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.80) (+1 -32)
		src/main/escp2-driver.c (1.42) (+22 -6)
		src/main/print-escp2.c (1.393) (+5 -4)
		src/main/xml.c (1.41) (+3 -3)
		src/xml/escp2/media/Makefile.am (1.2) (+2 -1)
		src/xml/escp2/media/b500.xml (1.2) (+790 -1469)
		src/xml/escp2/media/photo_gen4.xml (1.1) (added)
		src/xml/escp2/model/model_70.xml (1.2) (+1 -1)
		src/xml/escp2/model/model_76.xml (1.2) (+1 -1)

	Add support for MI and ESC(m commands for B500.

	Remove quadtone ink support for B500.

	Change stp_xmlstrtoul and stp_xmlstrtol to accept bases other than 10.

	Support some additional media options in Epson driver.

	Add additional media set for newer photo printers.

2008-06-01	<rlk@sourceforge.net>

	Files:	configure.ac (1.182) (+6 -2)
		include/gutenprint/path.h (1.2) (+8 -2)
		po/POTFILES.in (1.23) (+2 -2)
		scripts/global.mk (1.11) (+1 -1)
		src/Makefile.am (1.21) (+3 -2)
		src/cups/Makefile.am (1.97) (+3 -3)
		src/cups/genppd.c (1.144) (+45 -2)
		src/cups/test-rastertogutenprint.in (1.4) (+1 -1)
		src/foomatic/Makefile.am (1.51) (+3 -3)
		src/main/.cvsignore (1.23) (+0 -1)
		src/main/Makefile.am (1.100) (+2 -31)
		src/main/dither-matrix-1x1.xml (1.3) (removed)
		src/main/dither-matrix-2x1.xml (1.3) (removed)
		src/main/dither-matrix-4x1.xml (1.3) (removed)
		src/main/escp2-channels.c (1.79) (+79 -76)
		src/main/escp2-driver.c (1.41) (+34 -32)
		src/main/escp2-papers.c (1.111) (+1 -1681)
		src/main/papers.xml (1.29) (removed)
		src/main/path.c (1.20) (+24 -4)
		src/main/print-escp2-data.c (1.250) (+110 -110)
		src/main/print-escp2.c (1.392) (+532 -136)
		src/main/print-escp2.h (1.120) (+25 -65)
		src/main/print-vars.c (1.83) (+8 -4)
		src/main/printers.xml (1.231) (removed)
		src/main/xml.c (1.40) (+2 -12)
		src/testpattern/run-testpattern (1.24) (+1 -1)
		src/testpattern/run-testpattern-1 (1.10) (+1 -1)
		src/testpattern/run-testpattern-2.in (1.14) (+4 -2)
		src/xml/.cvsignore (1.1) (added)
		src/xml/Makefile.am (1.1) (added)
		src/xml/dither-matrix-1x1.xml (1.1) (added)
		src/xml/dither-matrix-2x1.xml (1.1) (added)
		src/xml/dither-matrix-4x1.xml (1.1) (added)
		src/xml/escp2/.cvsignore (1.1) (added)
		src/xml/escp2/Makefile.am (1.1) (added)
		src/xml/escp2/media/.cvsignore (1.1) (added)
		src/xml/escp2/media/Makefile.am (1.1) (added)
		src/xml/escp2/media/b500.xml (1.1) (added)
		src/xml/escp2/media/c120.xml (1.1) (added)
		src/xml/escp2/media/c64.xml (1.1) (added)
		src/xml/escp2/media/c80.xml (1.1) (added)
		src/xml/escp2/media/c82.xml (1.1) (added)
		src/xml/escp2/media/claria.xml (1.1) (added)
		src/xml/escp2/media/cmy.xml (1.1) (added)
		src/xml/escp2/media/cmykrb.xml (1.1) (added)
		src/xml/escp2/media/cx3650.xml (1.1) (added)
		src/xml/escp2/media/f360.xml (1.1) (added)
		src/xml/escp2/media/f360_photo.xml (1.1) (added)
		src/xml/escp2/media/f360_photo7_japan.xml (1.1) (added)
		src/xml/escp2/media/f360_ultrachrome.xml (1.1) (added)
		src/xml/escp2/media/f360_ultrachrome_k3.xml (1.1) (added)
		src/xml/escp2/media/photo_gen0.xml (1.1) (added)
		src/xml/escp2/media/photo_gen1.xml (1.1) (added)
		src/xml/escp2/media/photo_gen2.xml (1.1) (added)
		src/xml/escp2/media/photo_gen3.xml (1.1) (added)
		src/xml/escp2/media/photo_gen3_4.xml (1.1) (added)
		src/xml/escp2/media/photo_pigment.xml (1.1) (added)
		src/xml/escp2/media/picturemate_4.xml (1.1) (added)
		src/xml/escp2/media/picturemate_6.xml (1.1) (added)
		src/xml/escp2/media/pro_gen1.xml (1.1) (added)
		src/xml/escp2/media/pro_gen2.xml (1.1) (added)
		src/xml/escp2/media/pro_pigment.xml (1.1) (added)
		src/xml/escp2/media/pro_ultrachrome.xml (1.1) (added)
		src/xml/escp2/media/standard.xml (1.1) (added)
		src/xml/escp2/media/standard_gen0.xml (1.1) (added)
		src/xml/escp2/media/ultrachrome.xml (1.1) (added)
		src/xml/escp2/media/x80.xml (1.1) (added)
		src/xml/escp2/model/.cvsignore (1.1) (added)
		src/xml/escp2/model/Makefile.am (1.1) (added)
		src/xml/escp2/model/model_0.xml (1.1) (added)
		src/xml/escp2/model/model_1.xml (1.1) (added)
		src/xml/escp2/model/model_10.xml (1.1) (added)
		src/xml/escp2/model/model_11.xml (1.1) (added)
		src/xml/escp2/model/model_12.xml (1.1) (added)
		src/xml/escp2/model/model_13.xml (1.1) (added)
		src/xml/escp2/model/model_14.xml (1.1) (added)
		src/xml/escp2/model/model_15.xml (1.1) (added)
		src/xml/escp2/model/model_16.xml (1.1) (added)
		src/xml/escp2/model/model_17.xml (1.1) (added)
		src/xml/escp2/model/model_18.xml (1.1) (added)
		src/xml/escp2/model/model_19.xml (1.1) (added)
		src/xml/escp2/model/model_2.xml (1.1) (added)
		src/xml/escp2/model/model_20.xml (1.1) (added)
		src/xml/escp2/model/model_21.xml (1.1) (added)
		src/xml/escp2/model/model_22.xml (1.1) (added)
		src/xml/escp2/model/model_23.xml (1.1) (added)
		src/xml/escp2/model/model_24.xml (1.1) (added)
		src/xml/escp2/model/model_25.xml (1.1) (added)
		src/xml/escp2/model/model_26.xml (1.1) (added)
		src/xml/escp2/model/model_27.xml (1.1) (added)
		src/xml/escp2/model/model_28.xml (1.1) (added)
		src/xml/escp2/model/model_29.xml (1.1) (added)
		src/xml/escp2/model/model_3.xml (1.1) (added)
		src/xml/escp2/model/model_30.xml (1.1) (added)
		src/xml/escp2/model/model_31.xml (1.1) (added)
		src/xml/escp2/model/model_32.xml (1.1) (added)
		src/xml/escp2/model/model_33.xml (1.1) (added)
		src/xml/escp2/model/model_34.xml (1.1) (added)
		src/xml/escp2/model/model_35.xml (1.1) (added)
		src/xml/escp2/model/model_36.xml (1.1) (added)
		src/xml/escp2/model/model_37.xml (1.1) (added)
		src/xml/escp2/model/model_38.xml (1.1) (added)
		src/xml/escp2/model/model_39.xml (1.1) (added)
		src/xml/escp2/model/model_4.xml (1.1) (added)
		src/xml/escp2/model/model_40.xml (1.1) (added)
		src/xml/escp2/model/model_41.xml (1.1) (added)
		src/xml/escp2/model/model_42.xml (1.1) (added)
		src/xml/escp2/model/model_43.xml (1.1) (added)
		src/xml/escp2/model/model_44.xml (1.1) (added)
		src/xml/escp2/model/model_45.xml (1.1) (added)
		src/xml/escp2/model/model_46.xml (1.1) (added)
		src/xml/escp2/model/model_47.xml (1.1) (added)
		src/xml/escp2/model/model_48.xml (1.1) (added)
		src/xml/escp2/model/model_49.xml (1.1) (added)
		src/xml/escp2/model/model_5.xml (1.1) (added)
		src/xml/escp2/model/model_50.xml (1.1) (added)
		src/xml/escp2/model/model_51.xml (1.1) (added)
		src/xml/escp2/model/model_52.xml (1.1) (added)
		src/xml/escp2/model/model_53.xml (1.1) (added)
		src/xml/escp2/model/model_54.xml (1.1) (added)
		src/xml/escp2/model/model_55.xml (1.1) (added)
		src/xml/escp2/model/model_56.xml (1.1) (added)
		src/xml/escp2/model/model_57.xml (1.1) (added)
		src/xml/escp2/model/model_58.xml (1.1) (added)
		src/xml/escp2/model/model_59.xml (1.1) (added)
		src/xml/escp2/model/model_6.xml (1.1) (added)
		src/xml/escp2/model/model_60.xml (1.1) (added)
		src/xml/escp2/model/model_61.xml (1.1) (added)
		src/xml/escp2/model/model_62.xml (1.1) (added)
		src/xml/escp2/model/model_63.xml (1.1) (added)
		src/xml/escp2/model/model_64.xml (1.1) (added)
		src/xml/escp2/model/model_65.xml (1.1) (added)
		src/xml/escp2/model/model_66.xml (1.1) (added)
		src/xml/escp2/model/model_67.xml (1.1) (added)
		src/xml/escp2/model/model_68.xml (1.1) (added)
		src/xml/escp2/model/model_69.xml (1.1) (added)
		src/xml/escp2/model/model_7.xml (1.1) (added)
		src/xml/escp2/model/model_70.xml (1.1) (added)
		src/xml/escp2/model/model_71.xml (1.1) (added)
		src/xml/escp2/model/model_72.xml (1.1) (added)
		src/xml/escp2/model/model_73.xml (1.1) (added)
		src/xml/escp2/model/model_74.xml (1.1) (added)
		src/xml/escp2/model/model_75.xml (1.1) (added)
		src/xml/escp2/model/model_76.xml (1.1) (added)
		src/xml/escp2/model/model_77.xml (1.1) (added)
		src/xml/escp2/model/model_78.xml (1.1) (added)
		src/xml/escp2/model/model_79.xml (1.1) (added)
		src/xml/escp2/model/model_8.xml (1.1) (added)
		src/xml/escp2/model/model_80.xml (1.1) (added)
		src/xml/escp2/model/model_81.xml (1.1) (added)
		src/xml/escp2/model/model_82.xml (1.1) (added)
		src/xml/escp2/model/model_83.xml (1.1) (added)
		src/xml/escp2/model/model_84.xml (1.1) (added)
		src/xml/escp2/model/model_85.xml (1.1) (added)
		src/xml/escp2/model/model_86.xml (1.1) (added)
		src/xml/escp2/model/model_87.xml (1.1) (added)
		src/xml/escp2/model/model_9.xml (1.1) (added)
		src/xml/papers.xml (1.1) (added)
		src/xml/printers.xml (1.1) (added)
		test/run-testdither (1.13) (+1 -1)
		test/run-weavetest (1.25) (+1 -1)

	Start converting Epson driver data to XML.

	Stage 1: Convert existing paper data into XML and verify current
	      	 functionality.

	      	 This also includes creating a top level XML model file for
	      	 each distinct printer model (there's a 1-1 mapping between
	      	 the models in escp2-printers.c and the model files).

		 All of these XML files are going into an escp2 subdirectory
	      	 of the top level XML directory.  The model files will go into
	      	 a "model" subdirectory, and the paper files will go into a
	      	 "media" subdirectory.

		 The media definition will be able to express capabilities on
	      	 a per-media type, per-inkset, and per-resolution basis.  The
	      	 actual data will be made available to the rest of the package
	      	 through an stp_vars_t.

		 I'm creating this data using the existing 5.2 beta tree and a
	      	 small program to generate the XML.

		 I'm verifying existing functionality by means of md5 checksum
	      	 verification using the testpattern-2 test.

		 Note that the existing mechanical sequence information will
	      	 be made available as advanced options, some of them integer
	      	 and some of them floating point.  Things like vacuum
	      	 intensity and feed adjustment are exposed by the OEM driver,
	      	 so we should expose them also.

		 This stage will not be checked in.

	Stage 2: Move all of the XML files from src/main to src/xml.

	      	 This requires creating the appropriate makefile structure and
	      	 scrubbing all uses of STP_DATA_PATH within the source tree.

		 Functionality will be verified in the same way.  I will also
	      	 verify that an installation works correctly.

2008-06-01	<rlk@sourceforge.net>

	Files:	src/main/dither-ordered.c (1.30) (+1 -11)

	Remove spurious (and incorrect) comment.

2008-06-01	<rlk@sourceforge.net>

	Files:	po/nl.po (1.68) (+819 -1013)

	Updated Dutch translation

2008-05-23	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.249) (+3 -3)
		src/main/print-escp2.c (1.391) (+20 -18)

	Fix duplex printing on B500

2008-05-20	<rlk@sourceforge.net>

	Files:	include/gutenprint/vars.h (1.5) (+126 -10)
		include/gutenprint/xml.h (1.3) (+10 -2)
		src/main/print-vars.c (1.82) (+432 -47)
		src/main/printers.c (1.84) (+3 -102)
		src/main/xml.c (1.39) (+124 -1)

	Add some additional operations on stp_vars_t

2008-05-17	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.78) (+17 -13)
		src/main/escp2-inks.c (1.64) (+9 -7)
		src/main/escp2-papers.c (1.110) (+25 -19)
		src/main/escp2-resolutions.c (1.46) (+25 -19)
		src/main/print-escp2.c (1.390) (+2 -2)

	Do not attempt to print debug message with possible null pointer

2008-05-17	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.13) (+5 -1)

	Check ink sets also.

	Add -f to specify families to test.

2008-05-14	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.95) (+43 -40)

	Minor cleanup

2008-05-14	<rlk@sourceforge.net>

	Files:	test/parse-escp2 (1.20) (+9 -4)

	Reset the vertical position on form feed.

2008-05-12	<rlk@sourceforge.net>

	Files:	po/hu.po (1.20) (+742 -901)

	Update Hungarian translation

2008-05-11	<rlk@sourceforge.net>

	Files:	doc/README.maintaining (1.25) (+2 -2)

	Update for gettext 0.16

2008-05-11	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.94) (+43 -44)

	Print the name of the printer, and any warnings, for status.

2008-05-11	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.77) (+3 -3)

	Distinguish between the two black cartridges on the C120.

2008-05-11	<rlk@sourceforge.net>

	Files:	configure.ac (1.181) (+3 -3)

	Bump required gettext version to 0.16 per Roger Leigh.

2008-05-11	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.93) (+43 -4)
		src/foomatic/foomatic-printermap (1.169) (+2 -0)
		src/main/escp2-channels.c (1.76) (+142 -1)
		src/main/escp2-driver.c (1.40) (+13 -3)
		src/main/escp2-inks.c (1.63) (+28 -1)
		src/main/escp2-papers.c (1.109) (+64 -1)
		src/main/escp2-resolutions.c (1.45) (+4 -1)
		src/main/print-escp2-data.c (1.248) (+29 -1)
		src/main/print-escp2.c (1.389) (+115 -17)
		src/main/print-escp2.h (1.119) (+9 -4)
		src/main/printers.xml (1.230) (+3 -1)

	Preliminary support for B-300, B-500

2008-05-11	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.12) (+1 -1)

	Test each media type.

2008-05-11	<rlk@sourceforge.net>

	Files:	src/main/dither-ordered.c (1.29) (+2 -2)

	Fix an initialization warning.

2008-05-11	<rlk@sourceforge.net>

	Files:	src/main/dither-main.c (1.60) (+3 -1)

	Don't accidentally use segmented dither if dither algorithm defaults
	to adaptive hybrid.

2008-05-08	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.143) (+9 -4)

	Generate information for Macintosh color management (harmless
	elsewhere)

	Safety check for output order and duplex options (don't use unless
	they're active, as these are not mandatory).

2008-05-05	<rlk@sourceforge.net>

	Files:	NEWS (1.367) (+33 -0)
		src/foomatic/foomatic-printermap (1.168) (+34 -0)
		src/main/printers.xml (1.229) (+35 -1)

	Add additional HP laser printers.

2008-05-04	<rlk@sourceforge.net>

	Files:	NEWS (1.366) (+1 -1)

	Update number of supported printers.

2008-05-04	<rlk@sourceforge.net>

	Files:	NEWS (1.365) (+445 -0)
		src/foomatic/foomatic-printermap (1.167) (+429 -0)
		src/main/printers.xml (1.228) (+437 -8)

	Add a number of laser printers from Brother, Epson, Gestetner, Infotec, Lanier, Lexmark, NRG, Ricoh, Samsung, and Savin

2008-05-04	<rlk@sourceforge.net>

	Files:	src/main/escp2-driver.c (1.39) (+14 -9)
		src/main/print-escp2-data.c (1.247) (+88 -88)
		src/main/print-escp2.c (1.388) (+19 -4)
		src/main/print-escp2.h (1.118) (+6 -2)

	Fix missing line problem in color on CX-3700

===============================================================================
Name: gutenprint-5_2_0-beta2

2008-04-28	<rlk@sourceforge.net>

	Files:	NEWS (1.364) (+9 -1)
		README (1.186) (+2 -2)
		configure.ac (1.180) (+3 -3)
		src/main/Makefile.am (1.99) (+3 -3)

	Emergency fix for Gutenprint 5.2.0-beta2

===============================================================================
Name: gutenprint-5_2_0-beta1

2008-04-26	<rlk@sourceforge.net>

	Files:	po/cs.po (1.48) (+1168 -1176)
		po/da.po (1.85) (+716 -645)
		po/de.po (1.62) (+1168 -1176)
		po/el.po (1.63) (+1155 -1182)
		po/en_GB.po (1.155) (+1804 -1638)
		po/es.po (1.61) (+1168 -1176)
		po/fr.po (1.89) (+1788 -1633)
		po/hu.po (1.19) (+1155 -1178)
		po/ja.po (1.57) (+1168 -1176)
		po/nb.po (1.22) (+1728 -1035)
		po/nl.po (1.67) (+751 -661)
		po/pl.po (1.67) (+1147 -1184)
		po/pt.po (1.62) (+1168 -1176)
		po/sk.po (1.66) (+1168 -1176)
		po/sv.po (1.92) (+3529 -2449)
		po/zh_TW.po (1.22) (+1115 -1192)

	Gutenprint 5.2-beta1 release

2008-04-26	<rlk@sourceforge.net>

	Files:	po/da.po (1.84) (+8090 -122)

	Fix Danish translation (somehow got mangled)

2008-04-26	<rlk@sourceforge.net>

	Files:	NEWS (1.363) (+6 -3)
		src/foomatic/foomatic-printermap (1.166) (+5 -0)
		src/main/print-pcl.c (1.150) (+54 -1)
		src/main/printers.xml (1.227) (+6 -1)

	Add support for generic large format laser printers

2008-04-25	<rlk@sourceforge.net>

	Files:	NEWS (1.362) (+6 -0)

	Updates.

2008-04-25	<rlk@sourceforge.net>

	Files:	po/da.po (1.83) (+122 -8283)

	Updated Danish translation

2008-04-23	<rlk@sourceforge.net>

	Files:	po/nl.po (1.66) (+1166 -1271)

	Fix some translated strings

2008-04-22	<rlk@sourceforge.net>

	Files:	src/ghost/ijsgutenprint.c (1.20) (+33 -33)

	Don't translate error/warning strings.

2008-04-20	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.46) (+44 -1)
		src/main/print-canon.c (1.226) (+9 -2)

	switch channel order to CMYK for the iP4500 might fix #1834153

2008-04-20	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.45) (+1 -1)

	make the iX5000 use the I Raster commandset so that the driver may also work for the MP520 (untested)

2008-04-18	<rlk@sourceforge.net>

	Files:	NEWS (1.361) (+7 -1)

	Prep for 5.2-beta

2008-04-15	<rlk@sourceforge.net>

	Files:	po/en_GB.po (1.154) (+1942 -2720)
		po/fr.po (1.88) (+2450 -3582)

	Updates from translation service

2008-04-15	<rlk@sourceforge.net>

	Files:	po/cs.po (1.47) (+5814 -2499)
		po/da.po (1.82) (+2513 -1807)
		po/de.po (1.61) (+5338 -2123)
		po/el.po (1.62) (+5626 -2364)
		po/en_GB.po (1.153) (+5854 -2043)
		po/es.po (1.60) (+5809 -2506)
		po/fr.po (1.87) (+5814 -2511)
		po/hu.po (1.18) (+2491 -1795)
		po/ja.po (1.56) (+5820 -2504)
		po/nl.po (1.65) (+2550 -1824)
		po/pl.po (1.66) (+5479 -2287)
		po/pt.po (1.61) (+5825 -2508)
		po/sk.po (1.65) (+5804 -2505)
		po/zh_TW.po (1.21) (+5738 -2096)

	run msgmerge

2008-04-15	<rlk@sourceforge.net>

	Files:	po/cs.po (1.46) (+2346 -5078)
		po/da.po (1.81) (+2532 -3346)
		po/de.po (1.60) (+2308 -4917)
		po/el.po (1.61) (+2573 -5254)
		po/en_GB.po (1.152) (+3158 -6191)
		po/es.po (1.59) (+2686 -5408)
		po/fr.po (1.86) (+3443 -5614)
		po/hu.po (1.17) (+2517 -3322)
		po/ja.po (1.55) (+2940 -5673)
		po/nl.po (1.64) (+2550 -3384)
		po/pl.po (1.65) (+2307 -4915)
		po/pt.po (1.60) (+2582 -5316)
		po/sk.po (1.64) (+2916 -5634)
		po/sv.po (1.91) (+4116 -5040)
		po/zh_TW.po (1.20) (+2742 -6283)

	Resync with tarnslationproject.org

2008-04-15	<rlk@sourceforge.net>

	Files:	src/main/papers.xml (1.28) (+7 -1)

	Add L-size photo paper (3.5x5).

2008-04-13	<rlk@sourceforge.net>

	Files:	NEWS (1.360) (+94 -543)
		README (1.185) (+50 -68)
		configure.ac (1.179) (+6 -6)

	Bump version to 5.2 beta

2008-04-12	<rlk@sourceforge.net>

	Files:	Makefile.am (1.151) (+2 -2)
		scripts/mkchlog (1.11) (+64 -21)

	Record release points in change log

2008-04-12	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.42) (+12 -3)

	Function correctly when both -r and -s are used.

2008-04-07	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.41) (+13 -4)

	Further improve performance by not changing PPD values that don't
	actually change.

2008-04-06	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.40) (+147 -148)

	Add -f option to allow bypassing ownership check.

	Improve file search.

	Don't pre-check for Gutenprint/Gimp-Print PPD files (just wastes
	time).

	Exit with non-zero status if any updates failed (as opposed to skipped
	or invalid).

2008-04-06	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.142) (+8 -2)

	Check the URI scheme to make sure the version is correct.

2008-04-06	<faust3@sourceforge.net>

	Files:	src/main/print-canon.c (1.225) (+2 -2)

	fixed mixed declaration and code warning

2008-04-06	<faust3@sourceforge.net>

	Files:	src/main/print-canon.c (1.224) (+5 -2)

	make it possible to easily change the channel order

2008-04-06	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.39) (+3 -3)

	Minor wording changes

2008-04-06	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.38) (+50 -118)

	Improve performance by making only one pass over the PPD file and
	extracting all data at that time.  Old code made a lot of separate
	passes over the data.

2008-04-06	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.37) (+3 -1)

	Update help message.

2008-04-06	<rlk@sourceforge.net>

	Files:	README (1.184) (+14 -14)

	Change cups-genppdupdate.5.1 to cups-genppdupdate.

2008-04-06	<rlk@sourceforge.net>

	Files:	configure.ac (1.178) (+3 -6)
		src/cups/Makefile.am (1.96) (+3 -6)
		src/cups/cups-genppdupdate.in (1.36) (+55 -12)

	Make cups-genppdupdate generic, but favor the current version

2008-04-01	<rlk@sourceforge.net>

	Files:	configure.ac (1.177) (+2 -8)
		man/Makefile.am (1.23) (+1 -3)
		man/cups-genppdconfig.8.in (1.7) (removed)

	Complete removal of cups-genppdconfig

2008-03-31	<rlk@sourceforge.net>

	Files:	src/cups/Makefile.am (1.95) (+4 -6)
		src/cups/cups-genppdconfig.in (1.15) (removed)

	Remove no longer used cups-genppdconfig

2008-03-31	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.35) (+24 -8)

	[ 1929738 ] genppdupdate updates twice with case-insensitive filesystems

2008-03-29	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.165) (+177 -0)
		src/main/printers.xml (1.226) (+178 -1)

	Restore PCL inkjet printers

2008-03-07	<rlk@sourceforge.net>

	Files:	configure.ac (1.176) (+3 -3)

	Bump version

===============================================================================
Name: gutenprint-5_1_7

2008-03-07	<rlk@sourceforge.net>

	Files:	po/cs.po (1.45) (+1792 -1383)
		po/da.po (1.80) (+1777 -1367)
		po/de.po (1.59) (+1776 -1368)
		po/el.po (1.60) (+1773 -1368)
		po/en_GB.po (1.151) (+1777 -1367)
		po/es.po (1.58) (+1777 -1368)
		po/fr.po (1.85) (+1777 -1367)
		po/hu.po (1.16) (+1777 -1367)
		po/ja.po (1.54) (+1777 -1368)
		po/nb.po (1.21) (+1773 -1368)
		po/nl.po (1.63) (+1777 -1367)
		po/pl.po (1.64) (+1782 -1385)
		po/pt.po (1.59) (+1777 -1368)
		po/sk.po (1.63) (+1777 -1368)
		po/sv.po (1.90) (+1779 -1368)
		po/zh_TW.po (1.19) (+1763 -1368)

	Gutenprint 5.1.7 release

2008-03-05	<rlk@sourceforge.net>

	Files:	src/main/print-vars.c (1.81) (+20 -21)

	Make check_vars into a macro to allow it to be inlined.

2008-03-05	<rlk@sourceforge.net>

	Files:	configure.ac (1.175) (+3 -3)

	Reduce inlining limit to fix compile problem on OS X 10.2 (and
	shrink binary).

2008-03-02	<rlk@sourceforge.net>

	Files:	NEWS (1.359) (+62 -13)
		README (1.183) (+1 -1)

	Prep for 5.1.7

2008-02-28	<rlk@sourceforge.net>

	Files:	doc/README.maintaining (1.24) (+24 -72)

	Updates.

2008-02-27	<rlk@sourceforge.net>

	Files:	doc/developer/Makefile.am (1.22) (+3 -3)

	Fix typo

2008-02-27	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.387) (+6 -2)

	Don't offer a choice of ink types if there's only one "real" choice.

2008-02-27	<rlk@sourceforge.net>

	Files:	NEWS (1.358) (+1 -1)

	Correct number of supported printers.

2008-02-27	<rlk@sourceforge.net>

	Files:	NEWS (1.357) (+20 -0)
		src/foomatic/foomatic-printermap (1.164) (+7 -0)
		src/main/escp2-channels.c (1.75) (+61 -11)
		src/main/escp2-papers.c (1.108) (+15 -4)
		src/main/print-escp2-data.c (1.246) (+22 -3)
		src/main/printers.xml (1.225) (+20 -13)

	Add and correct many Epson PictureMate printers.  Not all of these
	printers are tuned at this point.

2008-02-27	<rlk@sourceforge.net>

	Files:	src/main/printers.xml (1.224) (+2 -2)

	Fix typo.

2008-02-24	<rlk@sourceforge.net>

	Files:	NEWS (1.356) (+8 -8)

	Refer to 5.1 rather than 5.0 where appropriate.

2008-02-24	<rlk@sourceforge.net>

	Files:	NEWS (1.355) (+50 -0)
		src/main/print-escp2-data.c (1.245) (+13 -13)

	Fix borderless printing on R2400.

	Improve 2880x2880 and 5760x2880 resolution on many printers.

2008-02-24	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.244) (+2 -2)

	Fix definition of PM-G820.

2008-02-24	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.243) (+7 -7)

	Fix 5760x2880 printing on R800 and 1400.

2008-02-24	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.242) (+2 -2)

	Setting extra_feed for the C120 causes poor quality in color output at
	the bottom of the page.

2008-02-24	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.241) (+2 -2)

	Extra feed yields better results on C120, but still not perfect at
	2880 DPI vertical.

2008-02-24	<rlk@sourceforge.net>

	Files:	src/main/escp2-resolutions.c (1.44) (+17 -1)
		src/main/print-escp2-data.c (1.240) (+3 -3)

	Enable use of 2880x2880 DPI for Ultra Photo and 5760x2880 for Best
	quality for Claria-based printers.

2008-02-24	<rlk@sourceforge.net>

	Files:	src/main/printers.xml (1.223) (+2 -2)

	Fix typo.

2008-02-24	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.239) (+3 -3)

	Improve print quality near the bottom of the page at 5760x2880 and
	2880x2880 DPI on Claria printers (see bug 1700313).

2008-02-19	<rlk@sourceforge.net>

	Files:	src/main/dither-eventone.c (1.42) (+372 -335)

	Use standard Gutenprint C style.

2008-02-18	<rlk@sourceforge.net>

	Files:	src/main/dither-eventone.c (1.41) (+12 -2)
		src/main/dither-impl.h (1.32) (+3 -4)
		src/main/dither-inks.c (1.26) (+1 -2)
		src/main/dither-main.c (1.59) (+4 -6)
		src/main/dither-ordered.c (1.28) (+76 -81)
		src/main/print-dither-matrices.c (1.37) (+1 -6)
		src/testpattern/run-testpattern (1.23) (+1 -1)

	Move some eventone-specific stuff out of the core dither object.

	Add segmented new ordered dither algorithm.

2008-02-17	<faust3@sourceforge.net>

	Files:	NEWS (1.354) (+3 -1)

	mention fixed bugs

2008-02-17	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.44) (+12 -0)
		src/main/printers.xml (1.222) (+2 -2)

	the PIXMA MP520 only works with the I printing command

2008-02-17	<faust3@sourceforge.net>

	Files:	NEWS (1.353) (+4 -0)
		src/foomatic/foomatic-printermap (1.163) (+2 -0)
		src/main/canon-inks.h (1.22) (+13 -0)
		src/main/canon-modes.h (1.31) (+4 -0)
		src/main/canon-printers.h (1.43) (+12 -0)
		src/main/printers.xml (1.221) (+3 -1)

	added (untested) support for Canon PIXMA MP520 and iP6000D

2008-02-03	<rlk@sourceforge.net>

	Files:	doc/developer/Makefile.am (1.21) (+9 -1)

	Give a useful error if db2pdf or db2html is missing.

2008-02-03	<rlk@sourceforge.net>

	Files:	src/main/escp2-inks.c (1.62) (+2 -2)

	A few more fixes for the 1400.

2008-02-03	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.238) (+2 -2)

	Correct base resolution for Stylus Photo 1400 at 1440x1440 DPI.

2008-02-03	<rlk@sourceforge.net>

	Files:	src/main/escp2-inks.c (1.61) (+15 -15)
		src/main/print-escp2-data.c (1.237) (+5 -5)

	Retune Claria-based printers

2008-02-03	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatternl.l (1.20) (+3 -3)

	Accept hex integers.

2008-02-03	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.386) (+14 -4)

	Allow passing base resolution, drop size, and such on the command line.

2008-02-02	<rlk@sourceforge.net>

	Files:	src/main/dither-ordered.c (1.27) (+15 -9)

	In segmented mode, treat the lowest order segment (corresponding to
	output value of 0) as normal ordered dither.

2008-01-31	<m0m@sourceforge.net>

	Files:	src/gutenprintui2/plist.c (1.17) (+10 -10)

	- printer queue list was queried by grep|awk|sed and grep|sed colons;
	  changed to awk only

2008-01-30	<rlk@sourceforge.net>

	Files:	src/gutenprintui2/plist.c (1.16) (+14 -2)

	Reset LC_MESSAGES and LANG in addition to LC_ALL to ensure that lpstat
	doesn't translate messages.

2008-01-30	<rlk@sourceforge.net>

	Files:	src/gutenprintui2/plist.c (1.15) (+5 -2)

	Explain why it's important to use lpstat -v rather than lpstat -t or
	lpstat -p, which in some ways are easier to parse.

2008-01-27	<rlk@sourceforge.net>

	Files:	src/testpattern/testpattern.c (1.48) (+227 -217)
		src/testpattern/testpattern.h (1.17) (+7 -6)
		src/testpattern/testpatternl.l (1.19) (+3 -2)
		src/testpattern/testpatterny.y (1.30) (+81 -70)

	Allow floats to be input without decimal point

2008-01-27	<rlk@sourceforge.net>

	Files:	test/unprint.c (1.39) (+2 -2)

	Fix determination of multiple drop size status.

2008-01-26	<rlk@sourceforge.net>

	Files:	src/main/print-pcl.c (1.149) (+4 -4)

	Fix definitions of adjustable guide trays.

2008-01-26	<rlk@sourceforge.net>

	Files:	src/main/dither-impl.h (1.31) (+3 -2)
		src/main/dither-main.c (1.58) (+7 -2)
		src/main/dither-ordered.c (1.26) (+75 -1)

	Add drop size segmented dither algorithm

2008-01-25	<rlk@sourceforge.net>

	Files:	src/main/print-color.c (1.139) (+2 -2)

	Fix silly typo

2008-01-22	<rlk@sourceforge.net>

	Files:	src/gutenprintui2/gutenprintui-internal.h (1.5) (+3 -1)
		src/gutenprintui2/panel.c (1.17) (+120 -115)

	Add reset buttons to individual settings

2008-01-22	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.385) (+47 -1)

	Expose actual (per-paper and printer) GCR settings.

2008-01-21	<rlk@sourceforge.net>

	Files:	src/main/printers.c (1.83) (+15 -20)

	Speed up stp_init

2008-01-21	<rlk@sourceforge.net>

	Files:	include/gutenprint/curve.h (1.2) (+23 -4)
		include/gutenprint/sequence.h (1.2) (+23 -3)
		src/gutenprintui2/gutenprintui-internal.h (1.4) (+11 -1)
		src/gutenprintui2/panel.c (1.16) (+188 -2)
		src/main/color-conversion.h (1.12) (+1 -3)
		src/main/curve.c (1.53) (+44 -1)
		src/main/print-color.c (1.138) (+74 -1)
		src/main/sequence.c (1.25) (+29 -1)
		test/curve.c (1.23) (+64 -1)

	Add ability to dump out LUT state (curves and such).  This is a prototype.

	Add ability to reverse curves and sequences.  Still needs tests.

2008-01-19	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.74) (+113 -113)
		src/main/print-escp2.c (1.384) (+443 -18)
		src/main/print-escp2.h (1.117) (+6 -4)

	Add drop size parameters.

	Add light ink values.

	Add real light ink transition (cutoff) parameters and rename existing
	cutoff parameters to "scale" (i. e. density scale).

2008-01-15	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.141) (+3 -2)

	Fix valgrind issue

2008-01-15	<rlk@sourceforge.net>

	Files:	include/gutenprint/paper.h (1.2) (+12 -2)
		src/main/papers.xml (1.27) (+169 -1)
		src/main/print-escp2-data.c (1.236) (+259 -173)
		src/main/print-escp2.c (1.383) (+14 -1)
		src/main/print-escp2.h (1.116) (+10 -3)
		src/main/print-papers.c (1.38) (+15 -2)
		src/main/print-pcl.c (1.148) (+50 -9)

	Flag envelope paper sizes so that drivers can treat them specially.
	This mechanism is extensible.

	Add landscape equivalents for all envelope sizes.

	Flag Epson printers that are supposed to print envelopes in landscape mode.

	Fix margins for PCL printers for paper trays with movable guides.

2008-01-13	<rlk@sourceforge.net>

	Files:	src/main/printers.c (1.82) (+7 -8)

	Fix a few warnings

2008-01-13	<rlk@sourceforge.net>

	Files:	NEWS (1.352) (+30 -2)
		README (1.182) (+5 -5)
		configure.ac (1.174) (+3 -3)
		src/foomatic/foomatic-printermap (1.162) (+18 -0)
		src/main/printers.xml (1.220) (+19 -1)

	Add some new Epson printers; bump version

2008-01-07	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.42) (+1 -1)

	Fix printing for the PIXMA iP4500

2008-01-06	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.235) (+2 -2)

	The C120 does work at 5760x2880, but the bottom can be a bit fuzzy
	(same issue as with other printers for which we've enabled
	5760x2880).  So let's enable it here.

2008-01-05	<rlk@sourceforge.net>

	Files:	src/gutenprintui2/plist.c (1.14) (+7 -2)

	Set locale to C when calling external programs

2008-01-03	<faust3@sourceforge.net>

	Files:	src/main/print-canon.c (1.223) (+6 -1)

	also call canon_end_job when in Page mode

===============================================================================
Name: gutenprint-5_1_6

2008-01-02	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.120) (+4 -4)

	Don't print the command line options on a single line in the debug output.

2007-12-31	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.119) (+129 -105)

	Improve debug error message output

2007-12-31	<rlk@sourceforge.net>

	Files:	NEWS (1.351) (+2 -2)

	Prep for 5.1.6.

2007-12-31	<rlk@sourceforge.net>

	Files:	NEWS (1.350) (+36 -12)
		README (1.181) (+5 -5)
		configure.ac (1.173) (+3 -3)

	Prep for 5.1.6

2007-12-31	<rlk@sourceforge.net>

	Files:	src/main/buffer-image.c (1.2) (+3 -0)

	[ 1844169 ] Severe per-page memory leak w/Canon driver, DuplexNoTumble

2007-12-31	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.11) (+32 -6)
		src/testpattern/testpattern.c (1.47) (+120 -8)

	Test duplex and tumble by default, using multiple pages.

	Allow -p option to specify use of multiple pages.

	Correctly generate all data (fix some valgrind problems).

2007-12-30	<rlk@sourceforge.net>

	Files:	src/main/dither-ordered.c (1.25) (+11 -28)

	The top and bottom of each range can be computed trivially from the
	fraction at which we start using larger drops.

2007-12-30	<rlk@sourceforge.net>

	Files:	src/main/dither-ordered.c (1.24) (+88 -115)

	Simplify the calculations somewhat (and get better results).

2007-12-30	<rlk@sourceforge.net>

	Files:	src/main/escp2-driver.c (1.38) (+2 -2)

	Fix compile problem on OS X.

===============================================================================
Name: gutenprint-5_1_5

2007-12-29	<rlk@sourceforge.net>

	Files:	po/cs.po (1.44) (+1184 -1115)
		po/da.po (1.79) (+1187 -1115)
		po/de.po (1.58) (+1184 -1115)
		po/el.po (1.59) (+1185 -1115)
		po/en_GB.po (1.150) (+1187 -1115)
		po/es.po (1.57) (+1185 -1115)
		po/fr.po (1.84) (+1187 -1115)
		po/hu.po (1.15) (+1187 -1115)
		po/ja.po (1.53) (+1185 -1115)
		po/nb.po (1.20) (+1185 -1115)
		po/nl.po (1.62) (+1187 -1115)
		po/pl.po (1.63) (+1184 -1115)
		po/pt.po (1.58) (+1185 -1115)
		po/sk.po (1.62) (+1185 -1115)
		po/sv.po (1.89) (+1187 -1116)
		po/zh_TW.po (1.18) (+1185 -1115)

	Gutenprint 5.1.5 release

2007-12-29	<rlk@sourceforge.net>

	Files:	Makefile.am (1.150) (+35 -35)

	Remove GNU make-ism.

2007-12-28	<rlk@sourceforge.net>

	Files:	src/main/dither-ordered.c (1.23) (+9 -3)

	Correctly handle cases where some channels have multiple drop sizes
	but others don't.

2007-12-28	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.10) (+20 -8)

	Allow overriding the default settings for dither algorithm and color
	correction.

2007-12-28	<faust3@sourceforge.net>

	Files:	src/main/printers.xml (1.219) (+7 -2)

	tweak PIXMA iP4200 patch by Piotr Stachura <albert1 at autocom.pl>

2007-12-28	<rlk@sourceforge.net>

	Files:	NEWS (1.349) (+13 -4)
		src/foomatic/foomatic-printermap (1.161) (+1 -0)
		src/main/printers.xml (1.218) (+2 -1)

	Add Sharp AR-M257

2007-12-28	<rlk@sourceforge.net>

	Files:	src/main/dither-impl.h (1.30) (+4 -3)
		src/main/dither-main.c (1.57) (+3 -1)
		src/main/dither-ordered.c (1.22) (+280 -2)

	Add Ordered New dither

2007-12-28	<faust3@sourceforge.net>

	Files:	NEWS (1.348) (+3 -0)

	updated news

2007-12-28	<faust3@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.160) (+1 -0)
		src/main/canon-inks.h (1.21) (+1 -1)
		src/main/canon-modes.h (1.30) (+6 -0)
		src/main/canon-printers.h (1.41) (+12 -0)
		src/main/print-canon.c (1.222) (+4 -1)
		src/main/printers.xml (1.217) (+2 -1)

	untested support for the PIXMA iP8500 (#1703011)

2007-12-28	<faust3@sourceforge.net>

	Files:	AUTHORS (1.24) (+3 -0)

	added Piotr Stachura to authors

2007-12-28	<faust3@sourceforge.net>

	Files:	src/main/print-canon.c (1.221) (+57 -36)

	also use the hsv maps from the printmode based on patch by Piotr Stachura <albert1 at autocom.pl>

2007-12-28	<faust3@sourceforge.net>

	Files:	src/main/canon-modes.h (1.29) (+32 -2)
		src/main/canon-printers.h (1.40) (+48 -3)

	hsv adjustment curves for the Canon PIXMA iP4200 patch by Piotr Stachura <albert1 at autocom.pl>

2007-12-28	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.118) (+5 -5)

	CUPS seems to swallow the startup messages if they're INFO.

2007-12-27	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.117) (+11 -5)

	Emit simple informational messages that will help us debug problems in
	the CUPS driver.

2007-12-27	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.83) (+2 -2)

	Fix for ES series printers, from pizza@shaftnet.org

2007-12-27	<rlk@sourceforge.net>

	Files:	NEWS (1.347) (+78 -12)
		README (1.180) (+5 -5)
		configure.ac (1.172) (+3 -3)

	Prep for 5.1.5

2007-12-27	<rlk@sourceforge.net>

	Files:	src/main/escp2-inks.c (1.60) (+6 -6)
		src/main/escp2-papers.c (1.107) (+14 -14)
		src/main/print-escp2-data.c (1.234) (+3 -3)

	Improve tuning for C120

2007-12-26	<rlk@sourceforge.net>

	Files:	src/main/dither-impl.h (1.29) (+3 -4)
		src/main/dither-main.c (1.56) (+1 -3)
		src/main/dither-ordered.c (1.21) (+2 -88)
		src/main/papers.xml (1.26) (+0 -18)
		src/main/print-papers.c (1.37) (+0 -5)
		src/main/print-weave.c (1.68) (+29 -29)

	Back out unintended commit

2007-12-26	<rlk@sourceforge.net>

	Files:	src/main/dither-impl.h (1.28) (+4 -3)
		src/main/dither-main.c (1.55) (+3 -1)
		src/main/dither-ordered.c (1.20) (+88 -2)
		src/main/escp2-channels.c (1.73) (+14 -1)
		src/main/papers.xml (1.25) (+19 -1)
		src/main/print-escp2-data.c (1.233) (+89 -89)
		src/main/print-escp2.c (1.382) (+9 -2)
		src/main/print-escp2.h (1.115) (+7 -2)
		src/main/print-papers.c (1.36) (+6 -1)
		src/main/print-weave.c (1.67) (+30 -30)

	Fix escputil issues with Claria and interchangeable cartridge printers

2007-12-26	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.92) (+24 -17)

	Distinguish between ink cartridge and ink color, and print the ink
	color correctly on printers that offer multiple choices.

2007-12-26	<rlk@sourceforge.net>

	Files:	src/escputil/d4lib.c (1.9) (+2 -2)

	Be a bit less conservative with the timings (this is still 5x longer
	than previous).

2007-12-26	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.72) (+13 -1)
		src/main/print-escp2-data.c (1.232) (+2 -2)

	Fix escputil for C120

2007-12-26	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.91) (+6 -5)

	Handle newer printers with 4-byte ink status.

2007-12-26	<rlk@sourceforge.net>

	Files:	src/escputil/d4lib.c (1.8) (+3 -2)

	Improve reliability by increasing timeouts.

2007-12-26	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.71) (+2 -2)
		src/main/escp2-inks.c (1.59) (+29 -1)
		src/main/escp2-papers.c (1.106) (+92 -1)
		src/main/print-escp2-data.c (1.231) (+9 -6)

	First pass tuning for C120

2007-12-25	<rlk@sourceforge.net>

	Files:	src/main/escp2-channels.c (1.70) (+2 -2)
		src/main/print-escp2-data.c (1.230) (+6 -4)

	Make borderless work on C120.  Fix a few other problems.  Still not tuned.

2007-12-25	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.34) (+30 -26)

	Improve performance of cups-genppdupdate.

2007-12-24	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.159) (+4 -0)
		src/main/escp2-channels.c (1.69) (+244 -105)
		src/main/escp2-driver.c (1.37) (+71 -25)
		src/main/print-escp2-data.c (1.229) (+22 -1)
		src/main/print-escp2.c (1.381) (+57 -3)
		src/main/print-escp2.h (1.114) (+11 -5)
		src/main/printers.xml (1.216) (+5 -1)

	Preliminary support for Epson C110, C120, D120, PX-V780.  Untuned.

2007-12-24	<faust3@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.158) (+1 -0)
		src/main/canon-printers.h (1.39) (+2 -2)
		src/main/printers.xml (1.215) (+2 -1)

	support for the PIXMA MP610

2007-12-24	<rlk@sourceforge.net>

	Files:	src/main/Makefile.am (1.98) (+2 -2)
		src/main/mark.c (1.5) (removed)
		src/main/page.c (1.4) (removed)
		src/main/ppd.c (1.6) (removed)
		src/main/ppd.h (1.5) (removed)
		src/main/print-ps.c (1.99) (+121 -184)
		src/main/xmlppd.c (1.2) (+3 -3)
		src/main/xmlppd.h (1.2) (+2 -2)

	Replace Postscript PPD back end with XML-based one that's GPL2+.

2007-12-24	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.116) (+3 -3)

	Replace 'index' with the more portable 'strchr'.

2007-12-24	<rlk@sourceforge.net>

	Files:	src/main/xmlppd.c (1.1) (added)
		src/main/xmlppd.h (1.1) (added)

	First checkin of replacement PPD code (compiles, does not run successfully)

2007-12-23	<faust3@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.157) (+1 -0)
		src/main/canon-modes.h (1.28) (+7 -0)
		src/main/canon-printers.h (1.38) (+12 -0)
		src/main/printers.xml (1.214) (+2 -1)

	added support for Canon i80 (as reported in #1547011 it is similar to the BJC7100)

2007-12-23	<easysw@sourceforge.net>

	Files:	src/cups/command.types (1.2) (+13 -21)
		src/cups/commandtoepson.c (1.3) (+13 -21)
		src/cups/cups-calibrate.c (1.6) (+11 -19)
		src/cups/genppd.c (1.140) (+12 -20)
		src/cups/rastertoprinter.c (1.115) (+12 -20)

	Update license text...

2007-12-23	<faust3@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.156) (+1 -0)
		src/main/canon-inks.h (1.20) (+15 -0)
		src/main/canon-modes.h (1.27) (+6 -0)
		src/main/canon-printers.h (1.37) (+12 -0)
		src/main/print-canon.c (1.220) (+10 -4)
		src/main/printers.xml (1.213) (+2 -1)

	untested support for the PIXMA Pro9500 (#1849699)

2007-12-23	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.36) (+12 -0)
		src/main/printers.xml (1.212) (+2 -2)

	does the iP4500 only work with CANON_CAP_I ? still waiting for confirmation

2007-12-16	<rlk@sourceforge.net>

	Files:	configure.ac (1.171) (+8 -5)

	Add AM_PROG_CC_C_O and improve some messages.

2007-12-13	<rlk@sourceforge.net>

	Files:	src/main/mark.c (1.4) (+17 -15)
		src/main/page.c (1.3) (+17 -15)
		src/main/ppd.c (1.5) (+17 -22)
		src/main/ppd.h (1.4) (+17 -22)

	[ 1848308 ] LICENSE.txt file missing

2007-12-12	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.3) (+3 -6)

	Select pages from user manual rather than using saved PDF.

2007-12-11	<rlk@sourceforge.net>

	Files:	src/cups/test-rastertogutenprint.in (1.2) (+8 -4)

	Try to make it work on OS X.

2007-12-11	<rlk@sourceforge.net>

	Files:	configure.ac (1.170) (+4 -2)
		src/cups/Makefile.am (1.94) (+4 -3)
		src/cups/genppd.c (1.139) (+7 -2)
		src/cups/rastertoprinter.c (1.114) (+162 -91)
		src/cups/test-rastertogutenprint.in (1.1) (added)

	Add test for CUPS driver

2007-12-10	<rlk@sourceforge.net>

	Files:	NEWS (1.346) (+3 -2)

	Fix typo

2007-12-09	<rlk@sourceforge.net>

	Files:	src/main/print-olympus.c (1.82) (+3 -3)

	Fix page sizes to not cause PPD files to blow out.

2007-12-09	<rlk@sourceforge.net>

	Files:	src/main/printers.xml (1.211) (+16 -16)

	Change "Okidata" to "Oki" to fit PPD spec.

===============================================================================
Name: gutenprint-5_1_4

2007-12-09	<rlk@sourceforge.net>

	Files:	po/cs.po (1.43) (+1179 -1748)
		po/da.po (1.78) (+1791 -1819)
		po/de.po (1.57) (+1184 -1761)
		po/el.po (1.58) (+1178 -1748)
		po/en_GB.po (1.149) (+1790 -1818)
		po/es.po (1.56) (+1179 -1748)
		po/fr.po (1.83) (+1791 -1819)
		po/hu.po (1.14) (+1790 -1819)
		po/ja.po (1.52) (+1179 -1748)
		po/nb.po (1.19) (+1178 -1747)
		po/nl.po (1.61) (+1791 -1819)
		po/pl.po (1.62) (+1178 -1748)
		po/pt.po (1.57) (+1179 -1748)
		po/sk.po (1.61) (+1179 -1748)
		po/sv.po (1.88) (+1792 -1823)
		po/zh_TW.po (1.17) (+2812 -2887)

	Gutenprint 5.1.4 release

2007-12-09	<rlk@sourceforge.net>

	Files:	src/ghost/ijsgutenprint.c (1.19) (+3 -3)

	Replace free with stp_free when paired with stp_malloc.

2007-12-08	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.113) (+4 -2)

	Fix a small memory leak.

2007-12-08	<rlk@sourceforge.net>

	Files:	README (1.179) (+4 -4)

	One more change.

2007-12-08	<rlk@sourceforge.net>

	Files:	README (1.178) (+4 -4)

	One more change.

2007-12-08	<rlk@sourceforge.net>

	Files:	README (1.177) (+3 -0)

	One more change

2007-12-08	<rlk@sourceforge.net>

	Files:	Makefile.am (1.149) (+3 -3)
		README (1.176) (+20 -19)
		configure.ac (1.169) (+4 -2)

	Some patches from Greg Troxel

2007-12-07	<faust3@sourceforge.net>

	Files:	NEWS (1.345) (+1 -0)
		src/foomatic/foomatic-printermap (1.155) (+1 -0)
		src/main/printers.xml (1.210) (+2 -1)

	experimental support for the Canon PIXMA iP4500

2007-12-07	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.112) (+8 -8)

	Improve debugging output a bit

2007-12-05	<rlk@sourceforge.net>

	Files:	NEWS (1.344) (+4 -1)

	Clarify issue with CUPS driver.

2007-12-02	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern (1.22) (+2 -2)
		src/testpattern/run-testpattern-1 (1.9) (+2 -2)
		test/run-testdither (1.12) (+2 -2)

	Unify valgrind options across all tests

2007-12-02	<rlk@sourceforge.net>

	Files:	NEWS (1.343) (+4 -1)

	Clarify PPD file change

2007-12-02	<rlk@sourceforge.net>

	Files:	NEWS (1.342) (+21 -3)

	Add note to packagers to release notes also.

2007-12-02	<rlk@sourceforge.net>

	Files:	README (1.175) (+19 -0)

	Add note to packagers about development releases.

2007-12-02	<rlk@sourceforge.net>

	Files:	NEWS (1.341) (+14 -14)

	Note OS X 10.5.

2007-12-02	<rlk@sourceforge.net>

	Files:	NEWS (1.340) (+13 -13)
		README (1.174) (+37 -39)
		configure.ac (1.168) (+4 -4)

	Change "the GIMP" to "GIMP".

2007-12-02	<rlk@sourceforge.net>

	Files:	src/gutenprintui2/Makefile.am (1.7) (+3 -1)
		src/testpattern/Makefile.am (1.27) (+3 -1)

	Packaging fix from Greg Troxel

2007-12-02	<rlk@sourceforge.net>

	Files:	src/main/gutenprint.pc.in (1.3) (+1 -1)

	Packaging fix from Greg Troxel.

2007-11-24	<rlk@sourceforge.net>

	Files:	NEWS (1.339) (+31 -7)

	Updates

2007-11-24	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern-2.in (1.9) (+12 -6)

	Make MD5 output look like it's actually come from the files.

2007-11-24	<rlk@sourceforge.net>

	Files:	src/testpattern/Makefile.am (1.26) (+2 -2)
		src/testpattern/run-testpattern-1 (1.8) (+4 -4)
		src/testpattern/run-testpattern-2.in (1.8) (+56 -32)
		src/testpattern/testpattern.c (1.46) (+38 -9)

	Fold dither algorithm testing into run-testpattern-2.

	Print better messages from run-testpattern-1.

	Allow testpattern to send output to a command rather than just a file.

	Change -m option to take an optional argument (for saving md5 sums) and
	to use testpattern command output to generate md5 sums (for performance).

2007-11-24	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.138) (+15 -9)
		src/cups/test-ppds (1.3) (+16 -52)

	Make the default resolution appear square to external programs.

	Re-enable the PPD check.

2007-11-23	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.33) (+9 -8)

	Eliminate incorrect nested $_.

2007-11-23	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.137) (+9 -25)

	Eliminate use of non-compliant PPD resolutions altogether.

2007-11-23	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.32) (+55 -7)
		src/cups/genppd.c (1.136) (+28 -2)

	Map Gutenprint resolution names to valid PPD resolution names

2007-11-23	<rlk@sourceforge.net>

	Files:	po/fr.po (1.82) (+6 -6)

	Shorten translations slightly for PPD compliance.

2007-11-23	<rlk@sourceforge.net>

	Files:	po/nl.po (1.60) (+6 -6)

	Fix a few punctuation problems.

2007-11-21	<rlk@sourceforge.net>

	Files:	src/testpattern/run-testpattern (1.21) (+25 -7)
		src/testpattern/run-testpattern-1 (1.7) (+33 -10)
		src/testpattern/run-testpattern-2.in (1.7) (+18 -2)
		src/testpattern/testpattern.c (1.45) (+18 -2)
		src/testpattern/testpattern.h (1.16) (+3 -1)
		src/testpattern/testpatternl.l (1.18) (+2 -1)
		src/testpattern/testpatterny.y (1.29) (+21 -2)

	Allow test pattern generator to output data to a file.

2007-11-20	<m0m@sourceforge.net>

	Files:	src/main/print-olympus.c (1.81) (+3 -3)
		src/main/printers.xml (1.209) (+4 -4)

	support for Canon ES series (patch#2 from Solomon Peachy <pizza@shaftnet.org>)

2007-11-17	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.228) (+2 -2)
		src/main/print-escp2.c (1.380) (+10 -2)
		src/main/print-escp2.h (1.113) (+3 -2)

	1831542 Borderless regression (5.0.1, 5.1.3) on Epson 2200

2007-11-17	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.31) (+14 -4)

	Don't die if we can't upgrade a particular PPD file.

2007-11-11	<m0m@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.154) (+3 -0)
		src/main/print-olympus.c (1.80) (+59 -1)
		src/main/printers.xml (1.208) (+4 -1)

	support for Canon ES series (patch from Solomon Peachy <pizza@shaftnet.org>)

2007-11-10	<faust3@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.153) (+1 -0)
		src/main/canon-inks.h (1.19) (+17 -0)
		src/main/canon-modes.h (1.26) (+4 -0)
		src/main/canon-printers.h (1.35) (+12 -0)
		src/main/printers.xml (1.207) (+2 -1)

	support for the Canon PIXMA iP5300 (untested)

2007-10-27	<faust3@sourceforge.net>

	Files:	src/main/canon-media.h (1.10) (+24 -30)

	remove support qualities from the various media types
	they seems to be different for every printer and I don't want to maintain
	a per printer paperlist

2007-10-27	<faust3@sourceforge.net>

	Files:	src/main/canon-inks.h (1.18) (+39 -9)

	document where we found the iP4000 inksets

2007-10-27	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.34) (+13 -12)

	the new default printer in case the printers.xml entry for a printer is invalid is now the mp830 as the previous default S200 uses special printmodes

2007-10-27	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.33) (+34 -35)

	remove the now obsolete model code from the printer caps

2007-10-27	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.32) (+2 -2)
		src/main/print-canon.c (1.219) (+47 -10)
		src/main/printers.xml (1.206) (+35 -35)

	Systematic model_id assignment for Canon printers
	model_id is now family followed by the model nr
	FNNNNNN

	family can be
	0 for the old BJC printers
	1 for the S-Series
	2 for the i-Series
	3 for the PIXMA iP-Series
	4 for the PIXMA iX-Series
	5 for the PIXMA MP-Series
	6 for the PIXUS-Series

	So for example Canon S200 would be 1000200

	The entry for the MP710 in the printer caps has been renamed to MP740
	as it changed over time

2007-10-27	<faust3@sourceforge.net>

	Files:	src/main/print-canon.c (1.218) (+9 -9)

	use printer names for the special printer handling

2007-10-27	<faust3@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.152) (+3 -0)

	added Canon BJC5100,5500,8500

2007-10-27	<faust3@sourceforge.net>

	Files:	src/main/canon-modes.h (1.25) (+1 -1)

	Get rid of
	bjc-s500
	    BW+600x600dpi_draft`PhotoCMY' is not a valid InkType
	Print options not verified; cannot print.

2007-10-27	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.31) (+35 -34)

	add a name for every printer to the printer caps

2007-10-27	<faust3@sourceforge.net>

	Files:	src/main/printers.xml (1.205) (+4 -1)

	add some more printers that were already present in canon-printers.h (BCJ 5100,5500,8500) no idea about their state

2007-10-26	<faust3@sourceforge.net>

	Files:	src/main/canon-modes.h (1.24) (+3 -2)

	disable high mode for S500 as it does not produce black, reenable 300dpi mode

2007-10-24	<faust3@sourceforge.net>

	Files:	src/main/canon-inks.h (1.17) (+12 -0)
		src/main/canon-modes.h (1.23) (+6 -1)
		src/main/canon-printers.h (1.30) (+12 -0)
		src/main/printers.xml (1.204) (+2 -2)

	first attempt to support more modes on the Canon S500

2007-10-23	<faust3@sourceforge.net>

	Files:	src/main/canon-modes.h (1.22) (+2 -1)
		src/main/printers.xml (1.203) (+2 -2)

	another attempt to fix printing on the MP710 and 300dpi support for the iP3000 and similar printers

2007-10-18	<m0m@sourceforge.net>

	Files:	src/main/print-olympus.c (1.79) (+7 -6)

	bugfix: wrong color for Olympus P-S100 reported in  Support Requests-1527186
		- RGB data was generated instead of BGR
		- bug also affected Olympus P-440

2007-10-18	<m0m@sourceforge.net>

	Files:	src/main/print-olympus.c (1.78) (+3 -1)

	bugfix: added missing part of init string for Sony UP DP-10

2007-10-17	<m0m@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.151) (+1 -1)
		src/main/printers.xml (1.202) (+2 -2)

	typo shinco -> shinko

2007-10-17	<m0m@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.150) (+1 -0)
		src/main/print-olympus.c (1.77) (+71 -1)
		src/main/printers.xml (1.201) (+2 -1)

	experimental support for Shinko CHC S9045

2007-10-17	<m0m@sourceforge.net>

	Files:	src/main/print-olympus.c (1.76) (+25 -14)

	fixing the bug: privdata contains "unrotated" dimensions after switching to
		landscape mode

2007-10-17	<m0m@sourceforge.net>

	Files:	src/main/print-olympus.c (1.75) (+101 -101)

	rename x* and y* variables to h* and w* (height, width) for better readability

2007-10-16	<faust3@sourceforge.net>

	Files:	src/main/printers.xml (1.200) (+2 -2)

	fix printing on the MP710

2007-10-06	<faust3@sourceforge.net>

	Files:	src/main/printers.xml (1.199) (+7 -7)

	fix spaces

2007-10-01	<m0m@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.149) (+4 -0)
		src/main/print-olympus.c (1.74) (+3 -2)
		src/main/printers.xml (1.198) (+5 -1)

	printers compatible with Canon SELPHY CP-710

2007-09-24	<rlk@sourceforge.net>

	Files:	NEWS (1.338) (+212 -8)
		src/foomatic/foomatic-printermap (1.148) (+0 -177)
		src/main/printers.xml (1.197) (+1 -178)

	Remove support for printers supported by HPIJS

2007-09-23	<faust3@sourceforge.net>

	Files:	src/main/printers.xml (1.196) (+8 -2)

	improve color quality for the PIXMA iX5000, values by Tony Zitaret <tony_zitaret at yahoo.com>

2007-09-23	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.29) (+2 -2)
		src/main/print-canon.c (1.217) (+3 -3)

	fix margins for the BJC 3000 patch by David Keegan <dksw at users.sourceforge.net> (#794600)

2007-09-22	<faust3@sourceforge.net>

	Files:	test/pixma_parse.c (1.14) (+21 -7)

	add -x param to specify the maximum width of the output ppm

2007-09-20	<faust3@sourceforge.net>

	Files:	src/main/printers.xml (1.195) (+2 -2)

	decrease gamma for iP4000 and friends to 1/0.6
	fixes #1687853
	and maybe #101537 (ubuntu #120016 and #135311)

2007-09-19	<faust3@sourceforge.net>

	Files:	src/main/print-canon.c (1.216) (+2 -2)

	Fix a bug where the canon driver would silently discard some lines when the
	bitdepth is 2 or higher.
	hopefully fixes #101537
	not sure because this bug was very hard to trigger:
	  the whole imageable area had to be filled with maximum color intensity
	(ubuntu #120016 and #135311)

2007-09-19	<faust3@sourceforge.net>

	Files:	src/main/print-canon.c (1.215) (+3 -4)

	no need to pass ydpi to canon_write

2007-09-18	<faust3@sourceforge.net>

	Files:	NEWS (1.337) (+1 -0)
		src/foomatic/foomatic-printermap (1.147) (+1 -0)
		src/main/printers.xml (1.194) (+2 -1)

	according to Rob klein Gunnewieck <rob.kleingunnewiek at nl.simpc.com> the MP180 works with the MP150 driver, too

2007-09-12	<rlk@sourceforge.net>

	Files:	NEWS (1.336) (+1 -0)
		src/foomatic/foomatic-printermap (1.146) (+1 -0)
		src/main/printers.xml (1.193) (+2 -1)

	Support Epson DX4050

2007-09-12	<faust3@sourceforge.net>

	Files:	NEWS (1.335) (+1 -0)
		src/foomatic/foomatic-printermap (1.145) (+1 -0)
		src/main/printers.xml (1.192) (+2 -1)

	according to Rob klein Gunnewieck <rob.kleingunnewiek at nl.simpc.com> the Canon Pixma MP170 works with the MP150 driver

2007-09-09	<rlk@sourceforge.net>

	Files:	include/gutenprint/util.h (1.6) (+3 -2)
		src/cups/genppd.c (1.135) (+26 -24)
		src/cups/rastertoprinter.c (1.111) (+25 -14)
		src/main/mark.c (1.3) (+3 -3)
		src/main/ppd.c (1.4) (+80 -47)
		src/main/ppd.h (1.3) (+14 -2)
		src/main/print-ps.c (1.98) (+143 -31)

	Use Gutenprint option data where available rather than PPD file
	enumerations.

2007-09-09	<rlk@sourceforge.net>

	Files:	NEWS (1.334) (+33 -9)

	Updates

2007-09-09	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.144) (+5 -0)
		src/main/printers.xml (1.191) (+7 -2)

	Add Epson CX4900, CX5600, CX7400, CX9400, RX595.  Correct definition
	of CX6300 for borderless mode.

2007-09-02	<rlk@sourceforge.net>

	Files:	NEWS (1.333) (+9 -0)
		src/main/escp2-resolutions.c (1.43) (+5 -5)
		src/main/print-escp2.c (1.379) (+20 -13)

	Do not offer resolutions above 5760x1440 for quality settings on Epson
	printers.  Experiments have demonstrated that the bottom of the page
	prints poorly at 2880x2880 and 5760x2880 on many printers, and Epson
	does not currently offer resolutions above 5760x1440 on any printers.
	See bug 1700313.

2007-09-02	<rlk@sourceforge.net>

	Files:	src/main/print-util.c (1.115) (+14 -6)

	Don't lose debug information if the client hasn't set an errfunc in
	the stp_vars_t; print it to stderr instead.

2007-09-02	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.110) (+10 -5)

	Take care to explicitly flush all data, including the job end data, at
	the end of a job.

2007-09-02	<faust3@sourceforge.net>

	Files:	src/main/canon-modes.h (1.21) (+63 -62)
		src/main/print-canon.c (1.214) (+5 -3)

	add per printmode quality option

2007-08-29	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.28) (+1 -1)
		src/main/print-canon.c (1.213) (+13 -1)

	support for the ESC P) command on the iP4200 patch by Piotr Stachura <albert1 at autocom.pl>

2007-08-29	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.27) (+9 -3)

	control commands for the PIXMA iP4200 from a patch by Piotr Stachura <albert1 at autocom.pl>

2007-08-29	<faust3@sourceforge.net>

	Files:	src/main/canon-inks.h (1.16) (+25 -0)
		src/main/canon-modes.h (1.20) (+6 -1)

	300dpi and 300dpi draft mode for the pixma iP4200, based on patch by Piotr Stachura <albert1 at autocom.pl>

2007-08-29	<faust3@sourceforge.net>

	Files:	src/main/canon-modes.h (1.19) (+6 -0)
		src/main/canon-printers.h (1.26) (+12 -0)
		src/main/printers.xml (1.190) (+2 -2)

	disable not working 1200x600 mode for the Canon i560 (#1732870)

2007-08-29	<faust3@sourceforge.net>

	Files:	src/main/print-color.c (1.137) (+2 -2)

	buffer length for stp_image_get_row needs to honor the channel_depth (fixes #1754691)

2007-08-28	<faust3@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.143) (+1 -0)
		src/main/canon-inks.h (1.15) (+25 -0)
		src/main/canon-modes.h (1.18) (+5 -0)
		src/main/canon-printers.h (1.25) (+12 -0)
		src/main/printers.xml (1.189) (+2 -1)

	support for the Canon PIXMA iX5000 (untested)

2007-08-27	<rlk@sourceforge.net>

	Files:	src/main/print-pcl.c (1.147) (+1 -3)

	Don't print gratuitous message about duplex not being available.

2007-08-27	<rlk@sourceforge.net>

	Files:	NEWS (1.332) (+5 -4)
		include/gutenprint/printers.h (1.4) (+15 -2)
		src/gutenprintui2/panel.c (1.15) (+71 -1)
		src/gutenprintui2/plist.c (1.13) (+37 -8)
		src/main/print-canon.c (1.212) (+3 -2)
		src/main/print-escp2.c (1.378) (+4 -3)
		src/main/print-lexmark.c (1.155) (+2 -1)
		src/main/print-olympus.c (1.73) (+2 -1)
		src/main/print-pcl.c (1.146) (+2 -1)
		src/main/print-ps.c (1.97) (+106 -8)
		src/main/print-raw.c (1.39) (+2 -1)
		src/main/printers.c (1.81) (+12 -1)

	Send device settings to print command for Postscript driver

2007-08-27	<rlk@sourceforge.net>

	Files:	src/cups/rastertoprinter.c (1.109) (+3 -3)

	Accept "true" as well as "True" for boolean options -- it appears that
	in at least some cases CUPS is sending "true" rather than "True".

2007-08-27	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.30) (+2 -2)

	Support PPD file upgrading only from Gutenprint 5.0 and beyond.

2007-08-24	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.90) (+14 -32)

	A few more fixes per Matt Broughton.

2007-08-19	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.89) (+61 -47)

	Recognize -m option for all subcommands.

2007-08-11	<rlk@sourceforge.net>

	Files:	NEWS (1.331) (+12 -0)

	Add updates.

2007-08-11	<rlk@sourceforge.net>

	Files:	NEWS (1.330) (+23 -16)
		README (1.173) (+2 -2)
		configure.ac (1.167) (+3 -3)
		src/foomatic/foomatic-printermap (1.142) (+1 -0)
		src/main/printers.xml (1.188) (+2 -1)

	Support Epson CX4400.

	Bump version.

2007-08-07	<rlk@sourceforge.net>

	Files:	src/main/papers.xml (1.24) (+3 -3)

	Change CD - Custom to 120 mm rather than 118.8 mm.

2007-08-05	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.141) (+1 -0)
		src/main/printers.xml (1.187) (+2 -1)

	Add HP LJ1022

2007-06-28	<faust3@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.140) (+2 -0)
		src/main/canon-printers.h (1.24) (+12 -0)
		src/main/printers.xml (1.186) (+3 -3)

	add mp710 and 740 to foomatic printermap, add extra entry for the mp710 and mp740 as they do not have duplex support

2007-06-28	<faust3@sourceforge.net>

	Files:	src/main/print-canon.c (1.211) (+2 -2)

	always force unit to 600 for the extended p command, fixes borders for the 300dpi mode of the iP4000

2007-06-28	<faust3@sourceforge.net>

	Files:	src/main/printers.xml (1.185) (+4 -2)

	add Canon MP710 and MP740 printers that, according to Gernot Hassenpflug, should work with the iP4000 driver, make the i560 printer use the BJC7000 driver

2007-06-21	<rlk@sourceforge.net>

	Files:	src/foomatic/foomatic-printermap (1.139) (+1 -0)
		src/main/printers.xml (1.184) (+2 -1)

	Add Epson PM-670C.

2007-06-21	<rlk@sourceforge.net>

	Files:	src/main/sequence.c (1.24) (+24 -5)

	Fix a compile problem on Solaris (reported by Norm Jacobs).

===============================================================================
Name: gutenprint-5_1_3

2007-06-17	<rlk@sourceforge.net>

	Files:	doc/gutenprint.dox.in (1.5) (+263 -84)

	Update doxygen input

2007-06-17	<rlk@sourceforge.net>

	Files:	NEWS (1.329) (+30 -13)
		README (1.172) (+2 -2)
		configure.ac (1.166) (+3 -3)

	Prep for 5.1.3

2007-06-17	<faust3@sourceforge.net>

	Files:	src/main/printers.xml (1.183) (+8 -8)

	remove strange characters

2007-06-16	<faust3@sourceforge.net>

	Files:	src/main/printers.xml (1.182) (+9 -2)

	some tweaking for the PIXMA iP4300, patch by Andreas Matthias <amat at kabsi.at>

2007-06-16	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.23) (+6 -6)

	tweak margins for the pixma printers

2007-06-16	<faust3@sourceforge.net>

	Files:	src/main/canon-media.h (1.9) (+0 -10)

	remove obsolete iP4200 slotlist

2007-06-10	<rlk@sourceforge.net>

	Files:	src/main/printers.xml (1.181) (+11 -11)

	A number of Epson R-series printers do borderless better with the
	RX400 settings than with the R300 settings.

2007-06-04	<rlk@sourceforge.net>

	Files:	src/main/print-util.c (1.114) (+2 -2)

	Fix an overly enthusiastic conversion from ENABLE_NLS to HAVE_LOCALE_H

===============================================================================
Name: gutenprint-5_1_2

2007-06-02	<rlk@sourceforge.net>

	Files:	po/cs.po (1.42) (+729 -719)
		po/da.po (1.77) (+729 -719)
		po/de.po (1.56) (+729 -719)
		po/el.po (1.57) (+729 -719)
		po/en_GB.po (1.148) (+729 -719)
		po/es.po (1.55) (+729 -719)
		po/fr.po (1.81) (+729 -719)
		po/hu.po (1.13) (+729 -719)
		po/ja.po (1.51) (+729 -719)
		po/nb.po (1.18) (+729 -719)
		po/nl.po (1.59) (+729 -719)
		po/pl.po (1.61) (+729 -719)
		po/pt.po (1.56) (+729 -719)
		po/sk.po (1.60) (+729 -719)
		po/sv.po (1.87) (+730 -720)
		po/zh_TW.po (1.16) (+729 -719)

	Gutenprint 5.1.2 release

2007-06-01	<rlk@sourceforge.net>

	Files:	NEWS (1.328) (+9 -7)
		src/main/print-ps.c (1.96) (+6 -1)

	Back out attempt to send device settings to printer.

2007-05-29	<rlk@sourceforge.net>

	Files:	NEWS (1.327) (+3 -0)

	  8) Printing to CD's on Epson printers now works correctly if the
	     image is not placed at the top of the page.

2007-05-29	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.377) (+4 -4)

	Fix printing to CD if the image is not placed at the top of the page.

2007-05-28	<rlk@sourceforge.net>

	Files:	NEWS (1.326) (+6 -0)
		src/foomatic/foomatic-printermap (1.138) (+1 -0)
		src/main/print-escp2-data.c (1.227) (+19 -1)
		src/main/printers.xml (1.180) (+11 -10)

	Fix borderless printing on Epson RX400 and related printers

2007-05-28	<rlk@sourceforge.net>

	Files:	NEWS (1.325) (+20 -0)

	Update release notes.

2007-05-28	<rlk@sourceforge.net>

	Files:	src/main/print-canon.c (1.210) (+2 -2)
		src/main/print-escp2.c (1.376) (+2 -2)

	Extend the custom CD size down to 65 mm.

2007-05-28	<rlk@sourceforge.net>

	Files:	src/main/print-ps.c (1.95) (+95 -109)

	Print correctly in color.

	Add device settings.

2007-05-28	<rlk@sourceforge.net>

	Files:	NEWS (1.324) (+14 -6)
		README (1.171) (+2 -2)

	Update for 5.1.2.

2007-05-28	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.375) (+7 -2)

	Initialize the density parameters correctly.

2007-05-28	<rlk@sourceforge.net>

	Files:	src/main/print-vars.c (1.80) (+4 -1)

	Print out debug info for raw parameters.

2007-05-27	<rlk@sourceforge.net>

	Files:	src/main/dither-impl.h (1.27) (+1 -2)
		src/main/dither-main.c (1.54) (+0 -2)
		src/main/dither-ordered.c (1.19) (+1 -87)

	Back out unintended commit

2007-05-27	<rlk@sourceforge.net>

	Files:	src/main/dither-impl.h (1.26) (+4 -3)
		src/main/dither-main.c (1.53) (+3 -1)
		src/main/dither-ordered.c (1.18) (+88 -2)
		src/main/escp2-inks.c (1.58) (+21 -14)
		src/main/escp2-resolutions.c (1.42) (+6 -1)
		src/main/print-escp2-data.c (1.226) (+4 -4)

	Retune the R260 and 1400

2007-05-27	<rlk@sourceforge.net>

	Files:	src/main/print-vars.c (1.79) (+6 -10)

	Minor fix.

2007-05-27	<rlk@sourceforge.net>

	Files:	src/main/print-util.c (1.113) (+4 -1)
		src/main/print-vars.c (1.78) (+128 -32)

	Further increase debugging output

2007-05-26	<rlk@sourceforge.net>

	Files:	src/main/escp2-inks.c (1.57) (+30 -26)
		src/main/escp2-resolutions.c (1.41) (+4 -2)
		src/main/print-escp2-data.c (1.225) (+5 -5)

	Improve tunings of R260 family based on Roy Harrington's measurements.
	Also add 360x90 DPI mode for hyperfast printing.

2007-05-26	<rlk@sourceforge.net>

	Files:	src/main/print-util.c (1.112) (+8 -2)
		src/main/print-vars.c (1.77) (+87 -105)
		src/main/printers.c (1.80) (+46 -12)
		src/main/xml.c (1.38) (+13 -16)

	Improve debugging output

2007-05-26	<rlk@sourceforge.net>

	Files:	src/main/escp2-inks.c (1.56) (+6 -6)
		src/main/print-escp2-data.c (1.224) (+3 -3)

	Retuning for the RX580

2007-05-26	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.374) (+4 -2)

	Don't change the drop size if the base resolutions don't match.

2007-05-21	<rlk@sourceforge.net>

	Files:	configure.ac (1.165) (+3 -3)

	Bump version.

2007-05-21	<rlk@sourceforge.net>

	Files:	po/cs.po (1.41) (+1297 -1133)
		po/da.po (1.76) (+1306 -1133)
		po/de.po (1.55) (+1272 -1124)
		po/el.po (1.56) (+1298 -1134)
		po/en_GB.po (1.147) (+1306 -1133)
		po/es.po (1.54) (+1297 -1133)
		po/fr.po (1.80) (+1308 -1135)
		po/hu.po (1.12) (+1306 -1133)
		po/ja.po (1.50) (+1297 -1133)
		po/nb.po (1.17) (+1297 -1133)
		po/nl.po (1.58) (+1306 -1133)
		po/pl.po (1.60) (+1296 -1132)
		po/pt.po (1.55) (+1297 -1133)
		po/sk.po (1.59) (+1297 -1133)
		po/sv.po (1.86) (+1307 -1134)
		po/zh_TW.po (1.15) (+1304 -1131)

	Gutenprint 5.1.1 release

2007-05-21	<rlk@sourceforge.net>

	Files:	NEWS (1.323) (+10 -10)

	Rename more Canon printers.

2007-05-21	<rlk@sourceforge.net>

	Files:	src/escputil/escputil.c (1.88) (+2 -2)
		src/gutenprintui2/plist.c (1.12) (+15 -16)
		src/main/print-ps.c (1.94) (+14 -14)
		src/main/print-util.c (1.111) (+3 -3)
		src/main/xml.c (1.37) (+3 -3)

	Try again to get the locale stuff correct.

2007-05-21	<rlk@sourceforge.net>

	Files:	NEWS (1.322) (+4 -0)

	Note updates to cups-genppdupdate.

2007-05-21	<rlk@sourceforge.net>

	Files:	src/cups/cups-genppdupdate.in (1.29) (+102 -48)

	Handle -n correctly (go through the motions, but don't actually update
	PPD files).

	Improve debugging granularity.

	Handle --help and --version.

2007-05-20	<rlk@sourceforge.net>

	Files:	src/main/print-ps.c (1.93) (+7 -7)
		src/main/xml.c (1.36) (+7 -4)

	Get the locale stuff really correct

2007-05-20	<rlk@sourceforge.net>

	Files:	src/main/xml.c (1.35) (+7 -4)

	Fix up locale handling.

2007-05-20	<rlk@sourceforge.net>

	Files:	NEWS (1.321) (+3 -0)
		src/gutenprintui2/plist.c (1.11) (+28 -10)
		src/main/ppd.c (1.3) (+8 -8)
		src/main/print-ps.c (1.92) (+49 -42)

	Fix handling of locale.

	Remove unnecessary and inappropriate copyright notice from Postsript output.

	Use stp_strdup consistently.

2007-05-17	<rlk@sourceforge.net>

	Files:	src/gutenprintui2/panel.c (1.14) (+2 -2)
		src/gutenprintui2/plist.c (1.10) (+8 -3)

	Fix a few valgrind issues

2007-05-17	<rlk@sourceforge.net>

	Files:	src/main/print-vars.c (1.76) (+4 -4)

	Translate during stp_fill_parameter_settings.  From Alastair Robinson.

2007-05-17	<rlk@sourceforge.net>

	Files:	src/main/print-ps.c (1.91) (+2 -1)

	Note memory leak in ps_list_parameters.

2007-05-17	<rlk@sourceforge.net>

	Files:	src/main/print-escp2.c (1.373) (+1 -2)

	Remove stray debug printf.

2007-05-16	<rlk@sourceforge.net>

	Files:	src/main/print-escp2-data.c (1.223) (+3 -3)

	Fix CD positioning on R260 (RX580) and 1400.

2007-05-16	<rlk@sourceforge.net>

	Files:	src/main/escp2-inks.c (1.55) (+3 -4)

	Further improvements to 1400.

2007-05-15	<rlk@sourceforge.net>

	Files:	src/cups/genppd.c (1.134) (+2 -4)

	Remove spurious debugging calls.

2007-05-15	<rlk@sourceforge.net>

	Files:	src/main/escp2-inks.c (1.54) (+8 -5)
		src/main/escp2-resolutions.c (1.40) (+78 -43)
		src/main/print-escp2-data.c (1.222) (+8 -5)
		src/main/print-escp2.c (1.372) (+30 -5)
		src/main/print-escp2.h (1.112) (+4 -2)

	Further tunings for Stylus Photo 1400.

2007-05-13	<rlk@sourceforge.net>

	Files:	src/main/escp2-papers.c (1.105) (+2 -2)

	Minor improvement for Claria-based printers.

2007-05-13	<rlk@sourceforge.net>

	Files:	NEWS (1.320) (+10 -6)

	Update release notes.

2007-05-13	<rlk@sourceforge.net>

	Files:	src/main/escp2-inks.c (1.53) (+29 -1)
		src/main/print-escp2-data.c (1.221) (+8 -2)
		src/main/printers.xml (1.179) (+3 -3)

	Initial tuning for Stylus Photo 1400.

2007-05-12	<faust3@sourceforge.net>

	Files:	NEWS (1.319) (+8 -0)

	add some more canon changes

2007-05-12	<faust3@sourceforge.net>

	Files:	src/main/canon-printers.h (1.22) (+8 -8)
		src/main/print-canon.c (1.209) (+29 -3)

	switch to extended page margin command
	fixes printing with PIXMA printers connected to windows hosts (#1625202)
	based on a patch by Thilo Jeremias <jeremias at optushome.com.au>

2007-05-12	<rlk@sourceforge.net>

	Files:	src/testpattern/testpatterny.y (1.28) (+2 -2)

	Add rule for parameter_curve.

2007-05-12	<faust3@sourceforge.net>

	Files:	src/testpattern/testpatterny.y (1.27) (+6 -6)

	add missing fprintf format strings

